2006-03-12 23:07  csoutheren

	* pwlib_cfg.dxy, version.h: Incremented major version for release

2006-03-12 22:20  dsandras

	* include/ptlib/ipsock.h: More backports from HEAD.

2006-03-12 22:14  dsandras

	* include/ptclib/pdns.h, src/ptclib/pdns.cxx: Backports from HEAD.

2006-03-12 12:16  dsandras

	* plugins/vidinput_v4l2/: vidinput_v4l2.cxx, vidinput_v4l2.h: Added
	  multi-buffering support to V4L2 thanks to Luc Saillard. Thanks!
	  Backport from HEAD.

2006-03-12 12:16  dsandras

	* plugins/vidinput_v4l2/: vidinput_v4l2.cxx, vidinput_v4l2.h: Added
	  multi-buffering support to V4L2 thanks to Luc Saillard. Thanks!

2006-03-12 12:15  dsandras

	* include/ptlib/vconvert.h,
	  plugins/vidinput_v4l2/vidinput_v4l2.cxx,
	  src/ptlib/common/vconvert.cxx: Fix for MJPEG thanks to Luc
	  Saillard. (Backport from HEAD).

2006-03-12 12:09  dsandras

	* include/ptlib/vconvert.h,
	  plugins/vidinput_v4l2/vidinput_v4l2.cxx,
	  src/ptlib/common/vconvert.cxx: Applied patch from Luc Saillard to
	  fix problems with MJPEG. Thanks!

2006-03-12 07:34  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Update
	  symbols

2006-03-09 21:30  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Backports from HEAD.

2006-03-09 21:28  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Added fallback mechanism to
	  find an existing mixer for playing/recording.

2006-03-09 06:32  csoutheren

	* include/ptclib/sockagg.h, src/ptclib/sockagg.cxx: Reverted to
	  conservative locking strategy, with OnClose

2006-03-07 21:55  dsandras

	* src/ptlib/common/: vconvert.cxx, videoio.cxx: More backports from
	  HEAD.

2006-03-07 21:53  dsandras

	* src/ptlib/common/: vconvert.cxx, videoio.cxx: Added support for
	  JPEG based webcams, thanks to Luc Saillard <luc saillard org>.

2006-03-07 21:50  dsandras

	* src/ptlib/common/: jidctflt.cxx, tinyjpeg-internal.h,
	  tinyjpeg.cxx: Backports from CVS HEAD, thanks to Luc Saillard
	  <luc saillard org>

2006-03-07 21:38  dsandras

	* src/ptlib/common/: jidctflt.cxx, tinyjpeg-internal.h,
	  tinyjpeg.cxx: Applied various patches to improve efficiency and
	  prevent crashes in case of problems with the buffer. Patches from
	  Luc Saillard <luc saillard org>.  Thanks a lot!

2006-03-07 12:04  csoutheren

	* src/ptclib/sockagg.cxx: Ensure socket aggregation not used on
	  Linux

2006-03-07 08:38  csoutheren

	* include/ptclib/sockagg.h, src/ptclib/sockagg.cxx: Refine timing
	  windows on socket handling and cleanup unused code

2006-03-06 20:11  dsandras

	* plugins/vidinput_v4l2/vidinput_v4l2.cxx: Backports from HEAD.

2006-03-06 20:09  dsandras

	* plugins/vidinput_v4l2/vidinput_v4l2.cxx: Applied patch from Luc
	  Saillard <luc saillard org> to fix YUV422, which is in fact YUYV.

2006-03-06 12:54  csoutheren

	* version.h, pwlib_cfg.dxy: Incremented version number

2006-03-06 07:04  csoutheren

	* include/ptclib/pvfiledev.h, src/ptclib/pvfiledev.cxx: Added
	  YUVFile video output device

2006-03-06 03:37  csoutheren

	* include/ptclib/sockagg.h, src/ptclib/sockagg.cxx: Change handle
	  locking to help prevent aggregation threads from hogging list
	  access

2006-03-02 08:50  csoutheren

	* include/ptclib/sockagg.h, src/ptclib/sockagg.cxx: Cleanup unused
	  code Add OnClose function

2006-03-01 09:34  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Backported patch #1439578 from CVS
	  head

2006-03-01 09:29  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Applied patch #1439578 PTrace /
	  PThread::PX_ThreadEnd deadlock fix Thanks to Hannes Friederich

2006-02-28 03:26  csoutheren

	* src/ptclib/sockagg.cxx: Renamed variable to be not same as member

2006-02-28 03:08  csoutheren

	* src/ptclib/sockagg.cxx: Modified aggregation to load balance
	  better

2006-02-26 12:51  csoutheren

	* include/ptclib/pdns.h, include/ptlib/ipsock.h,
	  samples/dnstest/main.cxx, src/ptclib/pdns.cxx: Extended DNS test
	  program to include URL based SRV lookups Re-arranged SRV lookup
	  code to allow access to internal routine Reformatted code

2006-02-26 10:30  shorne

	* include/ptlib/qos.h: renamed include file to lowercase

2006-02-26 10:29  shorne

	* include/ptclib/pnat.h: Added GetMethodName and GetList functions

2006-02-26 10:27  shorne

	* include/ptclib/paec.h: Renamed AEC class name, moved to seperate
	  library

2006-02-26 10:26  shorne

	* include/ptclib/pdns.h, src/ptclib/pdns.cxx: Added DNS SRV record
	  lookups

2006-02-26 10:23  shorne

	* src/ptlib/msos/Console Components.dsp, src/ptlib/msos/Console
	  Components.vcproj, pwlib.dsw, pwlib.sln: AEC moved to seperate
	  library

2006-02-26 10:23  shorne

	* src/ptclib/paec.cxx: Removed as AEC now seperate library

2006-02-24 05:51  csoutheren

	* include/ptclib/pvidfile.h, src/ptclib/pvfiledev.cxx,
	  src/ptclib/pvidfile.cxx: Fixed problem with using CIF from video
	  files Added support for video files in y4m format

2006-02-23 01:31  csoutheren

	* include/ptbuildopts.h.in: Backport from head

2006-02-23 01:27  csoutheren

	* include/ptbuildopts.h.in: Fixed incorrectly applied patch

2006-02-22 12:53  csoutheren

	* configure, configure.ac, include/ptbuildopts.h.in,
	  include/ptlib/vconvert.h, src/ptlib/common/vconvert.cxx:
	  Backports from HEAD

2006-02-22 12:22  csoutheren

	* configure, configure.ac, include/ptbuildopts.h.in: Applied patch
	  #1408645 Endianess patch for MacOSX

2006-02-22 12:17  csoutheren

	* include/ptlib/vconvert.h, src/ptlib/common/vconvert.cxx: Applied
	  patch #1425825 MaxOSX compatibility

2006-02-22 01:04  csoutheren

	* src/ptlib/unix/socket.cxx: Backport interface table fix from HEAD

2006-02-21 14:57  csoutheren

	* src/ptlib/unix/socket.cxx: Second attempt at fixing problem with
	  interfaces having multiple addresses

2006-02-21 02:04  csoutheren

	* src/ptlib/msos/Console Components.dsp: Added new files

2006-02-20 10:31  csoutheren

	* src/ptclib/pvfiledev.cxx: Fixed link problem on Linux

2006-02-20 07:49  csoutheren

	* configure, configure.ac, include/ptbuildopts.h.in,
	  include/ptclib/pvfiledev.h, include/ptclib/pvidfile.h,
	  make/ptbuildopts.mak.in, src/ptclib/pvfiledev.cxx,
	  src/ptclib/pvidfile.cxx, src/ptlib/unix/Makefile: Added video
	  file and video file input device code

2006-02-20 07:19  csoutheren

	* src/ptlib/msos/Console Components.vcproj: Added vidfile files

2006-02-20 07:17  csoutheren

	* include/ptclib/pvfiledev.h, include/ptclib/pvidfile.h,
	  src/ptclib/pvfiledev.cxx, src/ptclib/pvidfile.cxx: Added ability
	  to read video from a file

2006-02-20 07:16  csoutheren

	* include/ptlib/pfactory.h: Extended factory macros

2006-02-20 07:14  csoutheren

	* src/ptlib/common/pvidchan.cxx: Return FALSE if video channel read
	  fails

2006-02-20 07:12  csoutheren

	* include/ptlib/vconvert.h: Added guard defines

2006-02-18 17:01  dsandras

	* src/ptlib/unix/socket.cxx: Backport from HEAD.

2006-02-18 16:57  dsandras

	* src/ptlib/unix/socket.cxx: Applied patch from Richard van der
	  Hoff and Stephane Epardaud <stef lunatech com> to fix infinite
	  loop with IPv6 interfaces. Thanks!

2006-02-15 08:23  csoutheren

	* pwlib_cfg.dxy, version.h: Incremented version numbers

2006-02-13 08:11  csoutheren

	* src/ptlib/common/sockets.cxx: Backported fix from CVS head

2006-02-13 07:56  csoutheren

	* src/ptlib/common/sockets.cxx: Fixed problem on Windows

2006-02-11 21:04  dsandras

	* src/ptlib/common/tinyjpeg.cxx: Fixed compilation on OpenSolaris
	  thanks to Brian Lu <Brian Lu sun com>.  Thanks!

2006-02-11 21:01  dsandras

	* src/ptlib/common/tinyjpeg.cxx: Applied patch from Brian Lu <brian
	  lu sun com> to fix compilation on OpenSolaris. Thanks!

2006-02-11 13:09  csoutheren

	* src/ptlib/common/sockets.cxx: Backport from CVS head

2006-02-11 00:56  csoutheren

	* src/ptlib/common/sockets.cxx: Fixed compile problems on Debian
	  and Windows

2006-02-10 23:50  csoutheren

	* src/ptlib/common/sockets.cxx: Fixed error in last commit

2006-02-10 23:47  csoutheren

	* src/ptlib/common/sockets.cxx: Ensure IPV6 addresses are not
	  returned by IPSocket::GetHostAddress when IPV4 has been forced
	  using PIPSocket::SetDefaultIpAddressFamilyV4 This is intended to
	  address the following Ekiga bug: Bug 330388 . Cannot make calls
	  to host with IPv6 address

2006-02-10 23:38  csoutheren

	* samples/ipv6test/main.cxx: Added ability to do DNS lookups and
	  force IPV4 mode

2006-02-08 05:02  csoutheren

	* configure, configure.ac, include/ptbuildopts.h.in,
	  make/ptbuildopts.mak.in, src/ptclib/sockagg.cxx,
	  src/ptlib/unix/Makefile: Added ability to enable and disable
	  socket aggregation

2006-02-06 23:28  dsandras

	* plugins/vidinput_v4l2/vidinput_v4l2.cxx: Backported changes from
	  CVS HEAD.

2006-02-06 23:25  dsandras

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Backported changes from
	  HEAD.

2006-02-06 23:23  dsandras

	* plugins/vidinput_v4l2/vidinput_v4l2.cxx: Added UYVY palette
	  thanks to Luc Saillard <luc saillard org>. Thanks!

2006-02-06 23:22  dsandras

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Added UYVY palette thanks
	  to Luc Saillad <luc saillard org>. Thanks!

2006-02-06 23:17  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Backports from CVS HEAD.

2006-02-06 23:16  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Fixed leak.

2006-01-31 10:28  csoutheren

	* configure: Updated

2006-01-31 10:23  csoutheren

	* configure, configure.ac: Fixed autoconf problem

2006-01-31 10:19  csoutheren

	* src/ptlib/common/vconvert.cxx: Backport from CVS head

2006-01-31 09:09  csoutheren

	* make/ptbuildopts.mak.in, src/ptlib/msos/Makefile,
	  src/ptlib/msos/winsock.cxx: Backported from CVS head

2006-01-31 05:17  dereksmithies

	* configure: Place in repositary a configure built on a x86
	  machine, not 64 bit machine.

2006-01-31 05:15  dereksmithies

	* configure, configure.ac, make/ptbuildopts.mak.in: Fix a minor bug
	  in the handling of the USE_GCC flag. This was not being set, and
	  so useful flags (like -Wall) were absent from the command line.

2006-01-31 04:38  csoutheren

	* src/ptlib/msos/winsock.cxx: Refixed fix for compiler warning

2006-01-31 04:24  csoutheren

	* src/ptlib/common/vconvert.cxx: Removed MJPEG capabilities when
	  compiling with Microsoft compilers

2006-01-31 04:23  csoutheren

	* src/ptlib/msos/winsock.cxx: Fixed compile warning on MSVC 6

2006-01-30 22:55  dominance

	* src/ptlib/msos/Makefile: fix win32 build with new MJPEG code.

2006-01-30 07:54  csoutheren

	* configure, configure.ac: Removed -laa from SDL library list that
	  was stopping SDL froming available

2006-01-30 01:03  csoutheren

	* include/ptlib/vconvert.h,
	  plugins/vidinput_v4l2/vidinput_v4l2.cxx,
	  src/ptlib/common/jidctflt.cxx,
	  src/ptlib/common/tinyjpeg-internal.h,
	  src/ptlib/common/tinyjpeg.cxx, src/ptlib/common/tinyjpeg.h,
	  src/ptlib/common/vconvert.cxx, src/ptlib/common/videoio.cxx,
	  src/ptlib/unix/Makefile: Backported support for cameras that
	  return MJPEG streams Thanks to Luc Saillard and Damien Sandras

2006-01-30 00:34  csoutheren

	* src/ptlib/unix/tlibthrd.cxx, include/ptlib/thread.h: Backported
	  thread destruction patch from Derek Smithies

2006-01-29 23:46  csoutheren

	* src/ptlib/common/jidctflt.cxx,
	  src/ptlib/common/tinyjpeg-internal.h,
	  src/ptlib/common/tinyjpeg.cxx, src/ptlib/common/tinyjpeg.h,
	  src/ptlib/common/vconvert.cxx, src/ptlib/common/videoio.cxx,
	  include/ptlib/vconvert.h,
	  plugins/vidinput_v4l2/vidinput_v4l2.cxx, src/ptlib/unix/Makefile:
	  Added support for cameras that return MJPEG streams Thanks to Luc
	  Saillard and Damien Sandras

2006-01-29 23:46  csoutheren

	* src/ptlib/common/jidctflt.cxx: file jidctflt.cxx was added on
	  branch Phobos on 2006-01-30 00:03:12 +0000

2006-01-29 23:46  csoutheren

	* src/ptlib/common/tinyjpeg-internal.h: file tinyjpeg-internal.h
	  was added on branch Phobos on 2006-01-30 00:03:12 +0000

2006-01-29 23:46  csoutheren

	* src/ptlib/common/tinyjpeg.cxx: file tinyjpeg.cxx was added on
	  branch Phobos on 2006-01-30 00:03:12 +0000

2006-01-29 23:46  csoutheren

	* src/ptlib/common/tinyjpeg.h: file tinyjpeg.h was added on branch
	  Phobos on 2006-01-30 00:03:12 +0000

2006-01-29 23:35  csoutheren

	* include/ptlib/thread.h, src/ptlib/unix/tlibthrd.cxx: Added fix
	  for thread termination problems on SMP machines Thanks to Derek
	  Smithies

2006-01-27 08:54  csoutheren

	* include/ptlib/channel.h: Exposed PChannel::SetError function

2006-01-27 07:38  shorne

	* src/ptlib/msos/podbc.cxx: Rename ODBC file to lower case

2006-01-27 07:35  shorne

	* include/ptlib/msos/ptlib/podbc.h, src/ptlib/msos/Console.dsp,
	  src/ptlib/msos/Console.vcproj: added ODBC support

2006-01-27 07:32  shorne

	* src/ptlib/msos/PODBC.cxx: Rename ODBC file to lower case

2006-01-27 04:43  csoutheren

	* configure, include/ptclib/pnat.h, include/ptlib/critsec.h,
	  include/ptlib/pluginmgr.h, include/ptlib/msos/ptlib/ptlib.inl,
	  plugins/Makefile.in, plugins/configure, plugins/configure.in,
	  plugins/vidinput_v4l/vidinput_v4l.cxx: Backported changes to CVS
	  head into Phobos

2006-01-27 01:57  csoutheren

	* pwlib_cfg.dxy, version.h: Moved 1.9.3 to Phobos devel branch

2006-01-27 01:42  csoutheren

	* pwlib_cfg.dxy, version.h: Incremented major revision number to 11
	  to indictate new development stream

2006-01-26 09:05  shorne

	* include/ptclib/paec.h, src/ptclib/paec.cxx,
	  src/ptlib/msos/Console Components.dsp, src/ptlib/msos/Console
	  Components.vcproj: Added AEC support

2006-01-26 04:23  shorne

	* include/ptclib/pnat.h: Fix compile error when merging code

2006-01-25 09:22  dsandras

	* plugins/: configure, configure.in: Check for conf.h as it is not
	  common between linux and solaris.

2006-01-25 09:21  dsandras

	* plugins/: configure, configure.in: Do not build sunaudio by
	  default.

2006-01-24 21:43  dsandras

	* plugins/: Makefile.in, configure, configure.in: Added Sunaudio
	  support for OpenSolaris thanks to Brian Lu <brian lu sun com>.
	  Thanks a lot for this!

2006-01-23 06:57  csoutheren

	* src/ptclib/sockagg.cxx: More aggegator implementation

2006-01-21 14:59  dsandras

	* plugins/vidinput_v4l2/vidinput_v4l2.cxx: Added BGR colour format
	  thanks to Luc Saillard <luc saillard org>. Thanks!

2006-01-21 14:57  dsandras

	* plugins/vidinput_v4l/vidinput_v4l.cxx: V4L1 drivers are actually
	  reporting RGB even though they are sending BGR.  Thanks to Luc
	  Saillard <luc saillard org>.

2006-01-21 14:43  dsandras

	* include/ptlib/pluginmgr.h: Allow the plugin manager to look for
	  plugins in symlinked directories.

2006-01-20 01:34  dereksmithies

	* samples/threadex/: main.cxx, main.h: Add PTRACE statements to the
	  DelayThread Constructors and Destructor.

2006-01-18 18:53  dsandras

	* configure, configure.ac: Applied patch from Frederic Crozat
	  <fcrozat mandrakesoft com> Thanks!

2006-01-18 08:17  csoutheren

	* include/ptlib/: critsec.h, msos/ptlib/ptlib.inl: Added explicit
	  copy constructor for PCriticalSection on Windows

2006-01-18 08:16  csoutheren

	* include/ptclib/sockagg.h, src/ptclib/sockagg.cxx: Latest version
	  of socket aggregation code

2006-01-18 01:03  csoutheren

	* pwlib_cfg.dxy, version.h: Changed to version 1.9.3

2006-01-17 23:28  dsandras

	* plugins/vidinput_v4l2/vidinput_v4l2.cxx: Another patch from Luc
	  Saillard <luc saillard org> to fix V4L2 support when
	  opening/closing the device several times in a row. Thanks a
	  lot!!!!!

2006-01-17 19:57  dsandras

	* make/unix.mak: Applied patch from Brian Lu <brian lu sun com> to
	  fix compilation with SUN studio. Thanks.

2006-01-16 21:18  dsandras

	* src/ptlib/common/vconvert.cxx: Applied patch from Luc Saillard
	  <luc saillard org> to improve conversion routines. Thanks!!

2006-01-16 20:52  dsandras

	* configure, configure.ac, include/ptclib/pldap.h,
	  src/ptclib/pldap.cxx: Applied patch from Brian Lu <brian lu sun
	  com> to allow compilation on Solaris using SUN's LDAP. Thanks!!

2006-01-16 08:31  csoutheren

	* src/ptclib/pwavfile.cxx: Removed deletion of PWAVFIle format
	  converters.	These look like memory leaks, but are not - the
	  converters are static objects that   cannot be deleted

2006-01-13 08:20  dereksmithies

	* samples/threadex/: main.cxx, main.h: add option to use threads
	  generated by the PThread::Create call.

2006-01-11 23:27  dereksmithies

	* include/ptlib/thread.h: Add extra comments describing the usage
	  of Resume() in the constructor of a class descended of PThread

2006-01-11 23:14  dereksmithies

	* samples/threadex/: main.cxx, main.h: Add autodelete test option
	  to code.  Move Resume() operators out of the constructor for
	  threads.  The Resume() operator is "ok" in the constructor, if
	  Resume() is at the end of the constructor, and the thread class
	  does not have a descendant.

2006-01-09 19:22  dsandras

	* plugins/vidinput_v4l2/: vidinput_v4l2.cxx, vidinput_v4l2.h: Use
	  memset before some ioctl() to make valgrind happy.  Create a
	  common function to set and get control information.  Fix range
	  values return by the driver.	Fix setting value to be in the
	  range (>>16 is unsigned).  Add support for YUY2.  Patch from Luc
	  Saillard <luc _AT___ saillard.org>. Many thanks!

2006-01-09 19:20  dsandras

	* plugins/Makefile.in: Allow to build plugins with debug
	  information (when doing make debug).	Thanks to Luc Saillard <luc
	  _AT___ saillard.org>, many thanks!

2006-01-09 19:19  dsandras

	* src/ptlib/common/: vconvert.cxx, videoio.cxx: Add YUY2 (or
	  YUV420) format. Resizing to YUV420P is done, but it's not very
	  efficient.  Fix the gray border when doing padding for YUV420P
	  (change it to black).  Logitech webcam fusion export only big
	  format in yuy2.  Patches provided by Luc Saillard <luc _AT____
	  saillard.org>. Many thanks!

2006-01-08 16:16  dsandras

	* make/plugins.mak: Fixed plugins.mak for non-solaris platforms.

2006-01-08 15:49  dsandras

	* configure, configure.ac, include/ptlib/plugin.h, make/common.mak,
	  make/plugins.mak, make/unix.mak, plugins/sound_oss/sound_oss.h:
	  Several fixes to allow compilation on Open Solaris thanks to
	  Brian Lu <brian.lu _AT_____ sun.com>. Many thanks!

2006-01-07 17:10  dsandras

	* plugins/vidinput_v4l2/vidinput_v4l2.cxx: More changes from Luc
	  Saillard. Thanks!

2006-01-07 17:09  dsandras

	* plugins/vidinput_v4l2/vidinput_names.cxx: Removed name
	  duplication for now.

2006-01-07 14:33  dsandras

	* src/ptlib/common/vconvert.cxx: Added code allowing real resizing
	  on YUV420P streams thanks to Luc Sailard <luc ___AT_-_
	  saillard.org>. Thank you very much for that nice patch Luc!

2006-01-07 00:08  dereksmithies

	* samples/threadex/: main.cxx, main.h: Add some code, now it
	  crashes on unix with the command args -d 1 -b

2006-01-05 20:21  dsandras

	* plugins/vidinput_v4l2/vidinput_v4l2.cxx: Applied patch from Luc
	  Saillard <luc _____AT_ saillard.org>. Many thanks!

2006-01-05 12:40  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Update
	  symbols

2006-01-05 12:39  rjongbloed

	* src/ptclib/sockagg.cxx: Fixed DevStudio warning

2006-01-03 05:23  csoutheren

	* include/ptclib/sockagg.h, src/ptclib/sockagg.cxx: Fixed Unix
	  implementation

2005-12-23 08:49  csoutheren

	* src/ptclib/sockagg.cxx: Fixed Unix implementation

2005-12-23 07:44  csoutheren

	* include/ptclib/sockagg.h, src/ptclib/sockagg.cxx: Working
	  implementation

2005-12-23 06:57  shorne

	* src/ptlib/msos/PTLib.dsp: Added include\ptlib\msos to
	  preprocessor directories in debug thx Manish S. Jalan

2005-12-23 06:48  shorne

	* tools/MergeSym/MergeSym.dsp: Added Post build step to debug
	  version thx Manish S. Jalan

2005-12-22 08:27  csoutheren

	* include/ptclib/sockagg.h, src/ptclib/sockagg.cxx: More
	  implementation

2005-12-22 04:55  csoutheren

	* include/ptclib/sockagg.h, src/ptclib/sockagg.cxx,
	  src/ptlib/msos/Console Components.vcproj: Added initial version
	  of socket aggregation classes

2005-12-22 03:29  csoutheren

	* include/ptclib/pasn.h: Fixed PASNIPAddress constructor that
	  accepts PIPSocket::Address

2005-12-21 22:31  dsandras

	* plugins/vidinput_v4l2/vidinput_v4l2.cxx: Fixed build with gcc
	  4.1.

2005-12-15 22:14  dsandras

	* include/ptclib/vxml.h, include/ptlib/pstring.h,
	  src/ptlib/unix/svcproc.cxx: Fixed from Alexander Larsson <alexl
	  _AT__ redhat.com> for gcc 4.1 compilation. Thanks!

2005-12-15 22:12  dsandras

	* configure, configure.ac: Added --enable-opal.

2005-12-12 01:24  dereksmithies

	* src/ptlib/common/object.cxx: Add recursive mutex to Wrapper
	  object, so one can successfully Dump Memory usage Statistics &
	  objects during program operation.

2005-12-05 23:35  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Only assert in PTimedMutex
	  destructor if _DEBUG is enabled

2005-12-05 22:58  dsandras

	* src/ptclib/pstun.cxx: Fixed bug when looking if the cache is
	  still valid.

2005-12-04 23:50  csoutheren

	* make/unix.mak: Applied patch for Alpha thanks to Kilian Krause

2005-12-04 23:43  csoutheren

	* src/: ptclib/pdns.cxx, ptlib/common/osutils.cxx: Cleanup patches
	  from Kilian Krause

2005-12-04 23:38  csoutheren

	* make/unix.mak: Added patch for hppa64. Thanks to Kilian Krause

2005-12-04 23:07  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Fixed uninitialised variable

2005-12-01 02:05  csoutheren

	* src/ptclib/vxml.cxx: Fixed uninitialised variable

2005-12-01 01:55  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Removed chance of endless loop in
	  PTimedMutex destructor

2005-12-01 01:43  csoutheren

	* plugins/vidinput_dc/video4dc1394.cxx: Fixed typo

2005-12-01 00:24  dereksmithies

	* src/ptclib/qchannel.cxx: Ensure the PQueueChannel is closed on
	  destruction, so that an os_handle value of 1 is never passed to
	  PChannel::Close()

2005-11-30 13:47  csoutheren

	* include/ptclib/cypher.h, include/ptclib/delaychan.h,
	  include/ptclib/dtmf.h, include/ptclib/enum.h,
	  include/ptclib/ftp.h, include/ptclib/html.h,
	  include/ptclib/http.h, include/ptclib/httpform.h,
	  include/ptclib/httpsvc.h, include/ptclib/inetmail.h,
	  include/ptclib/inetprot.h, include/ptclib/ipacl.h,
	  include/ptclib/memfile.h, include/ptclib/mime.h,
	  include/ptclib/modem.h, include/ptclib/pasn.h,
	  include/ptclib/pdns.h, include/ptclib/pnat.h,
	  include/ptclib/psoap.h, include/ptclib/pssl.h,
	  include/ptclib/pstun.h, include/ptclib/pwavfile.h,
	  include/ptclib/pxml.h, include/ptclib/pxmlrpcs.h,
	  include/ptclib/qchannel.h, include/ptclib/random.h,
	  include/ptclib/socks.h, include/ptclib/telnet.h,
	  include/ptclib/url.h, include/ptclib/vsdl.h,
	  include/ptclib/vxml.h, include/ptclib/xmpp.h,
	  include/ptclib/xmpp_c2s.h, include/ptclib/xmpp_muc.h,
	  include/ptlib/args.h, include/ptlib/channel.h,
	  include/ptlib/critsec.h, include/ptlib/ipsock.h,
	  include/ptlib/notifier_ext.h, include/ptlib/object.h,
	  include/ptlib/pprocess.h, include/ptlib/pstring.h,
	  include/ptlib/qos.h, include/ptlib/thread.h,
	  include/ptlib/udpsock.h, include/ptlib/vconvert.h,
	  include/ptlib/video.h, include/ptlib/videoio1394dc.h,
	  include/ptlib/msos/ptlib/sound.h,
	  include/ptlib/msos/ptlib/sound_win32.h,
	  include/ptlib/msos/ptlib/thread.h,
	  include/ptlib/msos/ptlib/video.h,
	  include/ptlib/unix/ptlib/beaudio.h,
	  include/ptlib/unix/ptlib/contain.h,
	  include/ptlib/unix/ptlib/file.h,
	  include/ptlib/unix/ptlib/maccoreaudio.h,
	  include/ptlib/unix/ptlib/pmachdep.h,
	  include/ptlib/unix/ptlib/resampler.h,
	  plugins/sound_alsa/sound_alsa.cxx, plugins/sound_esd/sound_esd.h,
	  plugins/sound_oss/sound_oss.cxx,
	  plugins/vidinput_avc/vidinput_avc.cxx,
	  plugins/vidinput_dc/video4dc1394.cxx,
	  plugins/vidinput_v4l/vidinput_v4l.cxx,
	  plugins/vidinput_v4l2/vidinput_names.cxx,
	  plugins/vidinput_v4l2/vidinput_v4l2.cxx,
	  samples/ThreadSafe/main.cxx, samples/address/local.cxx,
	  samples/audio/audio.cxx, samples/audio/audio.h,
	  samples/dtmftest/main.cxx, samples/find_ip/find_ip.cxx,
	  samples/ipv6test/main.cxx, samples/md5/encrypt.cxx,
	  samples/pxml/main.cxx, samples/serial/serial.cxx,
	  samples/strtest/main.cxx, samples/threadex/main.cxx,
	  samples/vidtest/main.cxx, samples/xmlrpcsrvr/custom.cxx,
	  src/ptclib/asner.cxx, src/ptclib/dtmf.cxx, src/ptclib/enum.cxx,
	  src/ptclib/ftpsrvr.cxx, src/ptclib/http.cxx,
	  src/ptclib/httpsrvr.cxx, src/ptclib/httpsvc.cxx,
	  src/ptclib/pasn.cxx, src/ptclib/pdns.cxx, src/ptclib/pnat.cxx,
	  src/ptclib/psoap.cxx, src/ptclib/pssl.cxx, src/ptclib/pstun.cxx,
	  src/ptclib/ptts.cxx, src/ptclib/pwavfile.cxx,
	  src/ptclib/pxml.cxx, src/ptclib/snmpclnt.cxx, src/ptclib/udp.h,
	  src/ptclib/vxml.cxx, src/ptlib/common/collect.cxx,
	  src/ptlib/common/contain.cxx, src/ptlib/common/osutils.cxx,
	  src/ptlib/common/pchannel.cxx, src/ptlib/common/pluginmgr.cxx,
	  src/ptlib/common/pvidchan.cxx, src/ptlib/common/vconvert.cxx,
	  src/ptlib/common/vfakeio.cxx, src/ptlib/common/videoio.cxx,
	  src/ptlib/msos/PODBC.cxx, src/ptlib/msos/assert.cxx,
	  src/ptlib/msos/ethsock.cxx, src/ptlib/msos/icmp.cxx,
	  src/ptlib/msos/mail.cxx, src/ptlib/msos/ptlib.cxx,
	  src/ptlib/msos/sound_win32.cxx, src/ptlib/msos/svcproc.cxx,
	  src/ptlib/msos/vfw.cxx, src/ptlib/msos/win32.cxx,
	  src/ptlib/msos/wincfg.cxx, src/ptlib/msos/winsock.cxx,
	  src/ptlib/unix/osutil.cxx, src/ptlib/unix/pipechan.cxx,
	  src/ptlib/unix/serchan.cxx, src/ptlib/unix/socket.cxx,
	  src/ptlib/unix/svcproc.cxx, src/ptlib/unix/tlib.cxx,
	  src/ptlib/unix/udll.cxx, src/ptlib/unix/uicmp.cxx,
	  tools/configure/configure.cpp: Removed tabs, reformatted some
	  code, and changed tags for Doxygen

2005-11-25 04:43  csoutheren

	* include/ptlib/: args.h, array.h, channel.h, config.h, contain.h,
	  critsec.h, dict.h, dynalink.h, ethsock.h, file.h, filepath.h,
	  icmpsock.h, indchan.h, ipdsock.h, ipsock.h, ipxsock.h, lists.h,
	  mail.h, notifier.h, object.h, pdirect.h, pipechan.h, pprocess.h,
	  pstring.h, psync.h, ptime.h, remconn.h, safecoll.h, semaphor.h,
	  serchan.h, sfile.h, socket.h, sound.h, spxsock.h, svcproc.h,
	  syncthrd.h, tcpsock.h, textfile.h, thread.h, timeint.h, timer.h,
	  udpsock.h, vconvert.h, videoio.h: Fixed function argument
	  comments to be compatible with Doxygen

2005-11-25 03:29  csoutheren

	* src/ptlib/unix/osutil.cxx: Applied patch #1353487 by Hannes
	  Friederich Mac OS X update

2005-11-25 02:01  csoutheren

	* include/ptclib/asner.h, src/ptclib/asner.cxx,
	  src/ptclib/pwavfile.cxx, src/ptlib/common/collect.cxx: Applied
	  patch #1351168 PWlib various fixes

2005-11-25 01:22  csoutheren

	* src/ptlib/unix/svcproc.cxx: Applied patch #1266244 from Nick
	  Shmyrev Cleanup PSystemLog from PTrace in PService exit

2005-11-25 01:06  csoutheren

	* configure.ac, include/ptbuildopts.h.in, include/ptlib/mutex.h,
	  include/ptlib/unix/ptlib/mutex.h,
	  include/ptlib/unix/ptlib/pmachdep.h,
	  include/ptlib/unix/ptlib/semaphor.h,
	  include/ptlib/unix/ptlib/syncpoint.h,
	  src/ptlib/unix/tlibthrd.cxx: Applied patch #1364593 from Hannes
	  Friederich Also changed so PTimesMutex is no longer descended
	  from PSemaphore on non-Windows platforms

2005-11-24 05:44  dereksmithies

	* src/ptclib/qchannel.cxx: Fix memory leak.

2005-11-23 12:47  shorne

	* src/ptlib/unix/socket.cxx: Changed EnableQoS to EnableGQoS

2005-11-22 23:38  dsandras

	* src/ptlib/unix/tlibthrd.cxx: Removed Assert that was causing
	  problem if the mutex is locked when being destroyed.

2005-11-21 12:49  shorne

	* include/ptlib/msos/ptlib/udpsock.h, include/ptlib/udpsock.h,
	  src/ptlib/common/sockets.cxx, src/ptlib/msos/winsock.cxx: Changed
	  disableQos to disableGQoS to better reflect what it does

2005-11-20 23:02  dereksmithies

	* include/ptlib/args.h: Fix tags so they work with doxygen.

2005-11-19 02:17  csoutheren

	* src/ptlib/msos/mail.cxx: Removed obsolete C++ construct

2005-11-18 23:26  dsandras

	* include/ptlib/unix/ptlib/mutex.h, src/ptlib/unix/tlibthrd.cxx:
	  Removed a few more CONST's to match with previous commit and fix
	  permanent deadlock.

2005-11-17 23:54  csoutheren

	* include/ptlib/msos/ptlib/mutex.h, src/ptlib/msos/win32.cxx: Fixed
	  missed functions in de-consting PMutex functions

2005-11-15 23:27  dereksmithies

	* samples/timing/timing.cxx: Modify output format so it better
	  shows the delay characteristics of PAdaptiveDelay

2005-11-15 00:16  csoutheren

	* src/ptlib/msos/mail.cxx: Removed obsolete constructs that cause
	  compiler warnings in new compilers

2005-11-14 23:41  csoutheren

	* include/ptlib/unix/ptlib/ptlib.inl, src/ptlib/unix/tlibthrd.cxx:
	  Reverted Wait and Signal to non-const - there is no way we can
	  guarantee that all descendant classes everywhere will be changed
	  over, so we have to keep the original API

2005-11-14 23:29  csoutheren

	* include/ptlib/critsec.h, include/ptlib/psync.h,
	  include/ptlib/semaphor.h, include/ptlib/msos/ptlib/mutex.h,
	  include/ptlib/msos/ptlib/ptlib.inl, src/ptlib/msos/win32.cxx:
	  Reverted Wait and Signal to non-const - there is no way we can
	  guarantee that all descendant classes everywhere will be changed
	  over, so we have to keep the original  API

2005-11-09 10:19  csoutheren

	* src/ptlib/msos/win32.cxx: Now actually remove the call :)

2005-11-09 10:11  csoutheren

	* include/ptlib/msos/ptlib/thread.h, src/ptlib/common/osutils.cxx,
	  src/ptlib/msos/win32.cxx: Moved Windows-specific
	  AttachThreadInput callsto seperate member function on PThread.
	  This removes a linearly increasing delay in creating new threads

2005-11-08 23:31  csoutheren

	* include/ptlib/mutex.h: Moved declaration of PMutex

2005-11-08 23:18  csoutheren

	* include/ptlib/mutex.h: Changed PMutex to use PTimedMutex on
	  non-Windows platforms because sem_wait is not recursive. Very
	  sad.	Thanks to Frederic Heem for finding this problem

2005-11-08 11:44  dsandras

	* include/ptlib/critsec.h: Fixed deadlock with code using the old
	  API.

2005-11-08 11:35  csoutheren

	* src/ptlib/unix/tlib.cxx: Added missing pragma

2005-11-06 06:38  rjongbloed

	* include/ptlib/notifier.h: Added fail safe check for PNotifier to
	  avoid crash on NULL pointer, still asserts.

2005-11-04 10:44  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Applied patch #1324589 Removed race
	  conditions in PSemaphore and thread handling Thanks to Frederic
	  Heem

2005-11-04 08:20  csoutheren

	* include/ptlib/critsec.h: Provide backwards compatibility
	  functions and typedefs

2005-11-04 07:56  csoutheren

	* include/ptlib/psync.h, include/ptlib/unix/ptlib/critsec.h,
	  include/ptlib/unix/ptlib/mutex.h,
	  include/ptlib/unix/ptlib/ptlib.inl,
	  include/ptlib/unix/ptlib/semaphor.h, src/ptlib/unix/tlibthrd.cxx:
	  Added new class PSync as abstract base class for all
	  mutex/sempahore classes Changed PCriticalSection to use
	  Wait/Signal rather than Enter/Leave Changed Wait/Signal to be
	  const member functions Renamed PMutex to PTimedMutex and made
	  PMutex synonym for PCriticalSection.	This allows use of very
	  efficient mutex primitives in 99% of cases where timed waits are
	  not needed

2005-11-04 07:34  csoutheren

	* include/ptlib/critsec.h, include/ptlib/mutex.h,
	  include/ptlib/osutil.inl, include/ptlib/psync.h,
	  include/ptlib/semaphor.h, include/ptlib/msos/ptlib/critsec.h,
	  include/ptlib/msos/ptlib/ptlib.inl,
	  src/ptlib/msos/Console.vcproj, src/ptlib/msos/win32.cxx: Added
	  new class PSync as abstract base class for all mutex/sempahore
	  classes Changed PCriticalSection to use Wait/Signal rather than
	  Enter/Leave Changed Wait/Signal to be const member functions
	  Renamed PMutex to PTimedMutex and made PMutex synonym for
	  PCriticalSection.  This allows use of very efficient mutex
	  primitives in 99% of cases where timed waits are not needed

2005-10-31 00:25  csoutheren

	* include/ptclib/html.h, include/ptclib/pwavfile.h,
	  include/ptclib/vxml.h, src/ptclib/pwavfile.cxx,
	  src/ptclib/vxml.cxx: Fixed formatting Removed throw()
	  declarations (PWLib does not do exceptions) Removed duplicate
	  destructor declarations and definitions

2005-10-30 20:41  dominance

	* pwlib_cfg.dxy, include/ptclib/html.h, include/ptclib/pwavfile.h,
	  include/ptclib/vxml.h, src/ptclib/pwavfile.cxx,
	  src/ptclib/vxml.cxx: fixed most of the warnings occuring during
	  compilation

2005-10-22 06:50  csoutheren

	* src/ptlib/common/osutils.cxx: Fixed hole in mutex locking of
	  PTrace

2005-10-21 10:19  csoutheren

	* src/ptclib/qchannel.cxx: Removed race conditions when channels
	  closed in seperate thread from Read/Write

2005-10-21 10:18  csoutheren

	* src/ptclib/vxml.cxx: Fixed Close operator

2005-10-21 08:01  csoutheren

	* src/ptlib/: common/sockets.cxx, common/regex/regerror.c,
	  msos/svcproc.cxx: Fixed warning on VS.NET 2005

2005-10-18 13:44  dsandras

	* configure, configure.ac: Fixed definition of P_SSL_USE_CONST in
	  ptbuildopts.h.

2005-10-17 03:25  csoutheren

	* configure, configure.ac, include/ptbuildopts.h.in,
	  src/ptclib/pssl.cxx: Added check for ssl with const argumetns

2005-10-17 03:02  csoutheren

	* include/ptclib/: html.h, pwavfile.h, vxml.h: Backported changed
	  from CVS head

2005-10-14 20:10  dominance

	* src/ptlib/common/getdate.y: include WIN32 wrapper to preparser
	  statements, needed for cross-compilation

2005-10-06 10:20  csoutheren

	* src/ptlib/common/pchannel.cxx: Changed WriteString to ensure it
	  always writes all data even with partial writes

2005-10-06 10:17  csoutheren

	* src/ptclib/qchannel.cxx: Removed potential deadlock when using
	  bidrectional PQueueChannel

2005-10-06 10:14  csoutheren

	* src/ptlib/msos/sound_win32.cxx: Fixed race condition in sound
	  driver when shutting down with driver that is not open

2005-09-29 23:06  dominance

	* src/ptlib/msos/Makefile: one more bit towards mingw support.

2005-09-29 17:58  dominance

	* src/ptlib/msos/assert.cxx: one more step towards having mingw
	  build pwlib cleanly

2005-09-26 22:19  dominance

	* src/ptlib/msos/vfw.cxx: enhance the devicename presentation in
	  mingw video

2005-09-25 13:58  dominance

	* src/ptlib/msos/vfw.cxx: support video in mingw through VfW

2005-09-25 12:51  dominance

	* configure.ac, include/ptbuildopts.h.in,
	  include/ptlib/msos/ptlib/contain.h, make/lib.mak, make/unix.mak,
	  src/ptlib/common/sockets.cxx: almost complete the mingw support.
	  We'll be there soon. ;)

2005-09-24 11:11  dominance

	* include/ptlib/msos/ptlib/contain.h, src/ptlib/msos/ptlib.cxx,
	  src/ptlib/msos/wincfg.cxx: use unix-style slashes to not confuse
	  mingw on win32

2005-09-23 17:30  dominance

	* configure.ac, include/ptbuildopts.h.in,
	  include/ptlib/msos/ptlib/contain.h, src/ptlib/common/object.cxx,
	  src/ptlib/msos/ptlib.cxx, src/ptlib/msos/win32.cxx,
	  src/ptlib/msos/winsock.cxx: more progress to make mingw compile
	  nicely. Thanks goes to Julien Puydt for pointing out to me how to
	  do it properly. ;)

2005-09-18 15:01  dominance

	* include/ptlib/pfactory.h, include/ptlib/msos/ptlib/contain.h,
	  include/ptlib/msos/ptlib/epacket.h,
	  include/ptlib/msos/ptlib/sound_win32.h, src/ptclib/pldap.cxx,
	  src/ptlib/msos/dllmain.cxx, src/ptlib/msos/ethsock.cxx,
	  src/ptlib/msos/sound_win32.cxx, src/ptlib/msos/vfw.cxx,
	  src/ptlib/msos/win32.cxx, src/ptlib/msos/winsock.cxx: fixed
	  pragma warnings when building with gcc.

2005-09-18 13:05  dominance

	* include/ptlib/channel.h, include/ptlib/object.h,
	  include/ptlib/pstring.h, make/ptlib-config.in,
	  src/ptlib/common/contain.cxx, src/ptlib/common/pchannel.cxx:
	  include/ptlib/channel.h, include/ptlib/pstring.h,
	  src/ptlib/common/contain.cxx, src/ptlib/common/pchannel.cxx:
	  correct the STL defined checking to use proper syntax.

	  include/ptlib/object.h:	  re-add typedef to compile on
	  mingw

	  make/ptlib-config.in:   import a long-standing fix from the
	  Debian packs which allows usage of  ptlib-config without manually
	  adding -lpt for each of the subsequent    projects

2005-09-16 10:25  csoutheren

	* src/ptclib/qchannel.cxx: Changed Read to return partial data
	  rather than loop

2005-09-06 14:41  rjongbloed

	* src/ptlib/common/videoio.cxx: Fixed correct creation (or non
	  creation) of converter when using SetFrameSizeConverter()

2005-09-05 11:34  csoutheren

	* pwlib_cfg.dxy, version.h: Changed version number to 1.8.7

2005-09-04 07:03  rjongbloed

	* src/ptlib/msos/Console.vcproj: Added missing notifier.h file

2005-09-01 01:55  csoutheren

	* include/ptclib/enum.h: Fixed typo

2005-08-31 17:21  dominance

	* src/ptclib/pldap.cxx: fix building with recent OpenLDAP

2005-08-31 07:55  shorne

	* include/ptclib/enum.h, src/ptclib/enum.cxx: Reworked ENUM to
	  craigs' exacting requirements

2005-08-31 06:07  shorne

	* include/ptclib/enum.h, src/ptclib/enum.cxx: added ability to set
	  ENUM Servers at runtime

2005-08-30 08:36  csoutheren

	* include/ptlib/object.h, src/ptlib/common/osutils.cxx: Added
	  ability to rotate output logs on a daily basis

2005-08-25 02:35  dereksmithies

	* configure, configure.ac, include/ptbuildopts.h.in: Add linux test
	  to check for the presence of openssl/aes.h which sets P_SSL_AES

2005-08-24 14:50  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Update
	  symbols

2005-08-24 14:48  rjongbloed

	* configure.ac, include/ptbuildopts.h.in: Added configuration
	  define for AEC encryption

2005-08-23 14:42  rjongbloed

	* src/ptlib/: common/videoio.cxx, msos/vfw.cxx: Fixed problems with
	  negative hight native flipping not working with all sizes.

2005-08-19 00:29  dereksmithies

	* samples/audio/: audio.cxx, audio.h, version.h: Add a full duplex
	  sound card test (which was excised from ohphone).  Add copyright
	  header and cvs log statements.  Fix startup and closedown
	  segfaults.  Add safety mechanism so it can never fill up all
	  computer memory.

2005-08-18 08:24  shorne

	* src/ptlib/common/sockets.cxx: Reversed Last Patch

2005-08-18 05:42  shorne

	* src/ptlib/common/sockets.cxx: Chaeck for RSVP QoS Thx Zdenek

2005-08-15 11:47  rjongbloed

	* configure.exe: Captalised the word "disabled" so more obvious.
	  Including Simon Hornes changes.

2005-08-15 11:40  rjongbloed

	* tools/configure/configure.cpp: Captalised the word "disabled" so
	  more obvious.

2005-08-15 11:39  rjongbloed

	* pwlib.sln: Added configure projct to solution

2005-08-14 15:12  csoutheren

	* make/ptlib.mak: Fixed misleading error message from make when
	  PWLIBDIR not defined

2005-08-14 14:58  csoutheren

	* plugins/sound_oss/sound_oss.cxx: Fixed build problem on 64bit
	  Linux

2005-08-13 21:13  shorne

	* tools/configure/configure.cpp: Fix so when feature not found it
	  is marked as disabled.

2005-08-13 08:38  rjongbloed

	* src/ptclib/vxml.cxx: Fixed illegal code line, assigning to const
	  object!

2005-08-13 07:07  rjongbloed

	* samples/xmpptest/xmpptest.dsp: Fixed build with wxWidgets 2.6

2005-08-12 18:41  shorne

	* src/ptclib/vxml.cxx: A couple more small fixes thx. Nickolay V.
	  Shmyrev

2005-08-12 13:22  rjongbloed

	* samples/: emailtest/.cvsignore, ipv6test/.cvsignore,
	  timing/.cvsignore, vidtest/.cvsignore, vxmltest/.cvsignore,
	  xmlrpc/.cvsignore, xmpptest/.cvsignore: More ignorance

2005-08-12 00:20  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Update
	  symbols

2005-08-11 10:48  shorne

	* src/ptclib/vxml.cxx: Removed Close from PVXMLSession::Open
	  method. Thanks Nickolay V. Shmyrev

2005-08-11 01:52  rjongbloed

	* src/ptlib/msos/vfw.cxx: Changed so does not try many formats on
	  opening camera, now uses the OS default.  Changed some of the
	  logging messages.

2005-08-10 13:22  csoutheren

	* configure.ac, configure: Applied #1255354 Fixed problem with
	  systems not having recvmsg Thanks to Hannes Friederich

2005-08-10 10:04  rjongbloed

	* samples/xmpptest/xmpptest.vcproj: Upgraded to support wxWidgets
	  2.6 Also improved build so uses WXDIR environment variable

2005-08-09 15:00  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Update symbols

2005-08-09 14:47  rjongbloed

	* src/ptlib/msos/Console.dsp: Temporarily disabled PODBC.cxx
	  compile until header file turns up

2005-08-09 14:46  rjongbloed

	* src/ptlib/common/sockets.cxx: Fixed some platforms where
	  in6addr_any does not exist.

2005-08-09 11:08  rjongbloed

	* include/ptclib/vsdl.h, include/ptlib/plugin.h,
	  include/ptlib/pluginmgr.h, include/ptlib/sound.h,
	  include/ptlib/vconvert.h, include/ptlib/videoio.h,
	  plugins/vidinput_avc/vidinput_avc.cxx,
	  plugins/vidinput_avc/vidinput_avc.h,
	  plugins/vidinput_bsd/vidinput_bsd.cxx,
	  plugins/vidinput_bsd/vidinput_bsd.h,
	  plugins/vidinput_dc/video4dc1394.cxx,
	  plugins/vidinput_dc/videoio1394dc.h,
	  plugins/vidinput_v4l/vidinput_v4l.cxx,
	  plugins/vidinput_v4l/vidinput_v4l.h,
	  plugins/vidinput_v4l2/vidinput_v4l2.cxx,
	  plugins/vidinput_v4l2/vidinput_v4l2.h, samples/vidtest/main.cxx,
	  samples/vidtest/main.h, src/ptclib/vsdl.cxx,
	  src/ptlib/common/pglobalstatic.cxx,
	  src/ptlib/common/pluginmgr.cxx, src/ptlib/common/sound.cxx,
	  src/ptlib/common/vconvert.cxx, src/ptlib/common/vfakeio.cxx,
	  src/ptlib/common/videoio.cxx, src/ptlib/msos/Console
	  Components.dsp, src/ptlib/msos/Console.dsp,
	  src/ptlib/msos/PODBC.cxx, src/ptlib/msos/vfw.cxx,
	  samples/ODBC/odbctest.cxx, samples/ODBC/odbctest.dsp,
	  samples/ODBC/odbctest.dsw, samples/ODBC/test.mdb,
	  src/ptlib/unix/video4avc1394.cxx, src/ptlib/unix/video4beos.cxx,
	  src/ptlib/unix/video4bsd.cxx, src/ptlib/unix/video4dc1394.cxx,
	  include/ptlib/unix/ptlib/videoio1394avc.h: Merged new video code
	  from branch back to the trunk.

2005-08-08 10:15  rjongbloed

	* samples/xmpptest/: ConnectDialog.cxx, MainFrame.cxx, main.h,
	  precompile.cxx, xmpptest.vcproj: Fixed precompiled header usage

2005-08-08 09:01  rjongbloed

	* include/ptlib/array.h, src/ptlib/common/contain.cxx: Minor
	  changes to remove possible ambiguity where virtual and
	  non-virtual	functions are overloaded.  Removed commented out
	  code.

2005-08-08 08:59  rjongbloed

	* src/ptlib/msos/winsock.cxx: Fixed compiler warning

2005-08-05 22:44  csoutheren

	* include/ptlib/channel.h: Fixed typo

2005-08-05 22:41  csoutheren

	* include/ptlib/channel.h, src/ptlib/common/pchannel.cxx,
	  src/ptlib/msos/ptlib.cxx, src/ptlib/unix/channel.cxx: Added unix
	  support for scattered read/write

2005-08-05 21:42  csoutheren

	* include/ptlib/channel.h, src/ptlib/msos/ptlib.cxx: Added support
	  for scattered read/write

2005-08-05 17:54  csoutheren

	* configure: Updated for configure.ac change for Solaris 10

2005-08-05 17:48  csoutheren

	* configure.ac, make/ptbuildopts.mak.in: Added detection of "ar"
	  for use with Solaris 10 which uses gar

2005-08-04 22:10  csoutheren

	* include/ptclib/pxml.h, include/ptlib/unix/ptlib/pmachdep.h,
	  src/ptlib/unix/maccoreaudio.cxx, src/ptlib/unix/udll.cxx: Apply
	  patch #1217596 Fixed problems with MacOSX Tiger Thanks to Hannes
	  Friederich

2005-08-04 21:46  csoutheren

	* configure, configure.ac, include/ptbuildopts.h.in,
	  include/ptlib/unix/ptlib/pmachdep.h: Applied patch #1240770 Fixed
	  problem with compilation under Solaris 10 Thanks to Boris Pavacic

2005-08-04 21:40  csoutheren

	* include/ptlib/timer.h: Backported fix for gcc 4.0.1 from CVS head

2005-08-04 20:54  csoutheren

	* src/ptlib/unix/tlib.cxx: Applied fix for bug Bugs item #1244310
	  Fix problem wioth --disable-openh323 option Thanks to Michael
	  Manousos

2005-08-04 10:39  rjongbloed

	* src/ptlib/msos/vfw.cxx: Fixed correct flipping of camera can do
	  native mode YUV420P

2005-08-04 10:21  dsandras

	* src/ptclib/vsdl.cxx: Added static plugin flag.

2005-08-04 10:10  rjongbloed

	* src/ptlib/msos/vfw.cxx: Fixed problem where if SetFrameSize() is
	  called and window is already that size, the window is not brought
	  to the front.

2005-08-04 05:19  dereksmithies

	* include/ptclib/xmpp_muc.h, src/ptclib/xmpp_muc.cxx,
	  src/ptlib/unix/Makefile: Add xmpp_muc (XMPP multi user
	  conference) to the compile process for unix.	Correct compile
	  errors under unix.

2005-07-28 02:25  dereksmithies

	* samples/threadex/main.cxx: Update console reading code so it
	  works via a ssh connection to a remote machine.  Add D option to
	  console, so report the average time taken by each iteration of
	  the thread.

2005-07-26 19:07  dsandras

	* src/ptclib/vsdl.cxx: Fix to make gcc happy.

2005-07-26 04:52  dereksmithies

	* samples/threadex/main.cxx: Use different console handling code.
	  Still get "console gone errors" when on remote box.

2005-07-26 03:43  dereksmithies

	* samples/threadex/main.cxx: Set up so that only H or h or ?
	  generate a help message.

2005-07-26 02:46  dereksmithies

	* samples/threadex/: main.cxx, main.h: Commit code to provide two
	  examples of waiting for a thread to terminate.  The busy wait
	  method provides a method of testing PWLIB processes for closing a
	  thread. With a delay of 20ms, SMP box, we found some pwlib
	  methods that needed fixing. At the time of committing this
	  change, the pwlib code was correct.

2005-07-25 14:19  rjongbloed

	* samples/vidtest/Makefile: Removed redundant precompile.cxx file

2005-07-25 14:19  rjongbloed

	* src/ptlib/common/vfakeio.cxx: Fixed correct device name for fake
	  video

2005-07-24 11:19  rjongbloed

	* include/ptlib/unix/ptlib/videoio1394avc.h,
	  src/ptlib/unix/video4avc1394.cxx, src/ptlib/unix/video4bsd.cxx,
	  src/ptlib/unix/video4dc1394.cxx: Removed some (apparently) unused
	  files. Replaced by plugins

2005-07-24 11:01  rjongbloed

	* plugins/: vidinput_avc/vidinput_avc.cxx,
	  vidinput_avc/vidinput_avc.h, vidinput_bsd/vidinput_bsd.cxx,
	  vidinput_bsd/vidinput_bsd.h, vidinput_dc/video4dc1394.cxx,
	  vidinput_dc/videoio1394dc.h, vidinput_v4l2/vidinput_v4l2.cxx,
	  vidinput_v4l/vidinput_v4l.cxx, vidinput_v4l/vidinput_v4l.h,
	  vidinput_v4l2/vidinput_v4l2.h: Major revisions of the PWLib video
	  subsystem including:	 removal of F suffix on colour formats for
	  vertical flipping, all done with existing bool   working through
	  use of RGB and BGR formats so now consistent	 cleaning up the
	  plug in system to use virtuals instead of pointers to functions.
	  rewrite of SDL to be a plug in compatible video output device.
	  extensive enhancement of video test program

2005-07-24 09:23  rjongbloed

	* src/ptlib/msos/vfw.cxx: Fixed correct use of ShowWindow() return
	  value in video window device Start()

2005-07-22 06:19  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Removed redundant check of thread ID
	  introduced in last patch Removed race condition in thread
	  shutdown found by Derek Smithies

2005-07-21 15:09  rogerhardiman

	* samples/dtmftest/main.cxx: Fix typo in help

2005-07-21 15:08  rogerhardiman

	* samples/thread/Makefile: define PWLIBDIR if it is not already
	  defined

2005-07-21 15:04  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Removed race condition where
	  activeThreads list does not contain thread until some time after
	  thread is started. Fixed by moving list insertion to immediately
	  after pthread_create, and using lock

2005-07-21 13:43  rogerhardiman

	* configure.ac: Bugfix: Clear LIBS after using it. This allows the
	  existing res_search test to work on FreeBSD,Mac OS X and OpenBSD.
	  Remove the C library test.

2005-07-21 09:25  csoutheren

	* configure: Updated for Roger's changes to configure.ac

2005-07-21 02:09  csoutheren

	* include/ptlib/unix/ptlib/pprocess.h, src/ptlib/unix/tlibthrd.cxx:
	  Added workaround for braindead behaviour of pthread_kill Thanks
	  to "martin martin" <acevedoma@hotmail.com>

2005-07-20 10:33  rogerhardiman

	* configure.ac: use AC_LINK_IFELSE to link as well as compile. This
	  checks that libresolv actually exists on a platform.

2005-07-20 08:37  rogerhardiman

	* configure.ac: Changes to DNS tests so that it works on FreeBSD

2005-07-19 01:51  csoutheren

	* pwlib_cfg.dxy, version.h: Updated version to 1.9.2

2005-07-19 00:30  csoutheren

	* src/ptlib/unix/socket.cxx: Backported IPV6 fix for 1.9.1

2005-07-18 11:42  rogerhardiman

	* configure.ac: On FreeBSD pthreads is part of the base system

2005-07-17 14:59  rjongbloed

	* src/ptlib/common/vfakeio.cxx: Cleaned up pattern identifcation
	  (enum) and max patterns (input channel).

2005-07-17 14:58  rjongbloed

	* src/: ptclib/vsdl.cxx, ptlib/common/vconvert.cxx: Sorted out the
	  ordering or Red. Blue, Cr and Cb in RGB/BGR/YUV420 formats

2005-07-17 14:17  rjongbloed

	* src/ptlib/common/videoio.cxx: Fixed deadlock changing size

2005-07-17 13:47  rjongbloed

	* include/ptlib/sound.h: Fixed backward compatibility

2005-07-17 13:30  rjongbloed

	* plugins/vidinput_v4l2/: vidinput_v4l2.cxx, vidinput_v4l2.h: Major
	  revisions of the PWLib video subsystem including:   removal of F
	  suffix on colour formats for vertical flipping, all done with
	  existing bool   working through use of RGB and BGR formats so now
	  consistent   cleaning up the plug in system to use virtuals
	  instead of pointers to functions.    rewrite of SDL to be a plug
	  in compatible video output device.	extensive enhancement of
	  video test program

2005-07-17 13:19  rjongbloed

	* samples/vidtest/vidtest.vcproj: Added video test application to
	  build.

2005-07-17 12:03  csoutheren

	* src/ptlib/common/sockets.cxx: Backported fix from Atlas

2005-07-17 11:25  csoutheren

	* src/ptlib/common/sockets.cxx: Fixed problem in IPV6 variant of
	  PIPSocket::Address::IsLoopback Thanks to Roger Hardiman

2005-07-17 11:25  rjongbloed

	* samples/vidtest/main.cxx, samples/vidtest/main.h,
	  include/ptclib/vsdl.h, include/ptlib/msos/ptlib.dtf,
	  include/ptlib/msos/ptlibd.dtf, include/ptlib/plugin.h,
	  include/ptlib/pluginmgr.h, include/ptlib/sound.h,
	  include/ptlib/vconvert.h, include/ptlib/videoio.h,
	  plugins/vidinput_avc/vidinput_avc.cxx,
	  plugins/vidinput_avc/vidinput_avc.h,
	  plugins/vidinput_bsd/vidinput_bsd.cxx, pwlib.dsw,
	  plugins/vidinput_dc/video4dc1394.cxx,
	  plugins/vidinput_dc/videoio1394dc.h,
	  plugins/vidinput_v4l/vidinput_v4l.cxx,
	  plugins/vidinput_v4l/vidinput_v4l.h, src/ptclib/vsdl.cxx,
	  src/ptlib/common/pglobalstatic.cxx,
	  src/ptlib/common/pluginmgr.cxx, src/ptlib/common/sockets.cxx,
	  src/ptlib/common/sound.cxx, src/ptlib/common/vconvert.cxx,
	  src/ptlib/common/vfakeio.cxx, src/ptlib/common/videoio.cxx,
	  src/ptlib/msos/Console Components.dsp,
	  src/ptlib/msos/sound_win32.cxx, src/ptlib/msos/vfw.cxx,
	  src/ptlib/unix/video4avc1394.cxx, src/ptlib/unix/video4beos.cxx:
	  Major revisions of the PWLib video subsystem including:   removal
	  of F suffix on colour formats for vertical flipping, all done
	  with existing bool   working through use of RGB and BGR formats
	  so now consistent   cleaning up the plug in system to use
	  virtuals instead of pointers to functions.	rewrite of SDL to
	  be a plug in compatible video output device.	  extensive
	  enhancement of video test program

2005-07-17 10:37  rjongbloed

	* pwlib.sln: Added video test application to build.

2005-07-17 10:36  rjongbloed

	* src/ptlib/msos/Console Components.vcproj: Added new NAT class to
	  build.

2005-07-15 14:45  rogerhardiman

	* src/ptlib/unix/socket.cxx: Fix bug 1237508 (M Zygmuntowicz). Make
	  IPV6 code use #if instead of #ifdef.

2005-07-14 01:28  csoutheren

	* src/ptlib/msos/Console Components.vcproj: Added pnat.cxx and
	  pnat.h

2005-07-13 15:02  csoutheren

	* include/ptlib/sound.h, src/ptlib/unix/dummyaudio.cxx: Unified
	  interface across Windows and Unix

2005-07-13 14:50  csoutheren

	* include/ptclib/vsdl.h: Backported changes from isvo branch

2005-07-13 14:48  csoutheren

	* src/ptlib/msos/win32.cxx: Backported fix from isvo branch

2005-07-13 14:08  csoutheren

	* include/ptlib/udpsock.h, include/ptlib/msos/ptlib/udpsock.h,
	  src/ptlib/common/sockets.cxx, src/ptlib/msos/winsock.cxx: Fixed
	  QoS patches to be more consistent with PWLib style and to allow
	  Unix compatibility

2005-07-13 13:48  csoutheren

	* include/ptlib/ipsock.h, include/ptlib/qos.h,
	  include/ptlib/udpsock.h, src/ptlib/common/sockets.cxx,
	  src/ptlib/msos/ethsock.cxx, src/ptlib/msos/winsock.cxx,
	  src/ptlib/unix/socket.cxx: Backported QOS changes from isvo
	  branch

2005-07-13 13:15  csoutheren

	* include/ptclib/pnat.h, include/ptclib/pstun.h,
	  src/ptclib/pnat.cxx, src/ptclib/pstun.cxx,
	  src/ptlib/unix/Makefile: Backported NAT abstraction files from
	  isvo branch

2005-07-13 13:13  csoutheren

	* samples/strtest/main.cxx: Added new tests

2005-07-04 13:35  shorne

	* include/ptlib/sound.h: Added ability to play sound to specfied
	  device (Win32).

2005-07-03 15:48  shorne

	* src/ptlib/msos/sound_win32.cxx: Add the ability to play sound to
	  specified device.

2005-06-28 13:08  csoutheren

	* configure, configure.ac: Backport option from head to enable C++
	  exceptions

2005-06-22 00:28  rjongbloed

	* src/ptlib/common/sockets.cxx: Assured IP is set to zero, so if
	  parse of dotted decimal fails is not random IP address.

2005-06-21 09:26  csoutheren

	* pwlib_cfg.dxy, version.h: Changed version number to 1.8.5

2005-06-20 13:02  rjongbloed

	* samples/: emailtest/emailtest.vcproj, ipv6test/ipv6test.vcproj:
	  Fixed linker warning

2005-06-20 12:55  rjongbloed

	* include/ptclib/pstun.h, src/ptclib/pstun.cxx: Changed the timeout
	  and retries so if there is a blocking firewall it does not take
	  15 seconds to find out! Added access functions so timeout and
	  retries are application configurable.  Added function (and <<
	  operator) to get NAT type enum as string.

2005-06-14 01:42  csoutheren

	* include/ptlib/: timer.h, unix/ptlib/pprocess.h: Fixed problems
	  with gcc 4.0 on 64 bit platforms, backported from head Thanks to
	  Kilian Krause

2005-06-09 02:33  csoutheren

	* include/ptclib/pwavfile.h, src/ptclib/pwavfile.cxx: Fixed crash
	  problem caused by recent leak fix Removed bogus error when
	  reading all of file contents in a single read

2005-06-08 13:30  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Update
	  symbols from various changes

2005-06-07 12:54  csoutheren

	* include/ptlib/plugin.h: Backported fix from Atlas head

2005-06-07 11:28  csoutheren

	* src/ptclib/pwavfile.cxx: Fixed bug #1204964 - ensure full cleanup
	  when WAV file is closed Thanks to Zdenek Broz

2005-06-07 09:41  csoutheren

	* pwlibce.vcp, src/ptlib/msos/win32.cxx: Applied patch 1176459 for
	  PocketPC. Thanks to Matthias Weber

2005-06-07 08:25  csoutheren

	* include/ptclib/asner.h, src/ptclib/asner.cxx,
	  src/ptclib/asnxer.cxx: Applied patch 1199897 to increase speed of
	  ASN parser debugging output Thanks to Dmitriy <ddv@abinet.com>

2005-06-07 02:42  csoutheren

	* include/ptlib/plugin.h: Apply patch 1214249 to fix crash with
	  Suse 9.3. Thanks to Stefan Bruns

2005-06-06 09:49  shorne

	* src/ptclib/shttpsvc.cxx: Added P_SSL directive to fix debug
	  compile problem,

2005-06-02 21:25  dsandras

	* include/ptlib/: timer.h, unix/ptlib/pprocess.h: Applied patch
	  from Miguel Rodríguez Pérez <miguelrp  @  gmail.com> (migras) to
	  fix compilation with gcc 4.0.1.

2005-06-01 13:41  rjongbloed

	* include/ptlib/msos/ptlib.ignore,
	  include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf, src/ptlib/msos/PTLib.vcproj:
	  Adjusted ignore files for symbols not to be included in DLL

2005-05-12 15:40  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Fixed locking
	  problems with currentPLayItem optimisation

2005-05-12 07:30  csoutheren

	* src/ptclib/pxml.cxx: Ensured error location is initialised

2005-05-12 07:28  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Optimised read loop
	  and fixed problems with playing repeated continuous tones

2005-05-12 07:25  csoutheren

	* include/ptclib/pwavfile.h: PWAVFile format abstract factory must
	  use a PCaseless as a key

2005-05-03 13:58  csoutheren

	* include/ptlib/pfactory.h, src/ptlib/unix/tlibthrd.cxx: Fixed
	  various problems reported by valgrind Thanks to Paul Cadach

2005-05-02 15:10  csoutheren

	* src/ptlib/common/contain.cxx: Fixed problem with
	  PString::SetMinSize not always uniquing the string

2005-05-02 11:02  csoutheren

	* include/ptlib/array.h, src/ptlib/common/contain.cxx: Fixed
	  previous fix to contain.cxx which broke PString::MakeUnique

2005-04-28 06:48  csoutheren

	* src/ptlib/common/contain.cxx: Changed PContainer::SetSize to not
	  unique a container when the size is unchanged

2005-04-27 17:18  shorne

	* src/ptlib/msos/: Console Components.dsp, Console.dsp: Fixed file
	  reference

2005-04-27 14:08  csoutheren

	* configure, configure.ac, include/ptbuildopts.h.in,
	  src/ptclib/pdns.cxx: Added support for res_minit for thread-safe
	  resolver access Added mutex when res_minit not available

2005-04-25 22:45  shorne

	* src/ptlib/msos/Console Components.dsp: Added pnat

2005-04-25 22:44  shorne

	* src/ptlib/msos/Console.dsp: Added ODBC Support

2005-04-25 15:55  shorne

	* samples/ODBC/: odbctest.cxx, odbctest.dsp, odbctest.dsw,
	  test.mdb: Initial version

2005-04-25 15:42  shorne

	* src/ptlib/common/sockets.cxx: Extended QoS support for per-call
	  negotiation

2005-04-25 15:39  shorne

	* include/ptlib/udpsock.h: Extended QoS support for per-call
	  negotiation

2005-04-25 15:37  shorne

	* include/ptlib/qos.h: Added P_KNOCKOUT_WINSOCK32 to avoid
	  compilation errors

2005-04-25 15:33  shorne

	* src/ptlib/msos/ethsock.cxx: Extra support for DHCP Environment
	  (Win32)

2005-04-25 15:30  shorne

	* include/ptlib/ipsock.h: Extra support for DHCP Environment
	  (Win32)

2005-04-25 15:27  shorne

	* include/ptclib/vsdl.h: Added support for capture SDL output to
	  redirect to existing surface

2005-04-25 15:23  shorne

	* include/ptclib/pnat.h, src/ptclib/pnat.cxx: Initial version

2005-04-25 15:19  shorne

	* src/ptclib/pstun.cxx, include/ptclib/pstun.h: Add Support for
	  other NAT methods

2005-04-25 15:14  shorne

	* src/ptlib/common/pluginmgr.cxx, include/ptlib/pluginmgr.h: Added
	  ability to alter plugin suffix

2005-04-25 15:12  shorne

	* src/ptlib/msos/win32.cxx: Fixed OSConfigDir for win32/NT/XP

2005-04-25 15:09  shorne

	* src/ptlib/msos/PODBC.cxx: Initial version

2005-04-25 15:06  shorne

	* include/ptlib/msos/ptlib/PODBC.h: Fixed comments

2005-04-25 15:04  shorne

	* include/ptlib/msos/ptlib/PODBC.h: Initial Release

2005-04-25 13:41  shorne

	* ReadMe_QOS.txt: Added updated information on 802.1p

2005-04-21 07:28  csoutheren

	* src/ptclib/vxml.cxx: Fixed assert if recordable does not queue
	  properly

2005-04-21 07:27  csoutheren

	* include/ptclib/vxml.h: Changed default value for OnFrame

2005-04-21 07:27  csoutheren

	* src/ptlib/msos/sound_win32.cxx: Prevent weird deadlocks when
	  using record-only or play-only sound channels

2005-04-20 09:02  csoutheren

	* tools/MergeSym/MergeSym.cxx: Changed handle "," in include paths

2005-04-20 07:20  csoutheren

	* samples/strtest/: Makefile, main.cxx: Added test for ports in URL

2005-04-20 07:19  csoutheren

	* include/ptclib/url.h, src/ptclib/http.cxx: Patch 1185334. Ensure
	  SIP URLs correctly store status of port Thanks to Ted Szoczei

2005-04-20 06:52  csoutheren

	* configure, configure.ac: Fixed type in recent --disable-ipv6 fix

2005-04-20 06:51  csoutheren

	* configure, configure.ac, make/ptbuildopts.mak.in: Fixed problems
	  when using --disable-ipv6 or --disable-qos

2005-04-19 07:11  csoutheren

	* configure, configure.ac, make/ptbuildopts.mak.in: Fixed compile
	  problems when IPV6 disabled on Linux

2005-04-15 12:49  dsandras

	* src/ptclib/inetprot.cxx: Allow reading on the transport until
	  there is an EOF or it becomes bad. Fixes interoperability problem
	  with QSC.DE which is sending keep-alive messages, leading to a
	  timeout (transport.good() fails, but the stream is still usable).

2005-04-06 21:34  dsandras

	* src/ptclib/inetprot.cxx: Fixed typo in previous commit.

2005-04-06 12:10  dsandras

	* Makefile.in: Fixed install target with DESTDIR thanks to Stefan
	  Bruens.

2005-04-06 09:56  dsandras

	* src/ptclib/inetprot.cxx: Added continuation line support in
	  MimeInfo to fix problem reported by Jan Schiefer thanks to Craig
	  Southeren.

2005-03-22 08:32  csoutheren

	* src/ptclib/pwavfile.cxx: Fixed problem with incorrect message
	  being displayed when reading past end of file

2005-03-22 08:29  csoutheren

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx: Fixed
	  problem where PStrings sometimes get case into PIPSocket::Address
	  when outputting to an ostream

2005-03-19 04:20  csoutheren

	* config.guess, config.sub, configure, install-sh: Updated to
	  autoconf 2.59

2005-03-19 03:52  csoutheren

	* include/ptclib/html.h, include/ptclib/pwavfile.h,
	  include/ptclib/vxml.h, src/ptclib/vxml.cxx,
	  src/ptlib/common/osutils.cxx: Fix warnings from gcc 4.1-20050313
	  shapshot

2005-03-18 22:06  dereksmithies

	* samples/serial/serial.cxx: Add help messages. Enable different
	  flow control options.

2005-03-14 08:33  dereksmithies

	* samples/serial/serial.cxx: Fix console input handling.
	  Concatenate characters split by PSerialChannel reading.

2005-03-12 07:44  dereksmithies

	* samples/serial/serial.cxx: Fix typo in setting stopbits.  Program
	  now reports all serial parameters that are used.

2005-03-10 10:27  dereksmithies

	* samples/address/local.cxx: Improve text output.

2005-03-10 10:21  dereksmithies

	* samples/serial/: Makefile, serial.cxx: Initial release of a
	  program to illustrate the operation of the serial port.

2005-03-10 10:19  dereksmithies

	* samples/address/: Makefile, local.cxx: Initial release of code to
	  illustrate the reading of the machines external ip address and
	  hostname

2005-03-10 09:10  dereksmithies

	* samples/vidtest/main.cxx: Use a more descriptive name for the
	  manufacturer.

2005-03-10 07:37  csoutheren

	* include/ptlib/: msos/ptlib/contain.h, object.h,
	  unix/ptlib/contain.h: Removed use of typeid on WIndows to get
	  class name because it is not threadsafe In fact, lets just use
	  #classname everywhere because that will always work Thanks to
	  Vyacheslav Frolov

2005-03-10 04:27  dereksmithies

	* src/ptlib/unix/serchan.cxx: Fix an address typo.

2005-03-08 01:32  csoutheren

	* pwlib_cfg.dxy, version.h: Incremented version number to 1.9.1

2005-03-03 23:56  dominance

	* configure, configure.ac: we need flex, so we better make sure
	  it's there.

2005-03-02 22:50  dereksmithies

	* samples/md5/: Makefile, encrypt.cxx: Initial release of example
	  code to calculate MD5 sums of a supplied string.

2005-03-01 18:56  dsandras

	* include/ptlib/unix/ptlib/maccoreaudio.h,
	  src/ptlib/unix/maccoreaudio.cxx,
	  src/ptlib/unix/maccoreaudio/circular_buffer.inl,
	  src/ptlib/unix/maccoreaudio/maccoreaudio_devices.inl,
	  src/ptlib/unix/maccoreaudio/mute_hack.inl: Update of the MacOSX
	  CoreAudio thanks to Hannes Friederich.

2005-02-23 22:29  dominance

	* configure, configure.ac, make/ptbuildopts.mak.in, make/ptlib.mak,
	  make/pwlib.mak, make/unix.mak: have configure check for bison as
	  we know we'll need it and stop implicit definition of PWLIBDIR.
	  *geesh* that was about time, eh? ;)

2005-02-22 04:25  dereksmithies

	* src/ptlib/unix/tlib.cxx: Add fix from huangzb@a-star.com.cn to
	  correct a typo. Many thanks.

2005-02-21 12:15  rjongbloed

	* samples/: dnstest/dnstest.vcproj, emailtest/.cvsignore,
	  ipv6test/.cvsignore: Fixed various warnings

2005-02-20 22:18  dereksmithies

	* include/ptlib/serchan.h: Fix documentation typos.

2005-02-15 03:46  csoutheren

	* tools/configure/configure.vcproj, samples/dnstest/dnstest.vcproj,
	  samples/factory/factory.vcproj: Added VS.net projects

2005-02-14 11:42  csoutheren

	* pwlib.dsw, src/ptlib/msos/Console Components.dsp,
	  src/ptlib/msos/PTLib.dsp: Fixed compile/link probems using MSVC 6

2005-02-14 02:00  csoutheren

	* pwlib.sln: Updated list of suitable test projects

2005-02-14 00:44  csoutheren

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx,
	  src/ptlib/unix/socket.cxx: Backported more IPV6 fixes from
	  Atlas-devel

2005-02-14 00:04  csoutheren

	* samples/ipv6test/main.cxx: Put isrfc1918 option handling before
	  first test (doh!)

2005-02-14 00:01  csoutheren

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx: Fixed
	  problem with not detecting mapped IPV6 addresses within the
	  RFC1918 address range as RFC1918

2005-02-13 23:33  csoutheren

	* samples/ipv6test/main.cxx: Added ability to test an IP address
	  for RFC1918

2005-02-10 11:03  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Expanded
	  interface list routines to include IPV6 addresses

2005-02-07 13:12  csoutheren

	* src/ptlib/common/sockets.cxx, src/ptlib/unix/socket.cxx,
	  include/ptlib/ipsock.h, samples/ipv6test/main.cxx: Expanded
	  interface list routines to include IPV6 addresses Added IPV6 to
	  GetLocalAddress

2005-02-07 01:54  csoutheren

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx: Backported
	  latest IPV6 changes from Atlas-devel

2005-02-07 01:47  csoutheren

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx: Changed
	  IPV6 code to use standard IPV6 macros

2005-02-04 06:50  csoutheren

	* include/ptlib/ipsock.h: Extended IsRFC1918 to handle IPV6

2005-02-04 06:32  csoutheren

	* pwlib_cfg.dxy, version.h: Advanced version numbers to odd to
	  indicate development version

2005-02-04 06:19  csoutheren

	* pwlib_cfg.dxy, version.h, include/ptclib/url.h,
	  include/ptclib/vxml.h, include/ptlib/ipsock.h,
	  include/ptlib/lists.h, include/ptlib/pstring.h,
	  src/ptclib/dtmf.cxx, src/ptclib/http.cxx, src/ptclib/vxml.cxx,
	  src/ptlib/common/collect.cxx, src/ptlib/common/contain.cxx,
	  src/ptlib/common/sockets.cxx, src/ptlib/msos/ptlib.cxx,
	  src/ptlib/msos/win32.cxx, src/ptlib/msos/winserial.cxx,
	  src/ptlib/unix/pipechan.cxx, src/ptlib/unix/serchan.cxx,
	  src/ptlib/unix/tlibthrd.cxx: Backported patches from Atlas-devel

2005-02-04 03:43  csoutheren

	* pwlib_cfg.dxy: Updated documentation version number

2005-02-03 20:26  dsandras

	* plugins/: configure, configure.in: Fixed build of DC plugin.

2005-02-03 13:38  csoutheren

	* samples/ipv6test/main.cxx: Added tests for URL parsing

2005-02-03 09:41  dsandras

	* plugins/: configure.in, configure: Fixed video plugins detection.

2005-02-03 02:25  csoutheren

	* configure, configure.ac, make/ptbuildopts.mak.in,
	  plugins/configure, plugins/configure.in, src/ptlib/unix/Makefile:
	  Make sure code still links when plugins not enabled

2005-02-03 00:21  csoutheren

	* src/ptlib/msos/win32.cxx: Fixed problem with race condition in
	  HousekeepingThread Thanks to an idea from Auri Vizgaitis

2005-01-31 09:05  csoutheren

	* src/ptlib/: common/osutils.cxx, common/pglobalstatic.cxx,
	  common/vfakeio.cxx, unix/Makefile: More patches for MacOSX,
	  thanks to Hannes Friederich

2005-01-26 06:37  csoutheren

	* configure, configure.ac, include/ptbuildopts.h.in,
	  include/ptclib/cypher.h, include/ptclib/ipacl.h,
	  include/ptlib/args.h, include/ptlib/config.h,
	  include/ptlib/osutil.inl, include/ptlib/pprocess.h,
	  make/ptbuildopts.mak.in, src/ptclib/cypher.cxx,
	  src/ptclib/ipacl.cxx, src/ptlib/common/osutils.cxx,
	  src/ptlib/common/sockets.cxx, src/ptlib/unix/Makefile,
	  src/ptlib/unix/tlib.cxx: Added ability to remove config file
	  support

2005-01-25 12:28  csoutheren

	* src/ptlib/msos/win32.cxx: Changed parms to CreateEvent to be more
	  clear

2005-01-25 07:37  csoutheren

	* src/ptlib/msos/Console.dsp: Fixed some problems with MSVC 6

2005-01-25 07:35  csoutheren

	* include/ptlib/lists.h, src/ptclib/dtmf.cxx,
	  src/ptlib/common/vconvert.cxx: Removed warnings under MSVC

2005-01-24 19:27  csoutheren

	* configure.ac: added defautl values for xmlrpc and jabber

2005-01-22 03:10  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Fixed
	  problem with IPv6 INADDR_ANY

2005-01-21 22:25  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Removed incorrect return in
	  PThread::WaitForTermination

2005-01-17 00:00  csoutheren

	* src/ptlib/: msos/win32.cxx, unix/tlibthrd.cxx: Fixed problem when
	  calling WaitForTermination from within the same thread

2005-01-16 22:27  csoutheren

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx: Changed
	  PIPSocket::IsAny to be const

2005-01-16 21:36  csoutheren

	* src/ptclib/http.cxx: Changed URLS to put IP address in [] if
	  contains a ":"

2005-01-16 21:35  csoutheren

	* src/ptlib/common/sockets.cxx: Fixed problem with IPv6 INADDR_ANY

2005-01-15 22:11  dominance

	* configure, configure.ac: added --enable-openh323 option ;)

2005-01-15 20:27  csoutheren

	* samples/ipv6test/main.cxx: Added test for GetInterfaceTable
	  Thanks to Jan Willamowius

2005-01-15 20:23  csoutheren

	* src/ptlib/common/sockets.cxx: Fixed problem in operator *= for IP
	  V6

2005-01-15 08:56  csoutheren

	* configure, configure.ac: Fixed problem with XML dependent modules
	  not being compiled when enabled

2005-01-15 08:53  csoutheren

	* src/ptclib/httpsrvr.cxx: Fixed problem when disabling http

2005-01-14 12:49  csoutheren

	* make/unix.mak: Removed -s flag so executables are not stripped by
	  default

2005-01-12 09:37  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Fixed
	  namespace collisions with plugin starup factories

2005-01-12 04:24  csoutheren

	* src/ptlib/msos/winserial.cxx: More cleanup of event handling

2005-01-11 13:46  csoutheren

	* src/ptlib/msos/winserial.cxx: Removed handle leak on serial port
	  caused by memset Thanks to Dmitry Samokhin

2005-01-11 07:57  csoutheren

	* src/ptlib/: common/pglobalstatic.cxx, common/pluginmgr.cxx,
	  msos/win32.cxx: Fixed namespace collisions with plugin starup
	  factories

2005-01-11 07:22  csoutheren

	* src/ptlib/unix/Makefile: Fixed problem with removing HTTP classes

2005-01-09 07:35  rjongbloed

	* include/ptlib/lists.h, include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf, src/ptlib/common/collect.cxx,
	  src/ptlib/common/contain.cxx: Fixed ability to make Clone() or
	  MakeUnique() of a sorted list.

2005-01-09 04:50  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: More
	  adjustments to factory

2005-01-04 12:42  csoutheren

	* pwlib.sln, src/ptlib/msos/Console.vcproj: Adjusted projects
	  settings as required

2005-01-04 09:09  csoutheren

	* configure, configure.ac, src/ptclib/http.cxx,
	  src/ptclib/ptts.cxx, src/ptclib/pwavfile.cxx,
	  src/ptlib/common/pglobalstatic.cxx, src/ptlib/common/videoio.cxx,
	  src/ptlib/unix/tlib.cxx: Fixed Linux configure problems

2005-01-04 08:44  csoutheren

	* configure.ac, include/ptclib/ptts.h, include/ptclib/pwavfile.h,
	  include/ptclib/url.h, include/ptlib/pfactory.h,
	  include/ptlib/plugin.h, include/ptlib/sound.h,
	  include/ptlib/videoio.h, src/ptclib/ptts.cxx,
	  src/ptlib/common/osutils.cxx, src/ptlib/common/pglobalstatic.cxx,
	  src/ptlib/common/vconvert.cxx, src/ptlib/common/vfakeio.cxx,
	  src/ptlib/msos/sound_win32.cxx, src/ptlib/msos/vfw.cxx,
	  src/ptlib/msos/win32.cxx: More changes to implement the new
	  configuration methodology, and also to attack the global static
	  problem

2005-01-04 04:49  csoutheren

	* configure.ac: Fixed some problems with Windows config

2005-01-03 13:48  csoutheren

	* configure, configure.ac, include/ptbuildopts.h.in,
	  include/ptclib/http.h, make/ptbuildopts.mak.in,
	  plugins/configure, plugins/configure.in,
	  src/ptlib/common/sfile.cxx, src/ptlib/unix/Makefile: Added new
	  configure options and ability to disable/enable modules

2005-01-03 06:37  csoutheren

	* configure, configure.ac: Fixed plugin configuration

2005-01-03 05:41  csoutheren

	* configure, configure.ac, make/ptbuildopts.mak.in,
	  src/ptlib/unix/Makefile: Normalise handling of configure flags
	  Add --enable-minsize option (more to follow)

2005-01-03 03:52  csoutheren

	* src/ptlib/unix/serchan.cxx: Fixed problem with default speed of
	  serial ports Fixed problem with using obsolete lock directory for
	  serial ports

2004-12-27 23:38  csoutheren

	* src/ptlib/msos/winserial.cxx: Fixed problems with accessing
	  serial port under Windows

2004-12-22 05:04  dereksmithies

	* include/ptlib/pstring.h: Modify description of parameters for
	  PString::Replace()

2004-12-21 07:30  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Added explicit stack size for
	  pthreads to minimise VM usage, thanks to Diana Cionoiu

2004-12-20 08:59  csoutheren

	* include/ptlib/ipsock.h: Fixed operator *= for IPV6

2004-12-18 04:36  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Added
	  PIPSocket::Address::operator*= to compare IPV4 addresses

2004-12-15 01:39  csoutheren

	* src/ptlib/unix/pipechan.cxx: Fixed problem with passing arguments
	  to PPipeChannel, thanks to Derek Smithies

2004-12-14 15:24  csoutheren

	* include/ptlib/ipsock.h, samples/ipv6test/main.cxx,
	  src/ptlib/common/sockets.cxx: Added
	  PIPSocket::Address::operator*= to compare IPV4 addresses to
	  IPV4-compatible IPV6 addresses. More documentation needed once
	  this is tested as working

2004-12-14 12:11  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Added
	  function to get address of network interface

2004-12-14 08:49  csoutheren

	* samples/ipv6test/main.cxx: added some tests

2004-12-14 08:04  csoutheren

	* samples/ipv6test/Makefile: Initial version

2004-12-14 07:50  csoutheren

	* samples/ipv6test/: ipv6test.dsp, ipv6test.dsw, ipv6test.vcproj,
	  main.cxx, main.h, precompile.cxx, precompile.h, version.h:
	  Initial version

2004-12-14 07:20  csoutheren

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx: Added
	  function to get address of network interface

2004-12-09 03:07  csoutheren

	* configure.exe: Updated configure.exe to latest version

2004-12-09 03:05  csoutheren

	* tools/configure/configure.cpp: Added IF_FEATURE option to allow
	  features dependent on existence/non-existence of  other features

2004-12-08 01:54  csoutheren

	* samples/dnstest/main.cxx: Added URL lookups

2004-12-08 01:52  csoutheren

	* include/ptclib/vxml.h: Added GetSampleFrequency function

2004-12-08 01:51  csoutheren

	* include/ptclib/url.h, src/ptclib/http.cxx: Move PURLLegacyScheme
	  to header file to allow external usage

2004-12-08 01:49  csoutheren

	* src/ptlib/msos/ptlib.cxx: Fixed weird problem with not returning
	  correct filetype when filename has multiple  "." and slashes

2004-12-05 21:45  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Added back some of the former
	  code to fix probems with PWavFile.

2004-12-03 03:06  csoutheren

	* src/ptclib/vxml.cxx: Ensure FlushQueue called OnStop for queued
	  elements

2004-12-02 02:19  dereksmithies

	* plugins/sound_alsa/: sound_alsa.cxx, sound_alsa.h: Ensure ALSA is
	  initialised to a default of 2 stored buffers.  Improve reporting
	  of errors.  Thanks to various people who have been patiently
	  reporting errors.

2004-12-01 13:05  csoutheren

	* configure.exe: Updated to new version

2004-12-01 12:59  csoutheren

	* tools/configure/configure.cpp: Incremented version number

2004-12-01 12:57  csoutheren

	* tools/configure/configure.cpp: Fixed problem with not finding
	  MSWIN macros with leading spaces and added ability to
	  enable/disable features using --name as as well as --enable-name
	  Thank to Guilhem Tardy

2004-11-27 17:23  rogerhardiman

	* samples/find_ip/find_ip.cxx: www.ip-calculator.com has gone

2004-11-26 04:15  csoutheren

	* version.h: Incremented build number after tagging to v1_8_3.

2004-11-25 08:23  csoutheren

	* include/ptclib/pstun.h, src/ptclib/pstun.cxx: Added
	  IsSupportingRTP function to simplify detecting when STUN supports
	  RTP

2004-11-23 12:33  csoutheren

	* include/ptlib/: dict.h, pstring.h: Fixed problem with RemoveAt
	  returning invalid pointer in some cases, and added extra
	  documentation on this case.  Thanks to Diego Tartara for pointing
	  out this potential problem

2004-11-22 00:15  dominance

	* configure, configure.ac: add --enable-v4l2 to the output of
	  configure --help...

2004-11-21 20:17  dsandras

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Temporarily removed the
	  double names hack.

2004-11-18 09:40  csoutheren

	* src/ptlib/unix/maccoreaudio.cxx,
	  include/ptlib/unix/ptlib/maccoreaudio.h,
	  src/ptlib/unix/maccoreaudio/circular_buffer.inl,
	  src/ptlib/unix/maccoreaudio/maccoreaudio_devices.inl: Add new
	  files for MacOSX audio thanks to Hannes Friederich Fix
	  incompatibilities with some FireWire & USB devices and other
	  fine-tuning.

2004-11-17 13:50  csoutheren

	* include/ptbuildopts.h.in, src/ptlib/msos/win32.cxx: Win32 DCOM
	  support, thanks to Simon Horne

2004-11-17 11:13  csoutheren

	* configure, configure.ac, make/ptbuildopts.mak.in,
	  src/ptclib/dtmf.cxx, src/ptlib/common/sound.cxx,
	  src/ptlib/common/videoio.cxx: Fixed compilation with gcc 4.0.0

2004-11-17 00:07  csoutheren

	* samples/factory/main.cxx: Removed warnings

2004-11-16 01:31  csoutheren

	* src/ptlib/common/sockets.cxx: Added Cygwin support (needs to have
	  gethostbyname_r fixed)

2004-11-16 01:30  csoutheren

	* include/ptlib/unix/ptlib/pmachdep.h, make/unix.mak: Added Cygwin
	  support

2004-11-16 01:24  csoutheren

	* include/ptbuildopts.h.in: Added Cygwin support

2004-11-16 01:22  csoutheren

	* configure, configure.ac: Added support for cygwin

2004-11-16 00:47  csoutheren

	* src/ptclib/pdns.cxx: Fixed problem with empty SRV names

2004-11-15 14:26  csoutheren

	* plugins/sound_oss/sound_oss.cxx: Removed debugging (oops!)

2004-11-15 12:33  csoutheren

	* src/ptclib/pdns.cxx: Fixed problem in SRV record handling

2004-11-11 08:34  csoutheren

	* include/ptclib/: asner.h, cypher.h, delaychan.h, dtmf.h, ftp.h,
	  inetprot.h, memfile.h, modem.h, psasl.h, pwavfile.h, qchannel.h,
	  random.h, url.h, vxml.h, xmpp.h: Added #include <ptlib.h>

2004-11-08 10:10  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Fixed safe
	  ptr casting so keeps associated collection for use in for loops.

2004-11-08 05:07  csoutheren

	* include/ptclib/pwavfile.h, src/ptclib/pwavfile.cxx: Fixed crash
	  opportunity under some conditions Fixed incorrect WAV file type
	  display

2004-11-08 05:04  csoutheren

	* plugins/sound_oss/: sound_oss.cxx, sound_oss.h: Added resampling
	  to allow operation on hardware that only supports 48khz

2004-11-08 03:34  csoutheren

	* include/ptlib/safecoll.h: Refactored code to (hopefully) compile
	  on Linux

2004-11-07 23:48  dominance

	* plugins/vidinput_v4l2/: vidinput_names.cxx, vidinput_names.h,
	  vidinput_v4l2.cxx, vidinput_v4l2.h: fixed copyright of v4l2
	  plugin. Last commit's credits go to Nicola Orru'
	  <nigu@itadinanta.it> ...

2004-11-07 22:34  dominance

	* plugins/vidinput_v4l2/: Makefile, vidinput_names.cxx,
	  vidinput_names.h, vidinput_v4l2.cxx: v4l2 patch to add verbose
	  device names detection.

2004-11-07 21:23  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Removed erroneous update of
	  lastReadCount in previous commit.

2004-11-07 21:01  dsandras

	* plugins/: sound_oss/sound_oss.cxx, sound_alsa/sound_alsa.cxx:
	  Make sure lastWriteCount is updated.

2004-11-07 13:55  rjongbloed

	* include/ptlib/safecoll.h: Fixed safe ptr casting so keeps
	  associated collection for use in for loops.

2004-11-07 07:27  rjongbloed

	* include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf,
	  src/ptlib/common/vconvert.cxx: Removed warnings about unused
	  parameters in SBGGR8 conversion functions. Left one	in (flip
	  vertical) as it should be implemented but wasn't.

2004-11-06 17:31  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Removed dictionnary copy.

2004-11-02 00:16  ykiryanov

	* include/ptlib/sound.h: Added macro declaring sound plugin to be
	  static for BeOS

2004-11-01 04:42  csoutheren

	* configure, configure.ac: Added flag to remove C++ exception
	  handling as this reduces the size of static executables on Linux
	  by approximately 10%

2004-10-31 23:22  csoutheren

	* src/ptlib/msos/win32.cxx: Added pragma to include ole32.lib for
	  static builds

2004-10-30 21:25  ykiryanov

	* include/ptlib/wince/stdlibx.h: Added strcasecmp definitions to
	  std library

2004-10-30 21:23  ykiryanov

	* include/ptlib/msos/ptlib/contain.h: Ifdefd strcasecmp for WinCE
	  port

2004-10-29 20:54  csoutheren

	* configure, configure.ac: Added additional checking for recvmsg
	  function

2004-10-28 22:07  csoutheren

	* configure, configure.ac, make/ptbuildopts.mak.in, make/unix.mak,
	  src/ptlib/common/sound.cxx, src/ptlib/unix/Makefile,
	  src/ptlib/unix/maccoreaudio.cxx: Fixes for MacOSX platforms,
	  thanks to Hannes Friederich

2004-10-28 21:35  ykiryanov

	* src/ptlib/wince/ConsoleCE/stdlibx.cpp,
	  include/ptlib/wince/stdlibx.h: Added stricmp (and strcasecmp
	  through macro) to standard library

2004-10-28 21:23  ykiryanov

	* pwlibce.vcp: Fixed some build parameters

2004-10-28 14:19  rjongbloed

	* include/ptlib/safecoll.h: Added oeprator! to assure test for NULL
	  that some people use is correct for PSafePtr

2004-10-27 11:24  dsandras

	* src/ptlib/common/: vconvert.cxx, videoio.cxx: Added patch from
	  Nicola Orru' to convert from SBGGR8 to YUV420P. Thanks!

2004-10-27 11:22  dsandras

	* plugins/vidinput_v4l2/: vidinput_v4l2.cxx, vidinput_v4l2.h: Added
	  patch from Nicola Orru' to make things work better.

2004-10-26 20:29  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Added ostream::write and istream::read
	  with 2nd param as streamsize to please New toolchain

2004-10-26 20:27  ykiryanov

	* src/ptlib/common/sockets.cxx: Added another for of SetOption to
	  set SO_REUSEADDR for BeOS

2004-10-26 20:25  ykiryanov

	* src/ptclib/httpclnt.cxx: Added (const char*) qualifier to url
	  parameter, similar to one below

2004-10-26 20:08  ykiryanov

	* src/ptlib/unix/beaudio.cxx: Added code for old Media Kit, to be
	  backwards compatible with R5, and Zeta ifdef

2004-10-26 20:07  ykiryanov

	* include/ptlib/unix/ptlib/beaudio.h: Added ifdef for Zeta build

2004-10-26 08:00  csoutheren

	* samples/stunclient/main.cxx: Added -t and -o options

2004-10-26 07:58  csoutheren

	* src/ptclib/pstun.cxx: Increased timeout on STUN responses to
	  avoid spurious STUN failures due to network trsffic/congestion
	  etc

2004-10-24 05:43  rjongbloed

	* src/ptlib/common/object.cxx: Used correct test for inclusion of
	  pragma implementation

2004-10-23 15:15  ykiryanov

	* src/ptlib/wince/ConsoleCE/snmpdummy.cpp: These "empty" SNMP
	  functions moved here from PocketPhone project.  If you really
	  need SNMP functions, as for GK registration, try to look for them
	  at Platform Builder libraries directories. Remove snmpdummy.cpp
	  in this case, and add these libraries: snmpapi.lib and
	  snmpmibii.lib. Remember to add proper platform library, say x86
	  or arm one, dependent of for what platform you are building.

2004-10-23 13:32  ykiryanov

	* include/: ptlib/msos/ptlib/sound_win32.h,
	  ptlib/msos/ptlib/contain.h, ptclib/http.h: Added ifdef _WIN32_WCE
	  for PocketPC 2003 SDK port

2004-10-23 13:31  ykiryanov

	* include/ptlib/wince/stdlibx.h: Added some error definitions
	  missing in PocketPC 2003 SDK

2004-10-23 13:27  ykiryanov

	* src/ptclib/http.cxx: Added ifdef _WIN32_WCE for PocketPC 2003 SDK
	  port

2004-10-23 13:16  ykiryanov

	* src/ptlib/msos/sound_win32.cxx: Added ifdef _WIN32_WCE for
	  PocketPC 2003 SDK port

2004-10-23 12:58  ykiryanov

	* src/ptclib/pxml.cxx: Added ifdef _WIN32_WCE for PocketPC 2003 SDK
	  port

2004-10-23 12:54  ykiryanov

	* src/: ptlib/common/videoio.cxx, ptlib/common/object.cxx,
	  ptclib/ptts.cxx: Added ifdef _WIN32_WCE for PocketPC 2003 SDK
	  port

2004-10-23 12:50  ykiryanov

	* src/ptlib/msos/: win32.cxx, vfw.cxx, ptlib.cxx, pipe.cxx,
	  ethsock.cxx, dllmain.cxx: Added ifdef _WIN32_WCE for PocketPC
	  2003 SDK port

2004-10-23 12:45  ykiryanov

	* src/ptlib/msos/winsock.cxx: Added ifdef _WIN32_WCE for PocketPC
	  2003 SDK port

2004-10-23 12:40  ykiryanov

	* pwlibce.vcp: New version, refreshed. Mostly for Pocket PC 2003
	  SDK

2004-10-22 12:49  rjongbloed

	* samples/ThreadSafe/ThreadSafe.vcproj: Added VS.NET project for
	  threads

2004-10-21 15:04  rjongbloed

	* include/ptlib/msos/ptlib_2003.dtf, include/ptlib/pstring.h,
	  include/ptlib/msos/ptlibd_2003.dtf, src/ptlib/common/contain.cxx:
	  Fixed possibility of const operator[] on PStringArray returning a
	  NULL reference. This	 function should return a non-lvalue
	  PString anyway as it is const!

2004-10-21 11:20  csoutheren

	* include/ptlib/psharedptr.h, src/ptclib/httpclnt.cxx: Fixed
	  compile problems on gcc 2.95.x

2004-10-18 13:43  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Use Capture instead of Mic
	  when changing the volume. Use the correct mixer when using the
	  Default device.

2004-10-17 08:22  rjongbloed

	* plugins/vidinput_dc/.cvsignore: Ignore configure generated
	  Makefile

2004-10-15 01:01  csoutheren

	* src/ptlib/common/safecoll.cxx: Fiuxed problem with usage of Sleep

2004-10-14 21:30  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Removed DMIX and DSNOOP
	  plugins and added support for DEFAULT as it is the correcti way
	  to do things.

2004-10-14 14:31  rjongbloed

	* include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf, include/ptlib/safecoll.h,
	  pwlib.sln, samples/ThreadSafe/main.cxx,
	  src/ptlib/common/safecoll.cxx: Added synchronous mode for safe
	  collection RemoveAll() to wait until all objects   have actually
	  been deleted before returning.

2004-10-13 01:28  csoutheren

	* include/ptclib/pxml.h, src/ptclib/pxml.cxx: Fixed problem with
	  bogus DOCTYPE being output

2004-10-08 05:08  csoutheren

	* version.h: Incremented build number after tagging to v1_8_2.

2004-10-06 15:49  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Added functions for
	  locking an unlocking to "auto-unlock" classes.

2004-10-04 14:54  rjongbloed

	* include/ptlib/msos/ptlib_2003.dtf, include/ptlib/safecoll.h,
	  include/ptlib/msos/ptlibd_2003.dtf,
	  src/ptlib/common/safecoll.cxx: Added functions for locking an
	  unlocking to "auto-unlock" classes.

2004-10-01 10:08  csoutheren

	* include/ptlib/psharedptr.h: Added Reset and auto_ptr conversions

2004-10-01 09:17  csoutheren

	* include/: ptlib.h, ptlib/psharedptr.h: Added PSharedptr class

2004-09-29 12:17  csoutheren

	* version.h: Incremented build number after tagging to v1_8_1.

2004-09-24 13:37  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Updated symbols from
	  lots of changes

2004-09-24 11:53  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Added
	  conversion from sbggr to rgb thanks to an anonymous patcher.

2004-09-23 07:00  csoutheren

	* src/ptlib/unix/osutil.cxx: Extra proofing against possible NULL
	  pointers

2004-09-21 15:01  dsandras

	* src/ptlib/common/vconvert.cxx: Added conversion from sbggr to rgb
	  thanks to an anonymous patcher.

2004-09-21 14:55  dsandras

	* plugins/: Makefile.in, configure, configure.in: Added the V4L2
	  plugin to the build if requested by configure.

2004-09-21 14:54  dsandras

	* plugins/vidinput_v4l2/: Makefile, vidinput_v4l2.cxx,
	  vidinput_v4l2.h: Added initial port to the new pwlib API/V4L2 API
	  for the video4linux 2 code of Guilhem Tardy. Thanks!

2004-09-17 09:53  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Fixes to
	  PDirectory

2004-09-17 06:05  csoutheren

	* src/ptlib/msos/win32.cxx: Changed Windows PDirectory semantics to
	  be the same as Unix

2004-09-17 05:51  csoutheren

	* include/ptlib/pdirect.h: More fixes for PDirectory problem

2004-09-13 03:14  dereksmithies

	* samples/Makefile: Add two new targets to unix build, dtmftest and
	  threadex

2004-09-13 03:13  dereksmithies

	* samples/threadex/: Makefile, main.cxx, main.h, precompile.cxx,
	  precompile.h, threadex.dsp, threadex.dsw, version.h: Initial
	  release of VERY simple program to test
	  PThread::WaitForTermination

2004-09-11 00:33  dereksmithies

	* samples/dtmftest/main.cxx: Calculate time required to do the
	  decoding of the dtmf symbol.

2004-09-10 06:31  dereksmithies

	* samples/dtmftest/main.cxx: Add code to calculate the detection
	  rate.

2004-09-10 03:59  dereksmithies

	* samples/dtmftest/: Makefile, dtmftest.dsp, dtmftest.dsw,
	  main.cxx, main.h, precompile.cxx, precompile.h, version.h:
	  Initial release of program to test Dtmf creation and detection.

2004-09-10 01:50  csoutheren

	* include/ptclib/dtmf.h, src/ptclib/dtmf.cxx: Fixed problem with
	  duplicate definition of sinetab causing problems

2004-09-09 07:23  dereksmithies

	* include/ptclib/dtmf.h, src/ptclib/dtmf.cxx: Add utility function
	  to report on dtmf characters used.

2004-09-09 06:22  csoutheren

	* src/ptclib/dtmf.cxx: Added sine table for DTMF encoder

2004-09-09 06:00  csoutheren

	* include/ptclib/dtmf.h, src/ptclib/dtmf.cxx: Added DTMF encoding
	  functions

2004-09-08 02:46  csoutheren

	* src/ptlib/msos/Console.vcproj: Added factory.h

2004-09-08 02:45  csoutheren

	* src/ptlib/msos/Console Components.vcproj: Added enum.h

2004-09-07 13:32  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Updated symbols from
	  lots of changes

2004-09-07 13:32  rjongbloed

	* samples/ThreadSafe/main.cxx: Changed function name in
	  PSafeCollection to something more standard for collections

2004-09-07 03:48  csoutheren

	* configure.ac, configure: Removed the -DP_USE_PRAGMA for MacOSX,
	  thanks to Hannes Friederich

2004-09-05 21:30  dsandras

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Updated hint for buggy
	  Quickcam camera.

2004-09-02 09:55  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Added extra PXAbortBlock to
	  WaitForTermination to assist in terminaing threads under certain
	  conditions

2004-09-01 01:52  csoutheren

	* make/unix.mak: Changed check for Mac OS version, thanks to Hannes
	  Friederich

2004-09-01 01:40  csoutheren

	* src/ptclib/http.cxx: Fixed problem with absolute file paths in
	  URLs

2004-08-30 23:09  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Added DSNOOP plugin support.

2004-08-25 16:29  csoutheren

	* configure.ac, configure: Fixed some random changes that stopped
	  SSL from working

2004-08-24 09:09  csoutheren

	* configure, configure.ac: Added check for recvmsg

2004-08-24 09:08  csoutheren

	* src/ptlib/common/sockets.cxx, src/ptlib/unix/socket.cxx,
	  include/ptbuildopts.h.in, include/ptlib/ipsock.h,
	  include/ptlib/socket.h: Added use of recvmsg to determine which
	  interface UDP packets arrive on

2004-08-22 06:22  csoutheren

	* make/ptlib-config.in: Change ptlib-config to report the correct
	  lib path Thanks to Klaus Kaempf

2004-08-20 03:46  dereksmithies

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Patch from
	  Srinivas.Kandagatla so that a video device can be opened with
	  either a)human friendly name,  or with b) the linux device name
	  ("ov511++" or "/dev/video0").  Many thanks.

2004-08-18 15:16  rjongbloed

	* src/ptclib/pstun.cxx: Fixed STUN CreateSocketPair so first socket
	  is always even.

2004-08-17 17:18  csoutheren

	* src/ptclib/httpclnt.cxx: Added support for MovedTemp/MovedPerm to
	  GetDocument Fixed problem with empty URL passed to ExecuteCommand

2004-08-17 14:31  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Added
	  adapters template to make device plugins available via the
	  abstract factory interface

2004-08-16 13:57  csoutheren

	* include/ptlib/plugin.h: More changes for VS.net

2004-08-16 12:55  csoutheren

	* include/ptlib/plugin.h: Fixed problems compiling under Linux

2004-08-16 10:49  csoutheren

	* include/ptlib/pstring.h: Removed error when compiling with gcc

2004-08-16 08:40  csoutheren

	* include/ptlib/pfactory.h, include/ptlib/plugin.h,
	  include/ptlib/pstring.h, src/ptlib/common/osutils.cxx,
	  src/ptlib/common/pluginmgr.cxx, src/ptlib/common/sound.cxx,
	  src/ptlib/common/videoio.cxx, src/ptlib/msos/sound_win32.cxx:
	  Added adapters template to make device plugins available via the
	  abstract factory interface

2004-08-15 08:51  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Fixed
	  problem with PAssert and associated functions caused by using
	  expressions as statements. inline functions are your friend :)

2004-08-15 08:45  rjongbloed

	* include/ptlib/msos/ptlib/contain.h: Disabled warning about
	  conversion from int to bool type.

2004-08-14 16:17  csoutheren

	* include/ptlib/object.h: Fixed problem with PAssert and associated
	  functions caused by using expressions as statements. inline
	  functions are your friend :)

2004-08-14 09:42  rjongbloed

	* src/ptlib/common/safecoll.cxx: Added trace log at level 6 for
	  helping find PSafeObject reference/dereference errors.

2004-08-13 05:57  csoutheren

	* version.h: Incremented build number after tagging to v1_8_0.

2004-08-13 03:32  csoutheren

	* pwlib_cfg.dxy: Updated document header

2004-08-13 03:08  csoutheren

	* tools/configure/configure.cpp, configure.exe: Changed to look for
	  configure.ac, then configure.in

2004-08-12 14:37  rjongbloed

	* include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf, include/ptlib/safecoll.h,
	  src/ptlib/common/safecoll.cxx: Fixed bug recently introduced so
	  removes deleted object from deletion list.  Also changed removal
	  list to be correct type.

2004-08-11 09:39  csoutheren

	* samples/emailtest/: emailtest.dsp, emailtest.dsw,
	  emailtest.vcproj, main.cxx, main.h, precompile.cxx, precompile.h,
	  version.h: Initial version

2004-08-10 15:11  csoutheren

	* src/ptlib/common/collect.cxx: Integrated missing patch from trunk

2004-08-09 13:10  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Changed
	  SetTextToSpeech to return ptr to new engine

2004-08-07 14:38  csoutheren

	* src/ptlib/common/contain.cxx: Back-patched more changes from
	  Pandora to remove gcc 3.5 warnings

2004-08-07 14:04  csoutheren

	* Makefile.in, configure, include/ptlib/contain.inl,
	  src/ptclib/asnxer.cxx, src/ptclib/httpform.cxx,
	  src/ptclib/vxml.cxx, src/ptlib/common/collect.cxx,
	  src/ptlib/common/contain.cxx, src/ptlib/common/object.cxx,
	  src/ptlib/common/osutils.cxx, src/ptlib/unix/socket.cxx: Updated
	  to compiler gcc 3.4/3.5

2004-08-05 14:35  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Added
	  classes for auto unlocking read only and read write mutex on
	  PSafeObject - similar to PWaitAndSIgnal.  Utilised mutable
	  keyword for mutex and improved the constness of functions.  Added
	  DisallowDeleteObjects to safe collections so can have a
	  PSafeObject in   multiple collections.  Added a tempalte function
	  to do casting of PSafePtr to a PSafePtr of a derived	 class.
	  Assured that a PSafeObject present on a collection always
	  increments its   reference count so while in collection it is not
	  deleted.

2004-08-05 14:15  rjongbloed

	* include/ptlib/safecoll.h, src/ptlib/common/safecoll.cxx: Added
	  classes for auto unlocking read only and read write mutex on
	  PSafeObject - similar to PWaitAndSIgnal.  Utilised mutable
	  keyword for mutex and improved the constness of functions.  Added
	  DisallowDeleteObjects to safe collections so can have a
	  PSafeObject in   multiple collections.  Added a tempalte function
	  to do casting of PSafePtr to a PSafePtr of a derived	 class.
	  Assured that a PSafeObject present on a collection always
	  increments its   reference count so while in collection it is not
	  deleted.

2004-08-05 14:09  rjongbloed

	* include/ptlib/object.h: Added macros for "remove const" and "down
	  cast" funcions with and without RTTI.  Added ability to disable
	  Asserts.  Change PAssert macros so pass through the boolean
	  result so that they can be used   in if statements, allowing a
	  chance to continue if ignore assert.

2004-08-05 05:47  csoutheren

	* include/ptlib/pluginmgr.h: Imported fix from CVS trunk

2004-08-05 05:45  csoutheren

	* include/ptlib/pluginmgr.h: Fixed problems with plugin suffix not
	  being propagated to sudirectories

2004-08-04 12:26  csoutheren

	* src/ptclib/enum.cxx: Changed service to be case insignificant

2004-08-04 02:58  csoutheren

	* src/ptlib/common/contain.cxx: Merged changes from trunk

2004-08-04 02:56  csoutheren

	* src/ptlib/common/contain.cxx: Added protection against signed
	  chars triggering asserts in VS.net in debug mode Thanks to Michal
	  Zygmuntowicz

2004-08-03 15:37  csoutheren

	* src/ptclib/enum.cxx: Added ability to set ENUM search path from
	  environment variable

2004-07-28 08:28  csoutheren

	* pwlib_cfg.dxy: Adjusted documentation version number

2004-07-28 08:01  csoutheren

	* src/ptlib/common/contain.cxx: Merged in patch from CVS trunk

2004-07-28 07:58  csoutheren

	* src/ptclib/: http.cxx, enum.cxx: Merged in patch from CVS trunk

2004-07-28 04:01  csoutheren

	* src/ptclib/vxml.cxx: Removed deadlock in some call shutdown
	  scenarios

2004-07-27 07:26  csoutheren

	* src/ptclib/vxml.cxx: Fixed recording

2004-07-27 02:00  csoutheren

	* src/ptclib/vxml.cxx: Allowed Close to set closed flag before
	  attepting lock of channels

2004-07-26 09:25  csoutheren

	* src/ptclib/vxml.cxx: Fixed another problem with thread starvation
	  due to delaying inside a mutex lock

2004-07-26 02:40  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Fixed thread
	  starvation problem under Linux by splitting channelMutex into
	  seperate read and write mutexes

2004-07-23 02:59  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Check in latest
	  changes

2004-07-19 15:55  csoutheren

	* src/ptclib/enum.cxx: Work-around for crash on gcc 3.5-20040704

2004-07-19 15:55  csoutheren

	* src/ptlib/common/contain.cxx: Fixed typo flagged as warning by
	  gcc 3.5-20040704

2004-07-19 14:32  csoutheren

	* src/ptclib/pwavfile.cxx: Removed vestigial debug comment

2004-07-19 14:23  csoutheren

	* src/ptclib/pwavfile.cxx: Removed compiler crash under gcc 3.4.0

2004-07-17 11:44  rjongbloed

	* src/ptclib/vxml.cxx: Fixed missing set of last write count if not
	  actually writing frames.

2004-07-15 12:54  rjongbloed

	* pwlib.sln, samples/vxmltest/vxmltest.vcproj: Added vxmltest to
	  vs.net solution

2004-07-15 05:12  csoutheren

	* include/ptclib/pwavfile.h, include/ptclib/vxml.h,
	  src/ptclib/pwavfile.cxx, src/ptclib/vxml.cxx: Migrated changes
	  from crs_vxnml_devel branch into main trunk

2004-07-14 15:15  rjongbloed

	* src/ptclib/http.cxx: Fixed minor bug where a URL is "non-empty"
	  if requires a host but has none.    eg could end up with "sip:"
	  or "http://:80" which are illegal.

2004-07-14 05:37  csoutheren

	* pwlib_cfg.dxy: Update documentation version header for
	  post-Pandora release

2004-07-14 05:34  csoutheren

	* pwlib_cfg.dxy: Set documentation version header correctly

2004-07-14 05:32  csoutheren

	* version.h: Increment to 1.8 after Pandora branch

2004-07-14 05:18  csoutheren

	* pwlib.sln: Removed unused GUI projects

2004-07-14 05:13  csoutheren

	* version.h: Incremented build number after tagging to v1_7_5.

2004-07-13 13:24  csoutheren

	* src/ptclib/vxml.cxx: Moved expat define back to end of file

2004-07-13 12:36  csoutheren

	* pwlib.dsw: Removed GUI projects

2004-07-13 10:13  csoutheren

	* include/ptclib/pwavfile.h, include/ptclib/vxml.h,
	  src/ptclib/pwavfile.cxx, src/ptclib/vxml.cxx: Lots of
	  implementation of factory-based PWAVFile

2004-07-12 11:17  csoutheren

	* include/ptclib/pwavfile.h, include/ptlib/pfactory.h,
	  src/ptclib/http.cxx, src/ptclib/ptts.cxx,
	  src/ptclib/pwavfile.cxx, src/ptlib/common/pluginmgr.cxx: Fixed
	  warnings and errors under Linux

2004-07-12 10:30  csoutheren

	* include/ptclib/pwavfile.h, include/ptclib/vxml.h,
	  src/ptclib/pwavfile.cxx, src/ptclib/vxml.cxx: More fixes for
	  abstract factory implementation of PWAVFile

2004-07-12 05:42  csoutheren

	* src/ptclib/asner.cxx: Fixed problem with checking character set
	  constraints too aggressively

2004-07-12 04:32  csoutheren

	* tools/configure/configure.cpp, configure.exe: Fixed problem when
	  more than two elements in env var

2004-07-12 03:56  csoutheren

	* src/ptclib/asner.cxx: Fixed incorrect asn decoding check

2004-07-11 16:19  csoutheren

	* src/ptclib/asner.cxx: More bulletproofing of ASN routines against
	  random data attacks

2004-07-11 14:33  csoutheren

	* src/ptclib/: asner.cxx, asnper.cxx: Added guards against illegal
	  PDU values causing crashes

2004-07-11 12:30  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Fixed
	  loading factories in static libraries.

2004-07-11 11:13  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Fixed loading
	  factories in static libraries.

2004-07-11 10:33  rjongbloed

	* samples/factory/main.cxx: Fixed bizarre MSVC 6 bug by making
	  template functons in a class.

2004-07-11 10:32  rjongbloed

	* samples/factory/factory.dsp: Added static and dynamic builds.

2004-07-11 09:56  csoutheren

	* include/ptlib/dynalink.h, include/ptlib/ipsock.h,
	  include/ptlib/object.h, include/ptlib/unix/ptlib/critsec.h,
	  include/ptlib/unix/ptlib/ipsock.h,
	  include/ptlib/unix/ptlib/pmachdep.h,
	  include/ptlib/unix/ptlib/ptlib.inl,
	  include/ptlib/unix/ptlib/thread.h, src/ptlib/common/contain.cxx,
	  src/ptlib/common/object.cxx, src/ptlib/common/sockets.cxx,
	  src/ptlib/common/vfakeio.cxx, src/ptlib/unix/assert.cxx,
	  src/ptlib/unix/serchan.cxx, src/ptlib/unix/socket.cxx,
	  src/ptlib/unix/tlib.cxx, src/ptlib/unix/tlibbe.cxx,
	  src/ptlib/unix/tlibvx.cxx: Applied jumbo VxWorks patch, thanks to
	  Eize Slange

2004-07-08 06:58  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Exposed VXML playable
	  classes to allow descendants

2004-07-08 02:57  csoutheren

	* src/ptlib/unix/socket.cxx: Added check for EINTR on connect
	  Thanks to Alex Vishnev

2004-07-07 09:18  csoutheren

	* include/ptclib/: ptts.h, url.h: Removed warnings on Linux from
	  Windows static global hacks

2004-07-07 09:18  csoutheren

	* samples/factory/main.cxx: Removed code from wrong tree

2004-07-07 09:07  csoutheren

	* include/ptclib/pwavfile.h, include/ptclib/vxml.h,
	  src/ptclib/pwavfile.cxx, src/ptclib/vxml.cxx: Changed PWAVFile to
	  use abstract factories (extensively) Removed redundant
	  blocking/unblocking when using G.723.1 More support for call
	  transfer

2004-07-06 12:14  csoutheren

	* samples/factory/: concrete.cxx, main.cxx: Updated for new factory
	  code

2004-07-06 12:12  csoutheren

	* include/ptclib/ptts.h, include/ptclib/url.h, include/ptlib.h,
	  include/ptlib/pfactory.h, src/ptclib/cypher.cxx,
	  src/ptclib/http.cxx, src/ptclib/ptts.cxx,
	  src/ptlib/common/pluginmgr.cxx, src/ptlib/msos/assert.cxx: Added
	  static integer o factory template to assist in ensuring factories
	  are instantiated

2004-07-06 06:26  csoutheren

	* include/ptlib/pfactory.h: Fixed problem when using factory maps
	  with non-standard keys

2004-07-06 03:38  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Changed PVXMLChannel
	  to use PDelayChannel Fixed bug where played files were deleted
	  after playing

2004-07-05 08:45  csoutheren

	* ReadMe.txt: Removed refs to asnparser

2004-07-04 04:42  csoutheren

	* version.h: Incremented build number after tagging to v1_7_4.

2004-07-04 04:02  csoutheren

	* include/ptlib/socket.h, include/ptlib/msos/ptlib.dtf,
	  include/ptlib/msos/ptlibd.dtf,
	  include/ptlib/msos/ptlib/sound_win32.h,
	  include/ptlib/unix/ptlib/channel.h, src/ptclib/cypher.cxx,
	  src/ptclib/html.cxx, src/ptclib/http.cxx, src/ptclib/psoap.cxx,
	  src/ptlib/common/getdate.y, src/ptlib/common/ptime.cxx,
	  src/ptlib/common/sockets.cxx, src/ptlib/msos/ptlib.cxx,
	  src/ptlib/msos/sound_win32.cxx, src/ptlib/msos/winsock.cxx,
	  src/ptlib/unix/channel.cxx, src/ptlib/unix/config.cxx,
	  src/ptlib/unix/socket.cxx, src/ptlib/unix/tlibthrd.cxx: Jumbo
	  update patch for Janus to back-port several important changes
	  from the development tree. See ChangeLog.txt for details Thanks
	  to Michal Zygmuntowicz

2004-07-04 01:50  csoutheren

	* src/ptlib/unix/socket.cxx: Removed warnings under Solaris

2004-07-03 08:49  rjongbloed

	* include/ptlib/object.h: Added PTRACE_PARAM() macro to fix
	  warnings on parameters used in PTRACE  macros only.

2004-07-03 06:45  rjongbloed

	* samples/xmpptest/xmpptest.vcproj: Removed VS.NET linker warning.

2004-07-03 05:00  rjongbloed

	* src/ptlib/common/pchannel.cxx: Fixed MSVC warning

2004-07-03 04:46  csoutheren

	* ReadMe.txt: Added info on MSVC 6 header upgrade

2004-07-03 04:42  rjongbloed

	* tools/msvc6chk/: msvc6chk.cpp, msvc6chk.exe, upgrades/deque,
	  upgrades/fstream, upgrades/list, upgrades/vector,
	  upgrades/xmemory, upgrades/xstring: Added more DinkumWare patches
	  to MSVC 6 upgrade

2004-07-03 03:48  rjongbloed

	* src/ptlib/common/pchannel.cxx: Fixed memory leak caused by buggy
	  iostream, can't do init twice. Thanks Norbert Bartalsky

2004-07-03 03:31  rjongbloed

	* src/ptlib/msos/Console.dsp: Added check for buggy system headers

2004-07-03 03:11  rjongbloed

	* tools/msvc6chk/msvc6chk.exe: Added binary for MSVC 6 header file
	  checking

2004-07-03 03:10  rjongbloed

	* tools/msvc6chk/.cvsignore: Added ignore file

2004-07-03 03:09  rjongbloed

	* samples/factory/: .cvsignore, factory.dsp, precompile.cxx: Added
	  MSVC6 build for factory

2004-07-03 02:45  rjongbloed

	* tools/msvc6chk/msvc6chk.cpp: Number of fixes to various issues

2004-07-03 02:33  rjongbloed

	* tools/msvc6chk/msvc6chk.dsp: Removed need to StdAfx.cpp file as
	  is very simple and doesn't need precomiled headers.

2004-07-02 16:53  csoutheren

	* tools/msvc6chk/: msvc6chk.cpp, msvc6chk.dsp, msvc6chk.dsw,
	  upgrades/xtree: Created program to manage MSVC 6 header file
	  upgrades

2004-07-02 09:22  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Updated for latest
	  factory changes

2004-07-02 05:14  csoutheren

	* include/ptlib/pfactory.h: Made factories non-singleton, by
	  default Added more docs

2004-07-01 15:05  rjongbloed

	* samples/vxmltest/main.cxx: Rewrite of plug in system to use
	  single global variable for all factories to avoid all sorts	of
	  issues with startup orders and Windows DLL multiple instances.

2004-07-01 15:05  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Fixed GNU
	  compatibility with factories rewrite, and added mutex for base
	  data object.

2004-07-01 14:32  csoutheren

	* configure: Changed configure to use compile test for
	  pthread_mutex_timedlock rather than simple lib test

2004-07-01 14:18  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Fixed GNU
	  compatibility with factories rewrite, and added mutex for base
	  data object.

2004-07-01 13:42  csoutheren

	* samples/factory/: concrete.cxx, main.cxx, solid.cxx: Changes to
	  compile with new factory code (still has warnings under linux)

2004-07-01 13:41  csoutheren

	* include/ptlib/pfactory.h, src/ptlib/common/object.cxx: Fixed
	  compile and run problems on Linux

2004-07-01 06:33  csoutheren

	* include/ptlib/pfactory.h: Updated documentation on PFactory
	  classes

2004-06-30 15:20  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Rewrite of
	  plug in system to use single global variable for all factories to
	  avoid all sorts   of issues with startup orders and Windows DLL
	  multiple instances.

2004-06-30 14:17  rjongbloed

	* include/ptlib/msos/ptlib.dtf, include/ptlib/msos/ptlibd.dtf,
	  include/ptlib/pfactory.h, include/ptlib/pprocess.h,
	  include/ptlib/msos/ptlib/contain.h, pwlib.dsw,
	  samples/factory/abstract.h, samples/factory/concrete.cxx,
	  samples/factory/main.cxx, samples/factory/solid.cxx,
	  src/ptclib/http.cxx, src/ptclib/ptts.cxx, src/ptclib/vxml.cxx,
	  src/ptlib/common/object.cxx, src/ptlib/common/osutils.cxx,
	  src/ptlib/common/pluginmgr.cxx, src/ptlib/msos/ethsock.cxx:
	  Rewrite of plug in system to use single global variable for all
	  factories to avoid all sorts	 of issues with startup orders and
	  Windows DLL multiple instances.

2004-06-29 14:22  rjongbloed

	* src/ptclib/cypher.cxx: Fixed incorrect usage of result (now
	  object rather than scalar), thanks Michal Zygmuntowicz

2004-06-29 10:20  rogerhardiman

	* src/ptlib/common/object.cxx: The throws are needed on new and
	  delete in GCC 2.95.x too.  This is now important as other code
	  changes (factory and #include <string>) now cause
	  /usr/include/g++/new to be included too. Tested on FreeBSD 4.10

2004-06-27 07:55  rjongbloed

	* samples/xmpptest/.cvsignore: Ignore log files

2004-06-27 07:47  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Require
	  plugins to have _pwplugin suffix

2004-06-26 02:38  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Require plugins to
	  have _pwplugin suffix

2004-06-25 01:15  csoutheren

	* make/plugins.mak: Changed service plugins to have _pwplugin
	  suffix

2004-06-25 01:10  csoutheren

	* include/ptlib/pluginmgr.h, src/ptlib/common/pluginmgr.cxx:
	  Require plugins to have _pwplugin suffix

2004-06-24 15:11  csoutheren

	* include/ptlib/msos/ptlib/sound_win32.h,
	  src/ptlib/msos/sound_win32.cxx: Fixed possible deadlock in Win32
	  audio routines Thanks to Vyacheslav E. Andrejev (bug 949236)

2004-06-24 14:46  csoutheren

	* Makefile.in: Fixed path in plugin install

2004-06-24 13:29  csoutheren

	* src/ptlib/unix/tlibthrd.cxx: Changed to use
	  pthread_mutex_timedlock for more efficient mutex wait operations
	  Thanks to Michal Zygmuntowicz

2004-06-24 09:53  csoutheren

	* configure: Second go at IPv5 detection

2004-06-24 09:45  csoutheren

	* configure: Added -Wno-long-double for Darwin

2004-06-24 09:42  csoutheren

	* configure: Made IPV6 support contingent on getnameinfo

2004-06-24 09:36  csoutheren

	* include/ptclib/pdns.h, src/ptclib/pdns.cxx: Added definitions of
	  T_SRV and T_NAPTR for hosts that do not have these

2004-06-24 01:42  csoutheren

	* pwlib_cfg.dxy: Added DOC_PLUS_PLUS define

2004-06-22 13:07  rjongbloed

	* src/ptlib/msos/ptlib.cxx: Fixed incorrect test for error on
	  _sopen return value, thanks Brian Coverstone

2004-06-21 12:40  csoutheren

	* include/ptlib/plugin.h: Fixed problem with dynamic plugins

2004-06-21 02:57  csoutheren

	* include/ptlib/plugin.h: Changed service plugin static
	  registration to use attribute (( constructor ))

2004-06-20 13:18  csoutheren

	* include/ptclib/vxml.h, samples/vxmltest/main.cxx,
	  src/ptclib/vxml.cxx: Rewrite of resource cacheing to cache
	  text-to-speech output

2004-06-19 11:10  csoutheren

	* include/ptlib/msos/ptlib/contain.h: Removed MSVC warnings for
	  <queue>

2004-06-19 11:02  csoutheren

	* src/ptclib/ptts.cxx: Added rate and volume to keep Festival happy

2004-06-19 11:00  csoutheren

	* samples/vxmltest/main.cxx: Updated for TTS changes

2004-06-19 09:21  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Change TTS engine
	  registration to use abstract factory code Started disentanglement
	  of PVXMLChannel from PVXMLSession Fixed problem with VXML session
	  closing if played data file is not exact frame size multiple
	  Allowed PVXMLSession to be used without a VXML script Changed
	  PVXMLChannel to handle "file:" URLs Numerous other small
	  improvements and optimisations

2004-06-19 09:18  csoutheren

	* include/ptclib/ptts.h, src/ptclib/ptts.cxx: Change TTS engine
	  registration to use abstract factory code

2004-06-18 03:06  csoutheren

	* version.h: Incremented build number after tagging to v1_7_3.

2004-06-18 02:38  csoutheren

	* configure, make/unix.mak: Added check for FD_SETSIZE as suggested
	  by Joegen E. Baclor

2004-06-18 01:37  csoutheren

	* include/ptlib/unix/ptlib/pmachdep.h: Added definition of
	  upad128_t for Solaris

2004-06-18 01:17  csoutheren

	* Makefile.in: Fixed permissions on install directories as
	  suggested by Al Piszcz

2004-06-18 00:02  csoutheren

	* src/ptlib/common/object.cxx: Added check to prevent
	  allocationBreakpoint from causing unintentional break every 2^32
	  memory allocations

2004-06-17 08:35  csoutheren

	* include/ptlib/pfactory.h: Use attribute (( constructor )) to
	  guarantee that factories are instantiated when loaded from a
	  shared library

2004-06-17 08:33  csoutheren

	* make/lib.mak: Changed Solaris linker to g++. It should never have
	  been using ld

2004-06-17 04:02  csoutheren

	* samples/factory/: concrete.cxx, main.cxx: Updated for latest
	  changes to PFactory methods

2004-06-16 09:48  csoutheren

	* src/ptclib/http.cxx: Added assert to clarify usage of default
	  scheme

2004-06-16 03:58  ykiryanov

	* include/ptlib/unix/ptlib/bevideo.h: Video capture code
	  definitions

2004-06-16 03:57  ykiryanov

	* include/ptlib/unix/ptlib/beaudio.h: Working capture code

2004-06-16 03:55  ykiryanov

	* src/ptlib/unix/video4beos.cxx: Made video capture working

2004-06-16 03:55  ykiryanov

	* src/ptlib/unix/beaudio.cxx: Added usage of lastReadCount - sound
	  capture now works

2004-06-16 01:55  csoutheren

	* plugins/: configure, configure.in, vidinput_dc/Makefile,
	  vidinput_dc/Makefile.in, vidinput_dc/video4dc1394.cxx: Added
	  check for different versions of dc1394 API

2004-06-15 17:38  dsandras

	* plugins/vidinput_dc/video4dc1394.cxx: Fixed bug with latest API
	  of libdc1394.

2004-06-14 22:43  dsandras

	* plugins/vidinput_dc/video4dc1394.cxx: Try to fix compilation.

2004-06-10 03:36  csoutheren

	* make/: common.mak, unix.mak: Fixed problems with static links

2004-06-10 01:58  csoutheren

	* configure: Updated for latest configure.in change

2004-06-09 15:35  csoutheren

	* src/ptlib/msos/win32.cxx: Disabled "wait for key" at end of
	  program unless in debug mode or PMEMORY_CHECK is enabled

2004-06-08 16:49  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Updated to
	  new factory based capability system.	Removed the unmangled
	  versions of symbols to eliminate problems withthe line length
	  exceeding MSVC linkers internal limits. Has added benefit of
	  making files half the size.

2004-06-08 15:45  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Updated to new
	  factory based capability system.  Removed the unmangled versions
	  of symbols to eliminate problems withthe line length	 exceeding
	  MSVC linkers internal limits. Has added benefit of making files
	  half the size.

2004-06-08 03:31  csoutheren

	* src/ptlib/common/: contain.cxx, pchannel.cxx: Make the test sense
	  correct for the init(NULL)

2004-06-08 03:29  csoutheren

	* src/ptlib/common/: contain.cxx, pchannel.cxx: Removed memory leak
	  on VS.net caused by unobvious iostream allocation

2004-06-08 03:19  csoutheren

	* src/ptlib/msos/ethsock.cxx: Fixed problem with SNMP library not
	  loading under Windows in some cases

2004-06-07 06:28  csoutheren

	* samples/strtest/main.cxx: Fixed end of line chars

2004-06-06 10:50  rjongbloed

	* src/ptlib/common/ptime.cxx: Fixed rounding error in microsoeconds
	  stream output, was not properly cascaded   along other time
	  elements (hour min etc) so as doing rounding properly is
	  hideously difficult, truncated instead, thanks Marco Turconi

2004-06-05 06:55  rjongbloed

	* tools/MergeSym/MergeSym.cxx: Removed the unmangled versions of
	  symbols to eliminate problems withthe line length   exceeding
	  MSVC linkers internal limits. Has added benefit of making files
	  half the size.

2004-06-05 04:00  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: More factory changes
	  to help with DLL

2004-06-05 03:58  rjongbloed

	* src/ptclib/enum.cxx: Fixed MSVC 6 compatibility

2004-06-05 03:58  rjongbloed

	* src/ptlib/msos/Console Components.dsp: Added ENUM support

2004-06-04 05:16  csoutheren

	* version.h: Incremented build number after tagging to v1_7_2.

2004-06-03 15:43  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: More
	  factory changes to help with DLL

2004-06-03 15:30  csoutheren

	* include/ptlib/pfactory.h, src/ptclib/http.cxx,
	  src/ptlib/common/osutils.cxx, src/ptlib/common/pluginmgr.cxx:
	  Renamed INSTANTIATE_FACTORY to avoid potential namespace
	  collisions Added documentaton on new PINSTANTIATE_FACTORY macro
	  Added generic form of PINSTANTIATE_FACTORY

2004-06-03 14:47  csoutheren

	* include/ptlib/pfactory.h, src/ptclib/http.cxx,
	  src/ptlib/common/osutils.cxx, src/ptlib/common/pluginmgr.cxx:
	  Decomposed PFactory declarations to hopefully avoid problems with
	  Windows DLLs

2004-06-02 10:30  csoutheren

	* samples/vxmltest/: main.cxx, main.h, root.vxml: Tweaks to avoid
	  some problems with reading single bytes from a PCM stream

2004-06-02 10:29  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Added new code from
	  Andreas Sikkema to implement various VXML features

2004-06-02 08:16  csoutheren

	* src/ptclib/vxml.cxx, include/ptclib/vxml.h: Removed unnecessary
	  buffer copying and removed potential busy loop

2004-06-02 01:30  csoutheren

	* src/ptclib/pdns.cxx: Removed warning under Linux

2004-06-02 01:25  csoutheren

	* include/ptlib/msos/ptlib/contain.h: Disabled warnings under MSVC

2004-06-01 09:42  csoutheren

	* configure, include/ptbuildopts.h.in, include/ptlib/object.h,
	  src/ptlib/unix/svcproc.cxx, src/ptlib/unix/tlibthrd.cxx: Restored
	  memory allocation checking Added configure flag to enable, thanks
	  to Derek Smithies

2004-06-01 09:32  csoutheren

	* include/ptclib/url.h: Removed warning on Linux

2004-06-01 09:28  csoutheren

	* include/ptclib/url.h, src/ptclib/http.cxx: Changed URL parsing to
	  use abstract factory code

2004-06-01 07:54  csoutheren

	* include/ptlib/pstring.h: Added <vector> and <string>

2004-06-01 07:45  csoutheren

	* src/ptlib/msos/Console Components.vcproj: Added enum.cxx

2004-06-01 07:44  csoutheren

	* include/ptlib/pluginmgr.h, src/ptlib/common/pluginmgr.cxx: Added
	  OnShutdown to allow cleanup on exit

2004-06-01 07:44  csoutheren

	* include/ptlib/pfactory.h: Added typedefs to allow access to types
	  Changed singleton class to use new so as to allow full cleanup

2004-06-01 07:24  csoutheren

	* src/ptlib/msos/ethsock.cxx: Changed loading of inetmib1.dll to
	  use PProcessStartup to avoid crashes when it is unloaded before
	  ~H323Endpoint is called

2004-06-01 07:22  csoutheren

	* include/ptlib/object.h, include/ptlib/msos/ptlib/contain.h,
	  src/ptlib/common/object.cxx, src/ptlib/common/osutils.cxx,
	  src/ptlib/msos/svcproc.cxx: Restored memory check functionality

2004-06-01 07:21  csoutheren

	* include/ptlib/: contain.inl, pstring.h: Added conversions between
	  std::string and PString, and vector<PString> and PStringArray

2004-06-01 01:14  csoutheren

	* src/ptclib/: enum.cxx, pdns.cxx: Fixed warnings under VS.net and
	  fixed problem with SRV records when returning multiple records

2004-06-01 00:59  csoutheren

	* src/ptlib/unix/Makefile: Added enum.cxx

2004-05-31 15:57  csoutheren

	* samples/dnstest/main.cxx: Added tests for ENUM resolution

2004-05-31 15:56  csoutheren

	* include/ptclib/enum.h, src/ptclib/enum.cxx: Added implementation
	  of ENUM resolution of E.164 numbers by DNS

2004-05-31 14:49  csoutheren

	* include/ptclib/pdns.h, src/ptclib/pdns.cxx: Added handling of
	  unknown DNS types

2004-05-31 14:14  rjongbloed

	* src/ptclib/pdns.cxx: Fixed missing namespace selector on function
	  definition.  Opyimised some string processing

2004-05-31 03:26  dereksmithies

	* include/ptclib/vsdl.h: Fix the "no newline at end of file"
	  warning.

2004-05-30 06:55  ykiryanov

	* include/ptlib/unix/ptlib/beaudio.h: Added include files

2004-05-30 06:49  ykiryanov

	* make/unix.mak: Streamlined BeOS section

2004-05-30 06:48  ykiryanov

	* src/ptlib/unix/beaudio.cxx: Stable version

2004-05-30 06:48  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Sync point is better when semaphore
	  based

2004-05-29 01:59  csoutheren

	* src/ptlib/common/contain.cxx: Added guards for negative offsets
	  and lengths in various PString functions

2004-05-28 08:50  csoutheren

	* include/ptclib/pdns.h, src/ptclib/pdns.cxx: Reorganised DNS
	  functions to use templates, and exposed more internals to allow
	  new DNS lookup types to be added

2004-05-27 06:47  csoutheren

	* include/ptclib/vsdl.h: Added include guard to file

2004-05-27 06:46  csoutheren

	* include/ptlib/pprocess.h: Removed vestigal Macintosh code

2004-05-24 14:02  csoutheren

	* include/ptclib/pldap.h, src/ptclib/pldap.cxx: Add function to
	  permit setting a limit on the number of results returned from an
	  LDAP query. Change the default number of results to unlimited,
	  rather than MAX_INT which apparently is clamped to some arbitrary
	  low value.  Thanks to Damien Sandras

2004-05-24 11:48  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Made some
	  subtle changes to the way the static variables are instantiated
	  in   the factoris to fix problems with DLL's under windows. May
	  not be final solution.

2004-05-24 06:17  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Made PSyncPoint::Wait to return FALSE
	  if called with timeout 0

2004-05-24 00:20  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Got rid of 2 housekeeper thread
	  problem

2004-05-23 23:11  ykiryanov

	* include/ptlib/unix/ptlib/pprocess.h: Made BeOS PProcess members
	  same as on Linux and Mac

2004-05-23 14:34  rjongbloed

	* src/ptlib/common/osutils.cxx: Fixed PProcess startup up execution
	  to after PProcess instance is created   so does not crash if
	  using startup technique to initialise tracing.

2004-05-23 14:33  rjongbloed

	* include/ptlib/: msos/ptlib.dtf, msos/ptlibd.dtf, pfactory.h: Made
	  some subtle changes to the way the static variables are
	  instantiated in   the factoris to fix problems with DLL's under
	  windows. May not be final solution.

2004-05-23 02:49  rjongbloed

	* src/ptlib/msos/Console.dsp: Removed inline optimisation on
	  modules that use a factory as MSVC6 is   broken and generates
	  incorrect code using the same instance of the   static variable
	  for all template instantiations.

2004-05-22 09:41  rjongbloed

	* tools/MergeSym/: MergeSym.cxx, run_dumpbin.bat: Added ability to
	  specify command line override of the "dumpbin" program run   to
	  get library symbols, very useful for debugging.

2004-05-21 02:49  csoutheren

	* src/ptlib/unix/: tlibbe.cxx, tlibthrd.cxx, tlibvx.cxx: Added
	  PreShutdown to ~PProcess

2004-05-21 02:28  csoutheren

	* include/ptlib/pprocess.h, src/ptlib/common/osutils.cxx,
	  src/ptlib/msos/win32.cxx: Moved PProcessStartup creation to
	  PProcess::Initialise Added PreShutdown function and called it
	  from ~PProcess to handle PProcessStartup removal

2004-05-20 05:18  ykiryanov

	* src/ptlib/unix/beaudio.cxx: Some changes with buffer sets

2004-05-20 01:34  csoutheren

	* include/ptlib/msos/ptlib/contain.h: Added <algorithm>

2004-05-20 00:27  csoutheren

	* include/ptlib/pprocess.h: Added fix for gcc 2.95

2004-05-19 08:54  csoutheren

	* include/ptlib/pluginmgr.h: Removed unused code

2004-05-19 08:48  csoutheren

	* include/ptlib/pfactory.h: Added new functions to allow handling
	  of singletons without concrete classes

2004-05-18 23:49  csoutheren

	* include/ptlib/pprocess.h, src/ptlib/common/osutils.cxx: Added
	  ability to display trace output from program startup via
	  environment variable or by application creating a PProcessStartup
	  descendant

2004-05-18 15:44  csoutheren

	* samples/factory/main.cxx: Changed to use correct infratructure

2004-05-18 14:48  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: More work on
	  "abstract factory" template classes

2004-05-18 14:47  rjongbloed

	* pwlib.dsw, samples/timing/timing.cxx: Added time, time interval
	  and timer test/demonstration code

2004-05-18 14:43  csoutheren

	* src/ptlib/common/osutils.cxx: Fixed compile problem on MSVC 6

2004-05-18 14:25  rjongbloed

	* pwlib.sln, samples/timing/.cvsignore,
	  samples/timing/precompile.cxx, samples/timing/timing.cxx,
	  samples/timing/timing.dsp, samples/timing/timing.vcproj: Added
	  time, time interval and timer test/demonstration code

2004-05-18 14:15  rjongbloed

	* src/ptlib/common/getdate.y: Fixed bug in using relative times eg
	  "1 month ago".

2004-05-18 14:08  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: More work
	  on "abstract factory" template classes

2004-05-18 08:01  csoutheren

	* include/ptlib/pfactory.h, include/ptlib/pluginmgr.h,
	  include/ptlib/pprocess.h, src/ptlib/common/osutils.cxx,
	  src/ptlib/common/pluginmgr.cxx: Deferred plugin loading until
	  after main has executed by using abstract factory classes

2004-05-18 04:38  csoutheren

	* samples/factory/: Makefile, abstract.h, concrete.cxx, main.cxx,
	  solid.cxx: Initial version

2004-05-18 04:32  csoutheren

	* configure, include/ptlib/pfactory.h,
	  src/ptlib/common/osutils.cxx: Fixed linking problems with
	  PGenericFactory classes

2004-05-17 13:02  csoutheren

	* include/ptlib/notifier_ext.h: Added extra documentation

2004-05-17 08:05  csoutheren

	* Makefile.in, pwlib.dxy, pwlib_cfg.dxy, include/ptclib/pxmlrpc.h,
	  include/ptlib/pluginmgr.h: Changed "make docs" to use doxygen
	  Added new config file and main page

2004-05-17 01:31  csoutheren

	* include/ptlib/critsec.h: Updated API documentation

2004-05-15 07:04  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Add
	  "abstract factory" template classes

2004-05-14 14:04  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Add "abstract
	  factory" template classes

2004-05-14 12:15  dominance

	* plugins/sound_alsa/: sound_alsa.cxx, sound_alsa.h: Fixes direct
	  opening of sound output devices. The list of devices does no
	  longer return NULL in that case. Patch provided by Julien Puydt
	  <julien.puydt@laposte.net>.

2004-05-14 10:37  ykiryanov

	* include/ptlib/unix/ptlib/resampler.h: BeOS resampler related
	  declarations

2004-05-14 10:36  ykiryanov

	* include/ptlib/unix/ptlib/beaudio.h: BeOS sound class declarations
	  collected in separate file

2004-05-14 07:26  ykiryanov

	* src/ptlib/unix/beaudio.cxx: Fixed dynamic cast bug

2004-05-14 07:23  ykiryanov

	* include/ptlib/unix/ptlib/pmachdep.h: Added stl header

2004-05-14 05:37  csoutheren

	* samples/strtest/: Makefile, main.cxx: Initial version

2004-05-14 00:22  dereksmithies

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Fix a problem with
	  duplicate user friendly names.

2004-05-13 17:10  csoutheren

	* include/ptlib/pfactory.h: Removed warnings under Windows

2004-05-13 17:05  csoutheren

	* src/ptlib/common/osutils.cxx: Added <vector.h>

2004-05-13 16:59  csoutheren

	* include/ptlib/pfactory.h: Removed warning under gcc

2004-05-13 16:54  csoutheren

	* include/ptlib/pprocess.h, src/ptlib/common/osutils.cxx: Implement
	  PProcess startup and shutdown handling using abstract factory
	  classes

2004-05-13 16:53  csoutheren

	* include/: ptlib.h, ptlib/pfactory.h, ptlib/msos/ptlib/contain.h:
	  Add "abstract factory" template classes

2004-05-13 16:52  csoutheren

	* src/ptlib/common/contain.cxx: Allow PString::IsEmpty to return
	  TRUE when theArray is NULL

2004-05-13 16:51  csoutheren

	* src/ptclib/xmpp_c2s.cxx: Fixed problems when comiling without SSL

2004-05-13 04:07  dereksmithies

	* pwlib.dxx, include/ptlib/array.h: Fixes, so it works with doc++

2004-05-12 06:36  csoutheren

	* include/ptlib/: critsec.h, object.h, unix/ptlib/contain.h: Fixed
	  problems with using sem_wait and friends on systems that do not
	  support atomic integers

2004-05-11 03:15  csoutheren

	* include/ptlib/unix/ptlib/dynalink.h, src/ptlib/unix/udll.cxx:
	  Included name into Unix PDynaLink implementation

2004-05-10 12:09  csoutheren

	* plugins/vidinput_dc/video4dc1394.cxx: Removed printf that was
	  interpreted as a trigraph

2004-05-09 09:32  rjongbloed

	* src/ptlib/msos/Console Components.dsp: More work on XMPP, thanks
	  Federico Pinna and Reitek S.p.A.

2004-05-09 09:23  rjongbloed

	* include/ptclib/xmpp.h, include/ptclib/xmpp_c2s.h,
	  include/ptclib/xmpp_muc.h, include/ptclib/xmpp_roster.h,
	  include/ptlib/notifier_ext.h, pwlib.sln,
	  samples/xmpptest/ConnectDialog.cxx,
	  samples/xmpptest/ConnectDialog.h, samples/xmpptest/MainFrame.cxx,
	  samples/xmpptest/MainFrame.h, samples/xmpptest/main.cxx,
	  samples/xmpptest/main.h, samples/xmpptest/xmpptest.dsp,
	  samples/xmpptest/xmpptest.vcproj, src/ptclib/inetmail.cxx,
	  src/ptclib/psasl.cxx, src/ptclib/xmpp.cxx,
	  src/ptclib/xmpp_c2s.cxx, src/ptclib/xmpp_muc.cxx,
	  src/ptclib/xmpp_roster.cxx, src/ptlib/msos/Console
	  Components.vcproj: More work on XMPP, thanks Federico Pinna and
	  Reitek S.p.A.

2004-05-06 13:29  rjongbloed

	* src/ptlib/common/pluginmgr.cxx: Added "current directory" to
	  default plug in path.

2004-05-06 13:28  rjongbloed

	* include/ptlib/socket.h, src/ptlib/msos/winsock.cxx,
	  src/ptlib/unix/socket.cxx: Changed P_fd_set to use malloc/free
	  isntead of new/delete due to pedantry about [].

2004-05-06 01:47  csoutheren

	* configure: Added check for compilers that may not enable RTTI by
	  default

2004-05-05 14:21  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Fixed usage of
	  MakeEmpty() with PStringStream.

2004-05-05 08:52  ykiryanov

	* src/ptlib/unix/socket.cxx: Made BeOS changes

2004-05-04 13:10  rjongbloed

	* include/ptlib/contain.inl, include/ptlib/pstring.h,
	  include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf, src/ptlib/common/contain.cxx:
	  Fixed usage of MakeEmpty() with PStringStream.

2004-05-04 10:23  dsandras

	* Makefile.in: Fixed installation of plugins. Fixed uninstallation
	  of plugins.

2004-05-03 14:33  csoutheren

	* Makefile.in: Fixed install problem with ptlib-config

2004-05-03 14:01  csoutheren

	* Makefile.in: Fixed install target Updated configure

2004-05-02 20:00  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Renamed unblock pipe to make code
	  compatible with socket code

2004-05-02 20:00  ykiryanov

	* include/ptlib/unix/ptlib/thread.h: Made unblock pipe public for
	  BeOS

2004-05-02 19:49  ykiryanov

	* include/ptlib/unix/ptlib/thread.h: Changed name of unblock pipe
	  for BeOS to make compatible with socket code

2004-05-02 19:06  ykiryanov

	* src/ptlib/common/pluginmgr.cxx: Ifdefd inclusion of algorithm for
	  BeOS

2004-05-02 18:59  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Fixed assert in setting priority to
	  threads

2004-05-02 13:59  rjongbloed

	* version.h: Incremented build number after tagging to v1_7_1.

2004-05-02 11:59  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Fixed loading of plug
	  ins when multiple plug in class sets used. Especially H.323
	  codecs.

2004-05-02 10:58  csoutheren

	* src/ptclib/: inetmail.cxx, xmpp_c2s.cxx: Removed warnings when
	  compling without SASL

2004-05-02 10:37  rjongbloed

	* include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf,
	  src/ptlib/common/pluginmgr.cxx: Fixed loading of plug ins when
	  multiple plug in class sets used. Especially H.323 codecs.

2004-05-02 07:14  rjongbloed

	* src/ptclib/vxml.cxx: Fixed possible deadlock in shutdown of VXML
	  channel/session.

2004-04-30 18:18  ykiryanov

	* include/ptlib/unix/ptlib/syncpoint.h: BeOS modifications derived
	  from BLocker use

2004-04-30 18:15  ykiryanov

	* include/ptlib/unix/ptlib/: mutex.h, semaphor.h: BeOS
	  modifications derived from BLocker use

2004-04-30 18:10  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Added PMutex code based on BLocker to
	  support recursive locks

2004-04-29 17:01  csoutheren

	* Makefile.in: Fixed INSTALL var

2004-04-29 16:07  csoutheren

	* Makefile.in, configure, make/common.mak, make/ptlib-config.in:
	  Changed install target to use $(INSTALL) Various makefile
	  cleanups and verified install and uninstall targets Removed some
	  vestiges of old GUI code

2004-04-29 06:22  csoutheren

	* configure.exe: Updated to 1.3.1

2004-04-29 04:02  csoutheren

	* tools/configure/configure.cpp: Removed debugging (oops)

2004-04-29 04:00  csoutheren

	* tools/configure/configure.cpp: Fixed problem with checking for
	  NULL error return from FindFirstFile rather than
	  INVALID_HANDLE_VALUE

2004-04-28 13:51  csoutheren

	* configure: Fixe typo in --disable-sasl help

2004-04-28 13:40  csoutheren

	* configure: Added --disable-sasl and made openldap and sasl
	  independent

2004-04-28 13:26  csoutheren

	* configure, include/ptbuildopts.h.in, include/ptclib/psasl.h,
	  include/ptclib/xmpp_c2s.h, make/ptbuildopts.mak.in,
	  src/ptclib/inetmail.cxx, src/ptclib/psasl.cxx,
	  src/ptclib/xmpp_c2s.cxx, src/ptlib/unix/Makefile: Hopefully fixed
	  SASL and SASL2 problems

2004-04-27 13:44  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf:  Fixed ability to
	  break of a PSocket::Select call under linux when a socket
	     is closed by another thread.

2004-04-27 11:57  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf:  Fixed
	  ability to break of a PSocket::Select call under linux when a
	  socket
	     is closed by another thread.

2004-04-27 11:53  rjongbloed

	* src/ptlib/msos/winsock.cxx:  Fixed ability to break of a
	  PSocket::Select call under linux when a socket
	     is closed by another thread.

2004-04-27 08:19  rjongbloed

	* src/ptclib/: xmpp.cxx, xmpp_roster.cxx: Fixed GCC 3.4 warnings
	  and improved crash avoidance with NULL pointers.

2004-04-27 06:37  rjongbloed

	* include/ptlib/socket.h, include/ptlib/unix/ptlib/channel.h,
	  src/ptlib/common/sockets.cxx, src/ptlib/unix/channel.cxx,
	  src/ptlib/unix/socket.cxx: Fixed ability to break of a
	  PSocket::Select call under linux when a socket   is closed by
	  another thread.

2004-04-27 06:36  rjongbloed

	* src/ptlib/unix/tlibthrd.cxx: Fixed occassional crash on exit due
	  to level 5 trace in PProcess	 destructor that needs an
	  undestructed PProcess.  Added some more logging for unblocking
	  threads.

2004-04-26 21:44  dsandras

	* include/ptclib/xmpp_c2s.h: Fixes compilation with P_SASL = 0.

2004-04-26 06:17  rjongbloed

	* src/: ptclib/xmpp.cxx, ptclib/xmpp_roster.cxx,
	  ptlib/unix/Makefile: Fixed GNU warnings

2004-04-26 03:59  rjongbloed

	* pwlib.dsw, samples/xmpptest/xmpptest.dsp, src/ptlib/msos/Console
	  Components.dsp: More implementation of XMPP, thanks a lot to
	  Federico Pinna & Reitek S.p.A.

2004-04-26 03:51  rjongbloed

	* pwlib.sln, include/ptclib/xmpp.h, include/ptclib/xmpp_c2s.h,
	  include/ptclib/xmpp_roster.h,
	  samples/xmpptest/draft-ietf-xmpp-core-22.txt,
	  samples/xmpptest/draft-ietf-xmpp-im-21.txt,
	  samples/xmpptest/main.cxx, samples/xmpptest/main.h,
	  samples/xmpptest/precompile.cxx, samples/xmpptest/xmpptest.dsp,
	  src/ptclib/xmpp.cxx, src/ptclib/xmpp_c2s.cxx,
	  src/ptclib/xmpp_roster.cxx, src/ptlib/msos/Console
	  Components.vcproj, samples/xmpptest/.cvsignore,
	  samples/xmpptest/xmpptest.vcproj: More implementation of XMPP,
	  thanks a lot to Federico Pinna & Reitek S.p.A.

2004-04-26 03:34  rjongbloed

	* include/ptlib/notifier_ext.h: Change nofier list to be able to
	  used in containers, thanks Federico Pinna, Reitek S.p.A.

2004-04-26 03:33  rjongbloed

	* src/ptclib/inetmail.cxx: Fixed minor problem with SASL
	  authentication, thanks Federico Pinna, Reitek S.p.A.

2004-04-26 00:11  ykiryanov

	* make/unix.mak: Added posix library to make files

2004-04-25 23:51  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Cleaned up thread termination act.
	  Very cool

2004-04-25 12:30  rjongbloed

	* make/lib.mak: Fixed correct SONAME when using beta versions.

2004-04-25 06:32  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Fixed very old bug - no get thread id
	  code in InitialiseProcessThread

2004-04-25 02:09  rjongbloed

	* include/ptlib/msos/ptlib.dtf: Fixed breaking of all lists with
	  PAssertNULL chane. Oops.

2004-04-24 09:01  rjongbloed

	* src/ptlib/common/collect.cxx: Fixed breaking of all lists with
	  PAssertNULL chane. Oops.

2004-04-24 08:27  rjongbloed

	* include/ptlib/contain.inl, src/ptclib/asnxer.cxx,
	  src/ptclib/httpform.cxx, src/ptclib/psasl.cxx,
	  src/ptclib/vxml.cxx, src/ptlib/common/collect.cxx,
	  src/ptlib/common/contain.cxx, src/ptlib/common/osutils.cxx,
	  src/ptlib/unix/socket.cxx: Fixed GCC 3.4.0 warnings about
	  PAssertNULL and improved recoverability on   NULL pointer usage
	  in various bits of code.

2004-04-24 08:26  rjongbloed

	* make/common.mak: Fixed very bizarre problem with GNU GCC 3.4.0
	  and generating dependencies,	 cannot have -g and -M on the
	  command line at the same time!

2004-04-24 08:13  rjongbloed

	* src/ptlib/unix/Makefile: Changed XMPP code to only be compiled if
	  have EXPAT

2004-04-24 05:58  rjongbloed

	* include/ptclib/shttpsvc.h, src/ptclib/shttpsvc.cxx: Allow for run
	  time enable/disable of secure web access to HTTP process,
	  changed from old debug only hack to "correct" usager. Thanks Ben
	  Lear

2004-04-24 04:15  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Added RFC
	  2190 H.263 code as created by Guilhem Tardy and AliceStreet

2004-04-24 03:37  csoutheren

	* src/ptlib/unix/Makefile: Added PNotifier extensions and XMPP
	  (Jabber) support,   thanks to Federico Pinna and Reitek S.p.A.

2004-04-24 03:06  rjongbloed

	* src/ptclib/psoap.cxx: Apploed  patch that impliments a number of
	  checks to avoid segfaults when dealing with	various clients.
	  Thanks Ben Lear

2004-04-23 08:07  csoutheren

	* include/ptclib/xmpp_c2s.h, src/ptclib/xmpp_c2s.cxx: Added #if
	  P_SASL to allow operation without SASL

2004-04-22 17:13  csoutheren

	* ReadMe.txt: Added information on SASL, thanks to Federico Pinna

2004-04-22 14:54  rjongbloed

	* include/ptlib/msos/ptlib.dtf, include/ptlib/msos/ptlibd.dtf,
	  src/ptlib/msos/Console Components.dsp,
	  src/ptlib/msos/Console.dsp: Added PNotifier extensions and XMPP
	  (Jabber) support,   thanks to Federico Pinna and Reitek S.p.A.

2004-04-22 14:30  rjongbloed

	* include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf, src/ptlib/msos/Console
	  Components.vcproj, src/ptlib/msos/Console.vcproj,
	  include/ptclib/xmpp.h, include/ptclib/xmpp_c2s.h,
	  include/ptlib/notifier_ext.h, src/ptclib/xmpp.cxx,
	  src/ptclib/xmpp_c2s.cxx, src/ptlib/common/notifier_ext.cxx: Added
	  PNotifier extensions and XMPP (Jabber) support,   thanks to
	  Federico Pinna and Reitek S.p.A.

2004-04-22 14:27  rjongbloed

	* src/ptlib/common/sockets.cxx: Fixed selection of QoS to use more
	  flexible #if rather than #ifdef

2004-04-22 13:43  csoutheren

	* include/ptlib/pluginmgr.h, src/ptlib/common/pluginmgr.cxx:
	  Factored out functions useful for loading dynamic libraries

2004-04-22 12:05  rjongbloed

	* src/ptlib/msos/Console Components.vcproj: Added psasl module

2004-04-22 12:03  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Fix problem
	  with generic plugin manager having pure virtual. Thanks to Ben
	  Lear

2004-04-22 09:55  csoutheren

	* include/ptlib/pluginmgr.h: Fix problem with generic plugin
	  manager having pure virtual. Thanks to Ben Lear

2004-04-22 09:54  csoutheren

	* src/ptclib/asner.cxx: Fix problem with VS.net asserting on in
	  isprint when chars outside normal range

2004-04-21 14:05  csoutheren

	* make/common.mak: Added target to create gcc compiled header for
	  ptlib.h, but not used because it does not seem to be able to
	  compile some files

2004-04-21 13:22  csoutheren

	* configure, include/ptbuildopts.h.in, include/ptlib/critsec.h:
	  Modified to work with gcc 3.4.0

2004-04-21 05:47  ykiryanov

	* make/unix.mak: Added libdl.so to library list for BeOS

2004-04-21 02:35  csoutheren

	* include/ptclib/pxml.h, src/ptclib/pxml.cxx: Added a stream parser
	  for protocols like XMPP where each child of the root is to be
	  considered a separate document/message.  Thanks to Federico Pinna
	  and Reitek S.p.A.

2004-04-21 02:29  csoutheren

	* include/ptclib/inetmail.h, src/ptclib/inetmail.cxx: Added SASL
	  authentication to PPOP3Client and PSMTPClient Thanks to Federico
	  Pinna and Reitek S.p.A.

2004-04-20 12:02  csoutheren

	* Makefile.in: Remove usage of asnparser from the Makefile

2004-04-20 03:21  dereksmithies

	* configure: fix test for SDL video. Thanks to
	  yangzifu@mail.ustc.edu.cn

2004-04-20 02:19  dereksmithies

	* samples/vidtest/main.cxx: Add code to generate compile time error
	  if SDL is not installed.

2004-04-19 14:53  csoutheren

	* src/ptclib/httpclnt.cxx: Fix for iostream changes thanks to David
	  Parr

2004-04-19 04:00  csoutheren

	* configure: Fixed OpenLDAP detection problem

2004-04-19 02:18  csoutheren

	* version.h: Incremented build number after tagging to v1_7_0.

2004-04-18 15:01  csoutheren

	* src/ptlib/msos/Console Components.dsp: Added classes for SASL
	  authentication Thanks to Federico Pinna and Reitek S.p.A.

2004-04-18 14:49  csoutheren

	* include/ptlib/videoio.h, src/ptlib/common/videoio.cxx: Patches to
	  video code thanks to Guilhem Tardy (hope I get it right this time
	  :)

2004-04-18 14:37  csoutheren

	* include/ptlib/unix/ptlib/critsec.h,
	  include/ptlib/unix/ptlib/ptlib.inl, make/ptbuildopts.mak.in,
	  src/ptlib/unix/Makefile: Modified to detect sem_wait etc on Linux
	  systems

2004-04-18 14:36  csoutheren

	* configure: Updated for new SASL code

2004-04-18 14:34  csoutheren

	* src/ptclib/psasl.cxx: Modified to compile under Unix

2004-04-18 14:06  csoutheren

	* include/ptbuildopts.h.in: Added classes for SASL authentication
	  Thanks to Federico Pinna and Reitek S.p.A.

2004-04-18 14:02  csoutheren

	* include/ptclib/psasl.h, src/ptclib/psasl.cxx: Added classes for
	  SASL authentication Thanks to Federico Pinna and Reitek S.p.A.

2004-04-18 09:46  rjongbloed

	* src/ptlib/unix/socket.cxx: Fixed other unix builds after Yuri's
	  BeOS changes.

2004-04-18 07:45  ykiryanov

	* include/ptlib/unix/ptlib/pmachdep.h: Added TCP_NODELAY definition
	  and removed BE_BONELESS. BeOS is boned now

2004-04-18 07:06  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Changed all operators
	  that return BOOL to return standard type bool. This is primarily
	  for improved compatibility with std STL usage removing many
	  warnings.

2004-04-18 06:33  rjongbloed

	* include/ptclib/asner.h, include/ptlib/contain.inl,
	  include/ptlib/ethsock.h, include/ptlib/ipsock.h,
	  include/ptlib/object.h, include/ptlib/osutil.inl,
	  include/ptlib/pstring.h, include/ptlib/timeint.h,
	  include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf, src/ptclib/asner.cxx,
	  src/ptlib/common/contain.cxx, src/ptlib/common/pethsock.cxx,
	  src/ptlib/common/sockets.cxx: Changed all operators that return
	  BOOL to return standard type bool. This is primarily	 for
	  improved compatibility with std STL usage removing many warnings.

2004-04-18 02:50  ykiryanov

	* src/ptlib/common/sockets.cxx: Removed BE_BONELESS ifdefs. Be is
	  boned now. More funcitonality

2004-04-18 02:32  ykiryanov

	* src/ptlib/unix/beaudio.cxx: Fized compiler choking on
	  <dynamic_cast>.

2004-04-18 02:27  ykiryanov

	* include/ptlib/unix/ptlib/thread.h: Added variable to count thread
	  suspends. Removed thread name

2004-04-18 02:23  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Rearranged code to be more reliable.
	  We nearly there

2004-04-18 02:21  ykiryanov

	* src/ptlib/unix/socket.cxx: Cleaned up BeOS related code. Less
	  ifdefs, more functionality

2004-04-16 00:44  csoutheren

	* include/ptlib/contain.h: Re-applied gcc 2.95 patch as CVS screwed
	  up

2004-04-15 05:58  csoutheren

	* include/ptlib/msos/ptlib/contain.h: Removed
	  PCONTAINER_USES_CRITSEC

2004-04-15 05:50  csoutheren

	* src/ptlib/common/contain.cxx: Fixed problem with MakeUnique

2004-04-15 01:34  csoutheren

	* include/ptlib/contain.h, src/ptlib/common/contain.cxx: Added
	  plugin for data access

2004-04-14 14:44  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Plug in
	  module manager changes.

2004-04-14 13:58  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Plug in module
	  manager changes.

2004-04-14 13:14  csoutheren

	* include/ptlib/pluginmgr.h: Final fix for generic plugin manager

2004-04-14 12:57  csoutheren

	* include/ptlib/pluginmgr.h: Removed multiple definition of statc
	  function in generic plugin functions

2004-04-14 12:21  csoutheren

	* configure, make/common.mak, make/ptbuildopts.mak.in: Grrr...more
	  changes for CXX flags

2004-04-14 12:07  csoutheren

	* make/: common.mak, ptbuildopts.mak.in: Added CXXFLAGS

2004-04-14 12:01  csoutheren

	* include/ptlib/pluginmgr.h: Fixed compile problem on Windows

2004-04-14 10:12  csoutheren

	* include/ptlib/pluginmgr.h, src/ptlib/common/pluginmgr.cxx: Added
	  support for generic plugin managers

2004-04-14 08:58  csoutheren

	* include/ptlib/critsec.h, src/ptlib/common/object.cxx: Fixed
	  PAtomicInteger and PSmartPointer to use real atomic operations

2004-04-13 14:57  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Added various
	  multi-threading support classes eg PAtomicInteger etc

2004-04-13 14:10  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Added
	  PAtomicInteger IsZero function

2004-04-13 13:48  csoutheren

	* Makefile.in: asnparser no longer built by default

2004-04-13 13:47  csoutheren

	* include/ptlib/smartptr.h, src/ptlib/common/object.cxx: Changed
	  PSmartPtr to use PAtomicInteger

2004-04-13 13:35  rjongbloed

	* include/ptlib/msos/: ptlib_2003.dtf, ptlibd_2003.dtf: Added
	  various multi-threading support classes eg PAtimicInteger etc

2004-04-13 12:12  csoutheren

	* include/ptlib/msos/ptlib/contain.h: Fix for MSVC (grrr)

2004-04-13 05:13  csoutheren

	* include/ptlib/msos/ptlib/contain.h: VS.net won't compile without
	  "using namespace std"

2004-04-12 09:33  csoutheren

	* src/ptlib/common/osutils.cxx: Temporarily disabled removal of
	  empty TRACE output on Linux

2004-04-12 07:42  csoutheren

	* src/ptclib/html.cxx: Fixed problem with radio buttons

2004-04-12 05:35  csoutheren

	* include/ptlib/contain.h, include/ptlib/critsec.h,
	  include/ptlib/unix/ptlib/mutex.h, make/unix.mak,
	  src/ptlib/unix/tlibthrd.cxx: Fixed problems with non-recursuve
	  mutexes and critical sections on older compilers and libc

2004-04-12 05:04  csoutheren

	* include/ptlib/msos/ptlib/contain.h: Removed <vector> warnings
	  under Windows

2004-04-12 02:58  csoutheren

	* include/ptlib/critsec.h, include/ptlib/unix/ptlib/mutex.h,
	  src/ptlib/unix/tlibthrd.cxx: Fixed PAtomicInteger on Linux, and
	  modified PMutex to use it

2004-04-12 02:36  csoutheren

	* include/ptlib/contain.h, include/ptlib/critsec.h,
	  src/ptlib/common/contain.cxx: Added new class PAtomicInteger and
	  added Windows implementation

2004-04-12 00:47  csoutheren

	* include/ptlib/msos/ptlib/contain.h: Remove unused parameter
	  warnings for Windows <string>

2004-04-11 15:34  csoutheren

	* include/ptlib/unix/ptlib/contain.h: Sigh. gcc needs a namespace
	  directive in order to compile correctly :(

2004-04-11 15:26  csoutheren

	* include/: ptlib.h, ptlib/object.h, ptlib/pstring.h,
	  ptlib/msos/ptlib/contain.h: Removed namespace problems and
	  removed warnings for Windows <string>

2004-04-11 09:58  csoutheren

	* configure, include/ptbuildopts.h.in,
	  include/ptlib/unix/ptlib/mutex.h, src/ptlib/unix/tlibthrd.cxx:
	  Added configure.in check for recursive mutexes, and changed
	  implementation without recursive mutexes to use PCriticalSection
	  or atomic word structs

2004-04-11 08:15  csoutheren

	* configure, include/ptbuildopts.h.in, include/ptlib/contain.h,
	  include/ptlib/unix/ptlib/contain.h, src/ptlib/common/contain.cxx:
	  Modified to use Atomic_word if available

2004-04-11 05:20  csoutheren

	* include/ptlib/: critsec.h, object.h, unix/ptlib/contain.h,
	  unix/ptlib/ptlib.inl: Added Unix implementation of
	  PCriticalSection

2004-04-11 05:02  csoutheren

	* include/ptlib/unix/ptlib/critsec.h: Initial version

2004-04-11 04:55  csoutheren

	* include/ptlib/contain.h, include/ptlib/critsec.h,
	  include/ptlib/object.h, include/ptlib/msos/ptlib/contain.h,
	  include/ptlib/msos/ptlib/critsec.h,
	  include/ptlib/msos/ptlib/ptlib.inl, src/ptlib/common/contain.cxx,
	  src/ptlib/msos/Console.dsp: Added PCriticalSection for Windows
	  Added compile time option for PContainer to use critical sections
	  to provide thread safety under some circumstances

2004-04-09 15:06  rjongbloed

	* include/ptlib/msos/ptlib_2003.dtf: Many and various changes to
	  support new Visual C++ 2003

2004-04-09 13:54  csoutheren

	* configure, include/ptbuildopts.h.in, include/ptlib/object.h,
	  include/ptlib/unix/ptlib/contain.h: Added configure.in check for
	  STL streams, and tested with gcc 2.95.3, gcc 3.3.1, and gcc 3.3.3

2004-04-09 09:53  rjongbloed

	* include/ptlib/object.h: Fixed backward compatibility after STL
	  streams change

2004-04-09 09:06  rjongbloed

	* src/ptlib/msos/PTLib.vcproj: Fixed generating dtf files from the
	  correst source libraries.

2004-04-09 09:03  rjongbloed

	* tools/MergeSym/MergeSym.cxx: Added ability to get the output to
	  DUMPBIN sent to a file.

2004-04-09 08:52  rjongbloed

	* src/: ptclib/cypher.cxx, ptclib/pdns.cxx, ptclib/pldap.cxx,
	  ptclib/pssl.cxx, ptclib/ptts.cxx, ptclib/pxml.cxx,
	  ptclib/vsdl.cxx, ptlib/msos/sound_win32.cxx,
	  ptlib/msos/win32.cxx: Removed #pargma linker command for
	  /delayload of DLL as documentations sais that   you cannot do
	  this.

2004-04-09 08:40  rjongbloed

	* include/ptlib/msos/ptlib/contain.h: Removed warning in VC++2003
	  version about wspapi.h

2004-04-09 08:38  rjongbloed

	* include/ptlib/channel.h, include/ptlib/pstring.h,
	  include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf, src/ptlib/common/contain.cxx,
	  src/ptlib/common/pchannel.cxx: Fixed compatibility with STL based
	  streams, eg as used by VC++2003

2004-04-09 08:03  csoutheren

	* src/ptlib/common/pluginmgr.cxx: Cannot do PProcess virtual, so
	  code is now in the plugin manager

2004-04-09 07:54  csoutheren

	* src/ptlib/common/pluginmgr.cxx: Added ability for application to
	  specify plugin directorories, or to specify directories by
	  environment variable

2004-04-09 05:42  csoutheren

	* include/ptlib/: array.h, contain.h, contain.inl, dict.h, lists.h,
	  pstring.h: Removed all usages of "virtual inline" and "inline
	  virtual"

2004-04-09 02:56  csoutheren

	* include/ptlib/object.h: Fixed problem with new class name code

2004-04-09 02:51  csoutheren

	* src/ptlib/msos/PTLib.vcproj: Replaced incorrect slashes in import
	  lib path

2004-04-09 02:47  csoutheren

	* configure: Updated for changes to configure.in

2004-04-09 02:42  csoutheren

	* include/ptlib/: object.h, msos/ptlib/contain.h,
	  unix/ptlib/contain.h: Changed Unix build to use slightly
	  different method for keep class names, as GCC does not use actual
	  class names for typeinfo

2004-04-07 07:29  csoutheren

	* include/ptlib/ipsock.h: Added function to detect RFC 1918
	  addresses

2004-04-05 15:15  rjongbloed

	* src/ptlib/msos/PTLib.vcproj, include/ptlib/msos/ptlib_2003.dtf,
	  include/ptlib/msos/ptlibd_2003.dtf: Allowed for VC6 and VC 2003
	  to coexist as far as DLL symbols are concerned.

2004-04-04 15:41  rjongbloed

	* samples/stunclient/stunclient.vcproj,
	  samples/xmlrpc/xmlrpc.vcproj, src/ptlib/msos/PTLib.vcproj,
	  tools/MergeSym/MergeSym.vcproj: Changes to support native C++ Run
	  Time Type Information

2004-04-04 15:24  rjongbloed

	* include/ptlib/msos/ptlib.dtf, include/ptlib/msos/ptlibd.dtf,
	  include/ptlib/object.h, samples/ThreadSafe/ThreadSafe.dsp,
	  samples/ThreadSafe/main.cxx, samples/dnstest/dnstest.dsp,
	  samples/find_ip/find_ip.dsp, samples/ldaptest/ldaptest.dsp,
	  samples/sortedlist/SortedListTest.dsp,
	  samples/stunclient/stunclient.dsp, samples/vidtest/vidtest.dsp,
	  samples/vxmltest/vxmltest.dsp, samples/xmlrpc/xmlrpc.dsp,
	  samples/xmlrpcsrvr/xmlrpcsrvr.dsp: Changes to support native C++
	  Run Time Type Information

2004-04-04 09:39  csoutheren

	* include/ptlib/lists.h: Fixed cut-and-paste typo in VS.net 2003
	  changes that made all PLists sorted. Yikes!

2004-04-04 04:35  csoutheren

	* src/ptlib/msos/Console.vcproj: Arrgh. Fixed another problem

2004-04-04 04:33  csoutheren

	* src/ptlib/msos/Console.vcproj: Fixed VS.net 2003 specifc
	  configure flag

2004-04-04 03:53  csoutheren

	* src/ptlib/msos/Console.dsp: Added MSVC specifc flag to
	  configure.exe on ALL configurations

2004-04-04 03:46  csoutheren

	* samples/stunclient/stunclient.vcproj,
	  samples/xmlrpc/xmlrpc.vcproj, src/ptlib/msos/Console
	  Components.vcproj, src/ptlib/msos/Console.vcproj,
	  src/ptlib/msos/PTLib.vcproj, tools/MergeSym/MergeSym.vcproj: Adde
	  RTTI flag to builds

2004-04-04 03:45  csoutheren

	* src/ptlib/msos/Console.dsp: Added MSVC specifc flag to
	  configure.exe

2004-04-04 03:30  csoutheren

	* configure.exe, tools/configure/configure.cpp: Added ability to
	  specify exclude environment variable on configure command line
	  which allows easy switching between MSVC and VS.net 2003

2004-04-04 02:21  csoutheren

	* src/ptclib/http.cxx: FIxed problem with some URL parsing

2004-04-04 01:55  csoutheren

	* src/ptlib/unix/config.cxx: Added fix for PConfig environment
	  variables under Linux   Thanks to Michal Zygmuntowicz

2004-04-04 01:53  csoutheren

	* configure, include/ptbuildopts.h.in, include/ptlib/dict.h,
	  include/ptlib/lists.h, src/ptclib/cypher.cxx,
	  src/ptlib/common/contain.cxx, src/ptlib/common/sound.cxx,
	  src/ptlib/common/videoio.cxx, src/ptlib/unix/osutil.cxx: Added
	  various changes to improce compatibility with the Sun Forte
	  compiler   Thanks to Brian Cameron Added detection of readdir_r
	  version

2004-04-04 00:33  csoutheren

	* configure: Changed to use CXX for some tests rather than CC This
	  fixes some problems on Solaris thanks to Micahl Zygmuntowicz

2004-04-03 17:50  ykiryanov

	* include/ptlib/unix/ptlib/thread.h: Changed names to easily
	  distinguish class members. Added PThread name

2004-04-03 17:47  ykiryanov

	* include/ptlib/unix/ptlib/ptlib.inl: Changed thread id member name
	  for BeOS

2004-04-03 12:33  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Use PStringToOrdinal to store
	  the detected devices, that fixes problems if there is a
	  discontinuity in the succession of soundcard ID's. For example
	  the user has card ID 1 and 3, but not 2.

2004-04-03 10:57  csoutheren

	* include/ptlib/object.h, include/ptlib/unix/ptlib/contain.h,
	  src/ptlib/unix/svcproc.cxx: Replaced pseudo-RTTI with real RTTI

2004-04-03 10:22  csoutheren

	* include/ptlib/object.h, include/ptlib/msos/ptlib/contain.h,
	  src/ptclib/asner.cxx, src/ptclib/http.cxx,
	  src/ptclib/httpform.cxx, src/ptclib/httpsvc.cxx,
	  src/ptclib/inetprot.cxx, src/ptclib/ipacl.cxx,
	  src/ptclib/memfile.cxx, src/ptclib/socks.cxx,
	  src/ptlib/common/collect.cxx, src/ptlib/common/contain.cxx,
	  src/ptlib/common/object.cxx, src/ptlib/common/osutils.cxx,
	  src/ptlib/common/pchannel.cxx, src/ptlib/common/pipechan.cxx,
	  src/ptlib/common/ptime.cxx, src/ptlib/common/safecoll.cxx,
	  src/ptlib/common/sockets.cxx, src/ptlib/msos/Console
	  Components.dsp, src/ptlib/msos/Console.dsp,
	  src/ptlib/msos/PTLib.dsp, src/ptlib/msos/remconn.cxx,
	  src/ptlib/msos/svcproc.cxx, src/ptlib/msos/winsock.cxx,
	  tools/MergeSym/MergeSym.dsp, tools/MsDevWizard/MsDevWizard.dsp,
	  tools/MsDevWizard/MsDevWizardAw.cpp: Remove pseudo-RTTI and
	  replaced with real RTTI

2004-04-03 10:09  csoutheren

	* src/ptlib/common/object.cxx: Fixed compile problem on Windows

2004-04-03 09:41  csoutheren

	* include/ptlib/object.h, src/ptlib/common/object.cxx: Fixed
	  compile problem with ostringstream/ostrstream

2004-04-03 09:16  rjongbloed

	* include/ptlib/object.h: Fixed backward compatibility with MSVC 6

2004-04-03 09:14  csoutheren

	* configure, include/ptlib/unix/ptlib/contain.h: Remove no-rtti
	  compiler flag Added __USE_STL__ to allow interopability with STL
	  and iostreams

2004-04-03 09:06  csoutheren

	* version.h: Removed space that confused configure

2004-04-03 09:01  rjongbloed

	* samples/stunclient/stunclient.vcproj: Many and various changes to
	  support new Visual C++ 2003

2004-04-03 08:54  rjongbloed

	* .cvsignore, pwlib.sln, include/ptlib/array.h,
	  include/ptlib/lists.h, include/ptlib/object.h,
	  include/ptlib/pstring.h, include/ptlib/msos/ptlib.ignore,
	  include/ptlib/msos/ptlib/contain.h, samples/xmlrpc/xmlrpc.vcproj,
	  src/ptclib/html.cxx, src/ptclib/httpsvc.cxx,
	  src/ptclib/inetmail.cxx, src/ptclib/pasn.cxx,
	  src/ptlib/common/contain.cxx, src/ptlib/common/object.cxx,
	  src/ptlib/common/osutils.cxx, src/ptlib/msos/Console
	  Components.vcproj, src/ptlib/msos/Console.vcproj,
	  src/ptlib/msos/PTLib.vcproj, src/ptlib/msos/assert.cxx,
	  src/ptlib/msos/pipe.cxx, src/ptlib/msos/ptlib.cxx,
	  src/ptlib/msos/svcproc.cxx, src/ptlib/msos/win32.cxx,
	  tools/MergeSym/MergeSym.cxx, tools/MergeSym/MergeSym.vcproj,
	  tools/PacketVxD/PacketVxD.vcproj: Many and various changes to
	  support new Visual C++ 2003

2004-04-03 07:48  csoutheren

	* version.h: Changed to 1.7.0

2004-04-03 07:46  csoutheren

	* version.h: Incremented build number after tagging to v1_6_6.

2004-04-02 06:07  ykiryanov

	* src/ptlib/common/sound.cxx: Added ifndef BeOS for PSound

2004-04-02 05:59  ykiryanov

	* src/ptlib/unix/Makefile: Uncommented beaudio code

2004-04-02 05:49  ykiryanov

	* include/ptlib/unix/ptlib/sound.h: Removed BeOS dependent code in
	  major effort to clean the code

2004-04-02 05:42  ykiryanov

	* include/ptlib/unix/ptlib/thread.h: Added unblockPipe to improve
	  code

2004-04-02 05:40  ykiryanov

	* include/ptlib/unix/ptlib/semaphor.h: Cleaned up semaphore code

2004-04-02 05:37  ykiryanov

	* include/ptlib/unix/ptlib/pprocess.h: Added timerChangePipe, to
	  make code better

2004-04-02 05:32  ykiryanov

	* include/ptlib/unix/ptlib/pmachdep.h: Added prototypes for missing
	  dl*() functions

2004-04-02 05:29  ykiryanov

	* src/ptlib/unix/beaudio.cxx: New improved code

2004-04-02 05:17  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: New version, improved

2004-04-01 14:51  csoutheren

	* src/ptlib/unix/osutil.cxx: Fixed problem with args to access,
	  thanks to Borko Jandras

2004-03-29 01:13  csoutheren

	* ReadMe.txt: Updated for changes in include files and removal of
	  GUI references

2004-03-24 03:37  csoutheren

	* configure, src/ptlib/unix/tlibthrd.cxx: Fixed problem with
	  incorrect usage of sem_timedwait

2004-03-23 12:01  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Modified plugin
	  manager to allow code modules to be notified when plugins   are
	  loaded or unloaded

2004-03-23 11:59  rjongbloed

	* src/ptlib/common/collect.cxx: Added some extra bulletproofing of
	  containers to avoid complaints by some   memory checking tools,
	  thanks Ted Szoczei

2004-03-23 07:38  csoutheren

	* include/ptclib/mime.h: Update for change in location of Base64
	  routines

2004-03-23 07:32  csoutheren

	* tools/configure/configure.cpp, configure.exe: Fixed problems with
	  multiple directories in exclude spec

2004-03-23 06:59  csoutheren

	* include/ptclib/cypher.h, include/ptclib/mime.h,
	  src/ptclib/cypher.cxx, src/ptclib/inetprot.cxx: Moved the Base64
	  routines into cypher.cxx, which is a more sensible place and
	  reduces the inclusion of unrelated code

2004-03-23 06:08  csoutheren

	* src/ptclib/http.cxx: Fixed problem with use of ShellExecuteEx
	  function

2004-03-23 05:56  csoutheren

	* configure, include/ptbuildopts.h.in, src/ptlib/unix/tlibthrd.cxx:
	  Added patches to use XPG6 threading under Linux if available
	  Thanks to Matthew Hodgson

2004-03-23 05:53  csoutheren

	* src/ptclib/asnper.cxx: Fixed problem with incorrect encoding of
	  ASN NULL under some circumstances Thanks to Ed Day of Objective
	  Systems

2004-03-23 05:48  csoutheren

	* include/ptclib/vxml.h, src/ptclib/vxml.cxx: Improved ability to
	  start VXML scripts as needed

2004-03-23 05:43  csoutheren

	* include/ptlib/pluginmgr.h, src/ptlib/common/pluginmgr.cxx:
	  Modified plugin manager to allow code modules to be notified when
	  plugins are loaded or unloaded

2004-03-23 05:41  csoutheren

	* src/ptclib/httpsvc.cxx: Fixed compile problem on Linux

2004-03-23 04:40  csoutheren

	* src/ptclib/httpsvc.cxx: Change service process default to be more
	  useful in some environments

2004-03-22 11:15  rjongbloed

	* include/ptlib/msos/ptlib.dtf, include/ptlib/msos/ptlibd.dtf,
	  include/ptlib/syncthrd.h, src/ptlib/common/osutils.cxx,
	  src/ptlib/common/pchannel.cxx: Added classes similar to
	  PWaitAndSignal to automatically unlock a PReadWriteMutex   when
	  goes out of scope.

2004-03-20 10:08  rjongbloed

	* include/ptlib/msos/ptlibd.dtf, src/ptlib/common/osutils.cxx,
	  src/ptlib/msos/svcproc.cxx: Changed interaction between PTrace
	  and PSystemLog so that the tracing code does	 not need to know
	  about the system log, thus reducing the code footprint for most
	  apps.

2004-03-20 09:32  rjongbloed

	* samples/sortedlist/.cvsignore: Added ignore file for sorted list
	  test

2004-03-20 05:20  rjongbloed

	* src/ptlib/common/contain.cxx: Fixed some VxWorks port issues
	  especially underrrun memory access in   the PString::FindLast
	  function,, thanks Eize Slange

2004-03-19 22:47  csoutheren

	* version.h: Incremented build number after tagging to v1_6_5.

2004-03-19 22:41  csoutheren

	* version.h: Incremented build number after tagging to v1_6_4.

2004-03-17 23:24  rjongbloed

	* src/ptlib/common/vfakeio.cxx: Fixed MSVC warnings

2004-03-17 06:52  csoutheren

	* src/ptlib/unix/Makefile: Removed obsolete udp.cxx

2004-03-17 06:49  csoutheren

	* src/ptclib/udp.cxx: No longer needed

2004-03-16 11:10  csoutheren

	* src/ptlib/common/vfakeio.cxx: Proper fix that does not generate
	  warnings

2004-03-16 09:27  csoutheren

	* src/ptlib/common/vfakeio.cxx: Removed illegal characters

2004-03-16 02:45  rjongbloed

	* configure.exe, tools/configure/configure.cpp: Fixed locating
	  lbrary in pre-defined search directories.  Added version number
	  to configure program.  Tidied the --help display.

2004-03-15 10:33  rogerhardiman

	* version.h: Add warning about putting comments into version.h

2004-03-14 11:03  rjongbloed

	* src/ptclib/cypher.cxx: Fixed "security patch" that cleared entire
	  object (including the vtable!) isntead of   clearing the
	  "sensitive" information it was supposed to clear.

2004-03-14 06:47  rjongbloed

	* include/ptclib/pstun.h, src/ptclib/pstun.cxx: Fixed incorrect
	  detection of symmetric NAT (eg Linux masquerading) and also
	  some NAT systems which are partially blocked due to firewall
	  rules.

2004-03-13 13:36  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Added support for DMIX plugin
	  output.

2004-03-13 07:30  rjongbloed

	* include/ptclib/url.h, src/ptclib/http.cxx: Virtualised parse
	  function.

2004-03-13 03:50  rjongbloed

	* configure.exe, tools/configure/configure.cpp: Fixed anomalous
	  message where even though a feature was disabled, a "Located "
	  directiory message is still displayed causing confusion.  Added
	  --disable-<feature> as synonym to existing --no-<feature> to be
	  compatible   with autoconf.  Added default value to defines of 1
	  rather than blank.

2004-03-11 01:34  csoutheren

	* version.h: Moved back to v1.6.4 - not sure why it needed to be
	  done, but it did

2004-03-09 06:56  csoutheren

	* configure: Fixed problem with SunOs configurations

2004-03-09 04:58  csoutheren

	* version.h: Incremented build number after tagging to v1_6_4.

2004-03-06 23:36  csoutheren

	* configure: Fixed problem with plugin directory on 64 bit systems
	  thanks to Klaus Kaempf

2004-03-04 14:36  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Added check so that ALSA
	  doesn't assert on broken installations.

2004-03-02 13:08  rjongbloed

	* src/ptclib/cypher.cxx: Added missing pragmas to automatically
	  include libraries for OpenSSL

2004-03-02 11:29  rjongbloed

	* include/ptlib/array.h: Changed base array declaration macro to be
	  consistent with the	object array one, thanks Guilhem Tardy

2004-02-29 06:08  csoutheren

	* configure: Fixed problem with not disabling RTTI, thanks to
	  Michal Zygmuntowicz

2004-02-27 01:53  csoutheren

	* configure: Added ability to enable RTTI, thanks to Michal
	  Zygmuntowicz

2004-02-26 13:04  csoutheren

	* Makefile.in, configure: Added changes to increase portability to
	  64bit platforms, thanks to Klaus Kaempf

2004-02-26 12:19  csoutheren

	* configure, make/unix.mak: Added changes for BeOS, thanks to Yuri
	  Kiryanov Added changes to fix link problems on some platforms,
	  thanks to Klaus Kaempf

2004-02-24 12:20  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Plug in patches

2004-02-24 12:19  rjongbloed

	* src/ptlib/common/pchannel.cxx: Fixed seekpos() function on
	  channel to read data when seeking beyond end of corrent stream.

2004-02-24 12:15  rjongbloed

	* include/ptclib/pstun.h, samples/stunclient/main.cxx,
	  src/ptclib/pstun.cxx: Added function to get external router
	  address, also did a bunch of documentation.

2004-02-24 12:14  rjongbloed

	* src/ptclib/http.cxx: Fixed correct initialisation of some
	  internal variables in URL if parse fails.

2004-02-24 00:56  csoutheren

	* src/ptlib/common/pluginmgr.cxx: Removed unneeded class

2004-02-24 00:52  csoutheren

	* src/: ptclib/cypher.cxx, ptclib/pdns.cxx, ptclib/pldap.cxx,
	  ptclib/pssl.cxx, ptclib/ptts.cxx, ptclib/pxml.cxx,
	  ptclib/vsdl.cxx, ptlib/msos/sound_win32.cxx,
	  ptlib/msos/win32.cxx: Added pragmas to avoid every Windows
	  application needing to include libs explicitly

2004-02-24 00:40  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Added missing constructor for PMutex

2004-02-23 23:09  csoutheren

	* configure: Fixed PowerPC64 configurations

2004-02-23 22:23  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Removed assert line to enable
	  semaphore constructor

2004-02-23 21:37  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Changed function definition PXBlockIO
	  to prototype one

2004-02-23 21:00  ykiryanov

	* include/ptlib/unix/ptlib/pmachdep.h: Fixed a typo in declaration
	  of setegid(0

2004-02-23 19:10  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Added a parameter to semaphore
	  constructor to avoid ambiguity

2004-02-23 19:08  ykiryanov

	* include/ptlib/unix/ptlib/semaphor.h: Added a parameter to
	  semaphore constructor call to made constructor unambiguous.
	  Suggested by Craig Southeren

2004-02-23 18:27  ykiryanov

	* include/ptlib/ipsock.h: Added == and != operators for in_addr_t
	  on BeOS as suggested by Craig Southeren to please compiler

2004-02-23 01:44  csoutheren

	* include/ptlib/pstring.h, src/ptlib/common/contain.cxx: A
	  completely different, other regex include hack to avoid requiring
	  the sources when using a header-file only environment

2004-02-23 01:26  csoutheren

	* include/ptlib/pstring.h, src/ptlib/common/contain.cxx: Finally, a
	  generic and elegant fix for the regex include hacks.	Thanks to
	  Roger Hardiman

2004-02-23 01:08  ykiryanov

	* include/ptlib/unix/ptlib/dynalink.h: Fixed endif line as well

2004-02-23 01:06  ykiryanov

	* include/ptlib/unix/ptlib/dynalink.h: Removed ifndef BeOS. We'll
	  use it

2004-02-23 01:02  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Changed my e-mail to ykiryanov at
	  users.sourceforge.net. Just in case someone wants to collaborate

2004-02-23 00:59  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Added missing functions:
	  PProcess::SetMaxHandles(), PThread::GetCurrentThreadId(),
	  PThread::PXAbortBlock(), PSyncPoint::Signal(), ::Wait(),
	  ::Wait(timeout), ::WillBlock()

2004-02-22 05:35  ykiryanov

	* src/ptlib/unix/tlibbe.cxx: Removed PMutex desctructor

2004-02-22 05:33  ykiryanov

	* include/ptlib/unix/ptlib/pmachdep.h: Added missing prototype for
	  setegid for BeOS

2004-02-22 05:06  ykiryanov

	* src/ptlib/unix/serchan.cxx: ifdef'd all functions because BeOS
	  don't support it

2004-02-22 04:36  ykiryanov

	* src/ptlib/unix/remconn.cxx: Added inclusion of signal.h on BeOS
	  to define SIGINT

2004-02-22 04:31  ykiryanov

	* src/ptlib/unix/svcproc.cxx: Added current thread id routine to
	  BeOS code

2004-02-22 04:27  ykiryanov

	* include/ptlib/unix/ptlib/pmachdep.h: Added missing prototype for
	  seteuid for BeOS

2004-02-22 03:38  ykiryanov

	* include/ptlib/dynalink.h: Removed ifndef BEOS when declaring
	  PDynalink

2004-02-22 02:57  ykiryanov

	* src/ptclib/pssl.cxx: Put a fix for a compiler choke on BeOS when
	  calling macro d2i_DHparams_bio in PSSLDiffieHellman::Load. Fast
	  on Monday.

2004-02-21 23:16  ykiryanov

	* src/ptclib/udp.cxx: BeOS related fixes

2004-02-21 22:59  ykiryanov

	* include/ptlib/unix/ptlib/ptlib.inl: Fixed more Be thread related
	  functions

2004-02-21 22:26  ykiryanov

	* include/ptlib/unix/ptlib/pmachdep.h: Added P_THREADIDENTIFIER for
	  BeOS threads

2004-02-21 20:44  ykiryanov

	* make/unix.mak: Fixed make parameters for BeOS: Changed default on
	  BeOS to using Be BONE

2004-02-21 20:43  ykiryanov

	* configure: Fixed configuration for BeOS

2004-02-20 17:27  ykiryanov

	* include/ptclib/: pils.h, pldap.h: if'd LDAP code to enable
	  non-LDAP builds

2004-02-19 10:41  csoutheren

	* version.h: Incremented build number after tagging to v1_6_3.

2004-02-17 12:11  rjongbloed

	* src/ptclib/pstun.cxx: Added missing #pragma pack() to turn off
	  byte alignment for the last class, thanks Ted Szoczei

2004-02-16 10:24  csoutheren

	* configure: Added asound library when compiling with ALSA

2004-02-15 23:36  csoutheren

	* configure, make/ptbuildopts.mak.in, src/ptlib/unix/Makefile:
	  Included ALSA in default non-plugin sound drivers

2004-02-15 23:10  anoncvs_net-mud

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Applied patch from
	  Frédéric Crozat <fcrozat@mandrakesoft.com> for buggy Quickcam
	  driver.

2004-02-15 04:59  rjongbloed

	* src/ptlib/msos/sound_win32.cxx: Fixed the default number of
	  buffer to be the value determined emprirically in    OpenH323,
	  thanks Ted Szoczei

2004-02-15 04:04  rjongbloed

	* include/ptlib/lists.h, src/ptlib/common/collect.cxx,
	  src/ptlib/common/contain.cxx: Fixed problem with PSortedList nil
	  variable and assignment between instances,   pointed out by Ben
	  Lear.

2004-02-15 03:53  rjongbloed

	* src/ptlib/msos/icmp.cxx: Added compatibility with Windows Mobile
	  2003, thanks Joerg Schoemer

2004-02-12 10:07  csoutheren

	* plugins/sound_alsa/sound_alsa.cxx: Fixed typo in ALSA driver,
	  thanks to Julien Puydt

2004-02-12 09:09  csoutheren

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Patch for ALSA driver,
	  thanks to Julien Puydt

2004-02-11 06:09  csoutheren

	* configure, include/ptlib/pstring.h, make/unix.mak,
	  src/ptlib/common/contain.cxx: Fixed problems with regex libraries
	  on Solaris, and with host OS numbering being a quoted string
	  rather than a number. Thanks to Chad Attermann Fixed problems SSL
	  detection problems thanks to Michal Zygmuntowicz

2004-02-10 01:01  csoutheren

	* version.h: Incremented build number after tagging to v1_6_2.

2004-02-09 12:43  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Fixes to PSoirtedList
	  for GNU 3.3.1 compiler compatibility.

2004-02-09 07:24  csoutheren

	* make/unix.mak: Allowed CXX environment variable to define C++
	  compiler to use as required by configure

2004-02-09 07:23  csoutheren

	* include/ptlib/lists.h, src/ptlib/common/collect.cxx: Added fix
	  for gcc 3.3.1 problem. Apparently, it is unable to correctly
	  resolve a function argument that is a reference to a const
	  pointer. Changing the argument to be a pointer to a pointer
	  solves the problem. Go figure

2004-02-09 04:40  rjongbloed

	* samples/sortedlist/Makefile: Added unix make

2004-02-09 00:18  rjongbloed

	* src/ptlib/common/getdate.y: Removed %expect as some bisone
	  version seem to barf on it.

2004-02-08 23:46  csoutheren

	* src/ptlib/common/collect.cxx: Added casts to fix problems with
	  gcc

2004-02-08 23:41  csoutheren

	* src/ptlib/common/getdate.y: Changed expected directive to match
	  the number of conflicts

2004-02-08 12:55  rjongbloed

	* src/ptlib/common/getdate.y: Fixed thread safe "pure" parser using
	  later versions of bison, thanks Matthew Hodgson.

2004-02-08 12:13  rjongbloed

	* include/ptlib/lists.h, include/ptlib/pstring.h,
	  include/ptlib/msos/ptlib.dtf, include/ptlib/msos/ptlibd.dtf,
	  pwlib.dsw, src/ptlib/common/collect.cxx,
	  src/ptlib/common/contain.cxx,
	  samples/sortedlist/SortedListTest.cxx,
	  samples/sortedlist/SortedListTest.dsp,
	  samples/sortedlist/SortedListTest.h,
	  samples/sortedlist/precompile.cxx: Fixed crash in heavily loaded
	  multi-threaded systems using simultaneous sorted   lists, Thanks
	  Federico Pinna, Fabrizio Ammollo and the gang at Reitek S.p.A.

2004-02-06 23:21  dominance

	* plugins/vidinput_v4l/vidinput_v4l.cxx: fixed device detection
	  when refreshing the device list. Patch supplied by PUYDT Julien
	  <julien.puydt@laposte.net>. Thanks to Damien Sandras to point out
	  this and for Julien to provide the fix this fast!

2004-02-04 10:37  rjongbloed

	* src/ptclib/pldap.cxx: Fixed memory leak and race condition,
	  thanks Rossano Ravelli

2004-02-04 03:34  csoutheren

	* configure, plugins/configure, include/ptbuildopts.h.in,
	  plugins/configure.in: Added many new flags to configure to allow
	  disabling of various features Fixed "swab" detection Improved
	  detection of long double type

2004-02-04 03:32  csoutheren

	* src/ptlib/common/sockets.cxx: Changed #ifdef to #if to ensure
	  flags are tested correctly

2004-02-04 03:31  csoutheren

	* include/ptclib/cypher.h: Remove SHA-1 functions when OpenSSL is
	  disabled

2004-02-03 10:37  rjongbloed

	* src/ptclib/httpsrvr.cxx: Added check to text files via the type
	  extension, thanks David Parr

2004-02-01 13:12  dsandras

	* Makefile.in: Fixed default target to optshared.

2004-02-01 12:50  dsandras

	* configure: Regenerated configure script.

2004-02-01 12:46  dsandras

	* Makefile.in: Set default target to "optshared".

2004-02-01 12:23  dsandras

	* src/ptlib/unix/tlibthrd.cxx: Reverted previous Change and removed
	  Yield call from Current (). Fix from Christian Meder
	  <chris@onestepahead.de>. Thanks for your help, Christian!

2004-01-31 14:49  dominance

	* src/ptlib/unix/tlibthrd.cxx: Added 2.6 performance fix as
	  proposed by Christian Meder <chris@onestepahead.de>.

2004-01-30 03:33  csoutheren

	* tools/configure/configure.cpp, configure.exe: More fixups

2004-01-30 03:06  csoutheren

	* src/ptlib/msos/ethsock.cxx: Added mutex to avoid threading
	  problems on Windows Thanks to Hans Verbeek

2004-01-30 02:43  csoutheren

	* tools/configure/configure.cpp, configure.exe: Added excludedir
	  options and environment variable

2004-01-30 01:52  csoutheren

	* configure, include/ptbuildopts.h.in: Moved P_USE_PRAGMA back to
	  the compiler flags as this cannot be put into a include file due
	  to the way gcc implements vtable closure

2004-01-29 14:43  csoutheren

	* configure, include/ptbuildopts.h.in, make/unix.mak: Moved some
	  preprocessor symbols from the command line to include files
	  Modified to set P_HAS_SEMAPHORES to 0 for Linux kernels >= 2.6
	  Applied patches for Solaris thanks to Michal Zygmuntowicz

2004-01-28 09:53  csoutheren

	* include/ptlib/socket.h: Fixed missing delete[] operator. Thanks
	  to Borko Jandras

2004-01-27 23:43  dominance

	* configure: updated to produce PWLIB_VERSION

2004-01-27 11:50  csoutheren

	* include/ptbuildopts.h.in: Added versio information to
	  ptbuildopts.h

2004-01-27 02:04  rjongbloed

	* plugins/.cvsignore: Added ignore of config files

2004-01-26 09:33  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Changed
	  PString::Empty and some changes to device plug ins.

2004-01-24 17:14  csoutheren

	* ReadMe.txt: Updated to reference cvs.sourceforge.net

2004-01-23 18:01  qtidev

	* ReadMe.txt: Update CVS instructions to match reality.

2004-01-23 08:32  csoutheren

	* version.h: Incremented build number after tagging to v1_6_1.

2004-01-23 08:07  csoutheren

	* src/ptlib/common/sockets.cxx: Fixed compile warning under Linux

2004-01-18 22:00  dsandras

	* src/ptlib/common/pluginmgr.cxx: Fixed previous commit thanks to
	  Craig Southeren!

2004-01-18 15:25  dereksmithies

	* src/ptlib/common/videoio.cxx: New methods to make the opening of
	  video input devices easier.

2004-01-18 15:23  dereksmithies

	* include/ptlib/videoio.h: Add new function to make opening of
	  video input devices easier.

2004-01-18 15:22  dereksmithies

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Use names that are
	  substrings of the actual device name, to open the device.

2004-01-18 15:20  dereksmithies

	* samples/vidtest/main.cxx: Opening of video devices for plugins
	  works now.

2004-01-18 14:43  rjongbloed

	* include/ptlib/: contain.inl, pstring.h: Fixed broken
	  PString::MakeEmpty() function and moved implementations to .inl
	  file.

2004-01-18 12:13  dereksmithies

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Tidy up code & make more
	  clear. Guarantee that tables of names are populated.

2004-01-17 20:49  csoutheren

	* version.h: Incremented build number after tagging to v1_6_0.

2004-01-17 20:47  csoutheren

	* version.h: Pre-tagging check in for v1_6_0.

2004-01-17 19:15  csoutheren

	* include/ptlib/pstring.h: Fixed multi-threading problem with
	  PString::Empty Created PString::MakeEmpty for efficient emptying
	  of existing strings

2004-01-17 19:12  csoutheren

	* src/ptclib/pxml.cxx: Changed to use PString::MakeEmpty

2004-01-17 18:54  rjongbloed

	* include/ptclib/pstun.h, src/ptclib/pstun.cxx: Added function to
	  get server name from STUN client.

2004-01-17 18:44  csoutheren

	* src/ptclib/: httpsvc.cxx, pldap.cxx, psoap.cxx: Changed to use
	  PString::MakeEmpty

2004-01-17 18:43  csoutheren

	* src/ptclib/asnper.cxx: Fixed problem with the upper limit on
	  various constrained types not being correctly enforced

2004-01-17 18:41  csoutheren

	* src/: ptlib/common/videoio.cxx, ptclib/http.cxx: Changed to use
	  PString::MakeEmpty

2004-01-17 18:40  csoutheren

	* src/ptlib/common/pluginmgr.cxx: Changed to only attempt loading
	  of files with the correct library file extension Changed to
	  handle plugins without a register function

2004-01-17 18:28  csoutheren

	* src/ptlib/common/contain.cxx: Changed PString::Empty to be inline
	  in header file

2004-01-17 17:02  dereksmithies

	* src/ptlib/common/pluginmgr.cxx: make test for plugin names case
	  insensitive.

2004-01-17 10:23  csoutheren

	* src/ptclib/asnper.cxx: Fixed problem with the upper limit on
	  constrained unsigned integers not being correctly enforced

2004-01-17 10:21  csoutheren

	* src/ptclib/asner.cxx: Added protection against NULL ptr to
	  PASN_Stream::BlockDecode

2004-01-16 14:24  csoutheren

	* include/ptlib/pstring.h, src/ptlib/common/contain.cxx: Changed
	  PString::Empty to be thread-safe Fixed PContainer::SetMinSize and
	  PAbstractArray::SetSize, thanks to 123@call2ua.com Fixed
	  PString::FindLast, thanks to Andreas Sikkema

2004-01-11 22:42  rogerhardiman

	* plugins/vidinput_bsd/vidinput_bsd.h: Track changes to
	  GetDeviceName

2004-01-11 08:21  rjongbloed

	* include/ptlib/msos/: ptlibd.dtf, ptlib.dtf: Virtualised various
	  PConfig functions

2004-01-07 22:30  dsandras

	* src/ptlib/unix/osutil.cxx: Applied patch from Miguel Rodriguez
	  Perez <migrax@terra.es> to remove problematic PAssert failing in
	  cases where it shouldn't.

2004-01-06 22:17  csoutheren

	* include/ptlib/msos/ptlib/contain.h: Fixed formatting of warning
	  message regarding old include system Thanks to Louis R. Marascio

2004-01-06 22:16  csoutheren

	* include/ptlib/config.h: Added "virtual" keyword to methods to
	  allow descendant classes.  Thanks to Cristian Bullokles for
	  pointing out this issue

2004-01-04 21:59  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Use set_rate_near instead of
	  set_rate.

2004-01-03 04:37  csoutheren

	* src/ptclib/pdns.cxx: Fixed compile problem on Linux

2004-01-03 04:10  csoutheren

	* src/ptclib/pdns.cxx: Fixed more problems with looking up SRV
	  records, especially on Windows

2004-01-03 00:36  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Virtualised
	  GetLastReadCount/GetLastWriteCount

2004-01-03 00:30  rjongbloed

	* include/ptlib/videoio.h, src/ptlib/unix/dummyvideo.cxx,
	  src/ptlib/unix/video4beos.cxx, src/ptlib/unix/video4bsd.cxx:
	  Removed extraneous static function for getting input device names
	  that has been deprecated during the plug ins addition.

2004-01-02 14:22  csoutheren

	* src/ptclib/pdns.cxx: Fixed problem with extracting SRV records
	  from DNS

2003-12-29 08:15  csoutheren

	* configure, make/common.mak, make/ptbuildopts.mak.in: Fixed
	  problem with creating statically linked executables

2003-12-29 04:28  csoutheren

	* include/ptlib/msos/ptlib/sound_win32.h,
	  src/ptlib/msos/sound_win32.cxx: Allowed access to Windows sound
	  channel declaration, just in case it is required

2003-12-29 03:00  csoutheren

	* src/ptlib/msos/sound_win32.cxx: Moved some declarations to
	  sound_win32.h to allow access

2003-12-29 02:59  csoutheren

	* include/ptlib/msos/ptlib/sound_win32.h: Initial version

2003-12-28 16:10  dsandras

	* plugins/sound_alsa/: sound_alsa.cxx, sound_alsa.h: Updated to the
	  new PCM API.

2003-12-28 03:03  csoutheren

	* include/ptlib/sound.h: Fixed problem with
	  GetLastReadCount/GetLastWriteCount  on Windows sound devices

2003-12-19 05:29  csoutheren

	* include/ptlib/channel.h, include/ptlib/osutil.inl,
	  src/ptlib/common/pchannel.cxx: Changed GetLastReadCount and
	  GetLastWriteCount to be virtual

2003-12-19 01:34  csoutheren

	* include/ptlib/plugin.h: Ensured that older compilers do not get
	  confused about functions wth empty parameter lists. Thanks to
	  Kilian Krause

2003-12-19 00:34  csoutheren

	* plugins/configure: Updated for changes to configure.in

2003-12-19 00:17  csoutheren

	* configure: Fixed problems with dlopen detection and plugins
	  Autoconf is just *weird*

2003-12-18 12:16  dominance

	* plugins/sound_alsa/sound_alsa.cxx: Removed the ALSA Abort
	  completely upon Damien's request ;)

2003-12-18 11:38  dominance

	* plugins/sound_alsa/sound_alsa.cxx: Removed ALSA Abort as it
	  segfaults in various circumstances.  Fix proposed by Damien
	  Sandras <dsandras@seconix.com>.

2003-12-18 01:17  csoutheren

	* configure: More fixes for detection of dlopen

2003-12-18 00:49  csoutheren

	* configure: Rationalised checked for libdl

2003-12-17 16:40  dominance

	* plugins/: Makefile.in, configure.in, vidinput_dc/Makefile,
	  vidinput_dc/video4dc1394.cxx, vidinput_dc/videoio1394dc.h: Added
	  DC Plugin as provided by Julien Puydt <julien.puydt@laposte.net>.
	  Needs manual patching of plugins/configure for now though. (i.e.
	  disabled by default, run autoconf in plugins/)

2003-12-16 00:52  csoutheren

	* configure: Updated for the new configure.in

2003-12-16 00:49  csoutheren

	* plugins/configure: Initial version

2003-12-14 14:30  csoutheren

	* plugins/vidinput_avc/vidinput_avc.h: Added new function required
	  for recent video changes

2003-12-14 14:28  csoutheren

	* plugins/vidinput_v4l/vidinput_v4l.h: Added new function required
	  by recent videoio changes

2003-12-14 12:13  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: regular expression
	  class changes.

2003-12-14 11:28  rjongbloed

	* samples/vidtest/.cvsignore: Added ignorance

2003-12-14 11:21  rjongbloed

	* include/ptclib/asner.h, include/ptclib/asnper.h,
	  src/ptclib/asnper.cxx, src/ptlib/msos/Console Components.dsp:
	  Fixed bug in length incorrectlty decoded from ASN and
	  (apparently) rare circumstances. Thanks pangxg@hotmail.com.
	  Cleaned up return values to be BOOL rather than int for some
	  functions.

2003-12-14 11:01  rjongbloed

	* include/ptlib/videoio.h, src/ptlib/common/vfakeio.cxx,
	  src/ptlib/common/videoio.cxx, src/ptlib/msos/vfw.cxx,
	  samples/vidtest/main.cxx: Resolved issue with name space conflict
	  os static and virtual forms of GetDeviceNames() function.

2003-12-14 10:59  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Updated for QoS and
	  IPv6

2003-12-14 10:34  rjongbloed

	* pwlib.dsw: Added video test sample program

2003-12-14 02:12  csoutheren

	* src/ptlib/common/contain.cxx: Added return value to
	  PRegularExpression::operator = again (Doh!)

2003-12-14 00:08  csoutheren

	* include/ptlib/pstring.h, src/ptlib/common/contain.cxx: Changed
	  PRegularExpression to allow a copy constructor and operator =

2003-12-12 07:40  rogerhardiman

	* Makefile.in, configure: get plugins to install on FreeBSD

2003-12-12 06:11  rogerhardiman

	* include/ptclib/vsdl.h, src/ptclib/vsdl.cxx: Add SDL support on
	  FreeBSD. Header files live in SDL11 directory

2003-12-12 05:40  rogerhardiman

	* plugins/: Makefile.in, configure.in: Add support for
	  FreeBSD/NetBSD/openBSD video capture plugin

2003-12-12 05:38  rogerhardiman

	* plugins/vidinput_bsd/: Makefile, vidinput_bsd.cxx,
	  vidinput_bsd.h: Add plugin for the BSD Video Capture API (also
	  called the meteor API) for FreeBSD, NetBSD and OpenBSD

2003-12-10 04:28  csoutheren

	* include/ptlib/pstring.h: Removed compile time warning under Linux

2003-12-09 23:47  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Use less aggressive Abort.

2003-12-08 02:28  dereksmithies

	* samples/vidtest/main.cxx: Compiles now with new video plugins.

2003-12-07 22:03  dominance

	* plugins/vidinput_v4l/vidinput_v4l.cxx: bttv of 2.4.23 doesn't
	  seem to need anymore the hinting workaround.

2003-12-07 06:50  csoutheren

	* include/ptlib/pstring.h: Blocked operator = for
	  PRegularExpression

2003-12-04 14:12  csoutheren

	* src/ptlib/common/contain.cxx: Fixed error in PRegularExpression
	  that caused double delete when incorrect regular expression used

2003-12-04 14:10  csoutheren

	* include/ptlib/pstring.h: Made PRegularExpression copy constructor
	  private to avoid accidental usage (and subsequent crash)

2003-12-03 22:48  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Better handling of buffer
	  sizes. Removed unuseful code.

2003-12-03 04:50  csoutheren

	* src/ptclib/asnper.cxx: Reversed last change as it broke decoding
	  in some circumstances

2003-12-03 04:47  dereksmithies

	* include/ptlib/videoio.h: Add fix so video output devices compile
	  and run correctly.  Thanks to Craig Southeren.

2003-12-02 11:46  csoutheren

	* src/ptlib/unix/remconn.cxx: Added patch for Solaris, thanks to
	  Michal Zygmuntowicz

2003-12-02 11:44  csoutheren

	* ReadMe_QOS.txt: Oops - replaced wrong text with new text

2003-12-02 10:37  csoutheren

	* configure: Rationalised OpenSSL detection Fixed OpenSSL detection
	  and plugin enabling thanks to Michal Zygmuntowicz

2003-12-02 09:34  rogerhardiman

	* include/ptbuildopts.h.in: Tidy some comments

2003-11-30 23:42  csoutheren

	* src/ptclib/asnper.cxx: Improved stability of ASN decoder when
	  presented with random binary data. Thanks to developers at
	  call2ua.com

2003-11-25 23:55  dsandras

	* plugins/vidinput_v4l/vidinput_v4l.cxx: Added fallback using major
	  and minor numbers for detection of devices when /proc/video
	  doesn't exist (some 2.4 kernels and all 2.6 kernels).

2003-11-25 21:13  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Added #pragma.

2003-11-25 11:49  dsandras

	* plugins/vidinput_avc/vidinput_avc.h: Removed double declaration.

2003-11-25 10:58  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Removed Abort call from
	  PlaySound ().

2003-11-25 10:52  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Modified WaitForPlayCompletion
	  so that it uses snd_pcm_drain instead of active waiting.

2003-11-25 10:51  dsandras

	* Makefile.in: Fixed make install on Linux.

2003-11-25 09:28  rjongbloed

	* include/ptlib/: msos/ptlib.dtf, msos/ptlibd.dtf, pprocess.h:
	  Removed ability to have platform without threads, win16 finally
	  deprecated

2003-11-25 09:21  rjongbloed

	* configure.exe, tools/configure/configure.cpp: Fixed display of
	  configured items

2003-11-24 10:53  rogerhardiman

	* Makefile.in: Make the install target work on non-linux platforms.
	  (Tested on FreeBSD).

2003-11-24 09:25  csoutheren

	* plugins/vidinput_avc/: vidinput_avc.cxx, vidinput_avc.h: Patches
	  from Snark to fix compile problems

2003-11-23 23:17  dsandras

	* src/ptlib/common/: vconvert.cxx, videoio.cxx: Added YUV420P to
	  BGR24 and BGR32 conversion.

2003-11-23 23:11  dsandras

	* plugins/vidinput_avc/vidinput_avc.h: Added missing variable in
	  the .h.

2003-11-23 23:09  dsandras

	* plugins/sound_alsa/sound_alsa.cxx: Removed unuseful stuff and
	  added implementation for functions permitting to play a file or a
	  PSound.

2003-11-21 10:04  dsandras

	* plugins/vidinput_v4l/vidinput_v4l.h: Removed unneeded and
	  "deprecated" #include <vfakeio.h>

2003-11-19 10:29  csoutheren

	* include/ptlib/plugin.h, src/ptlib/common/vfakeio.cxx: Added super
	  hack to avoid problems with multiple plugins in a single file

2003-11-19 05:33  csoutheren

	* src/ptlib/msos/Console.dsp: Removed vfakeio.h

2003-11-19 05:32  csoutheren

	* include/ptlib/vfakeio.h: Removed as no longer needed

2003-11-19 05:28  csoutheren

	* include/ptlib/video.h, include/ptlib/videoio.h,
	  src/ptlib/common/vfakeio.cxx, src/ptlib/common/videoio.cxx:
	  Changed to support video output plugins

2003-11-19 03:12  csoutheren

	* src/ptlib/unix/video4linux.cxx: V4L is now handled by the
	  approproate plugin

2003-11-18 11:59  csoutheren

	* plugins/sound_oss/sound_oss.cxx: Removed ALSA compatibility hack
	  as ALSA users can use the ALSA plugin

2003-11-18 11:50  csoutheren

	* include/ptlib/sound.h, src/ptlib/msos/sound_win32.cxx: Changed
	  name of Windows sound device

2003-11-18 11:42  csoutheren

	* plugins/vidinput_v4l/: vidinput_v4l.cxx, vidinput_v4l.h: Changed
	  to work with new plugins

2003-11-18 11:41  csoutheren

	* src/ptlib/unix/Makefile: Fixed problem with linking in static
	  plugins

2003-11-18 11:40  csoutheren

	* src/ptlib/common/videoio.cxx: Added pragma implementation to fix
	  vtable link problems

2003-11-18 11:39  csoutheren

	* src/ptlib/common/pluginmgr.cxx: Changed PTRACE levels to give
	  better output at trace level 3

2003-11-18 11:39  csoutheren

	* include/ptlib/videoio.h: Fixed warnings regarding calling virtual
	  Close in destructors

2003-11-18 10:22  csoutheren

	* src/ptclib/http.cxx: Fixed problems with PURL::OpenBrowser,
	  thanks to David Parr

2003-11-18 10:16  csoutheren

	* src/ptclib/asnper.cxx: Removed rows and rows of trailing comments
	  from file

2003-11-18 07:46  csoutheren

	* include/ptlib/videoio.h, src/ptlib/common/videoio.cxx,
	  src/ptlib/msos/vfw.cxx: Changed to support video input plugins

2003-11-14 07:40  csoutheren

	* src/ptlib/unix/: esdaudio.cxx, oss.cxx: Moved to plugin directory

2003-11-14 07:16  csoutheren

	* plugins/vidinput_avc/: Makefile, vidinput_avc.cxx,
	  vidinput_avc.h: Initial version thanks to Damien and Snark

2003-11-14 07:15  csoutheren

	* plugins/vidinput_v4l/Makefile,
	  plugins/vidinput_v4l/vidinput_v4l.cxx,
	  plugins/vidinput_v4l/vidinput_v4l.h, make/plugins.mak: Initial
	  version thanks to Snark and Damien

2003-11-14 07:01  csoutheren

	* configure: Updated for new configure

2003-11-14 07:01  csoutheren

	* Makefile.in: Fixed HAS_PLUGIN define

2003-11-14 06:59  csoutheren

	* include/ptlib/sound.h: Added Read function, thanks to Derek
	  Smithies

2003-11-14 06:58  csoutheren

	* plugins/sound_oss/: Makefile, sound_oss.cxx, sound_oss.h: Removed
	  loopback code as this should be in a seperate plugin :)

2003-11-14 06:51  csoutheren

	* plugins/sound_esd/: sound_esd.cxx, Makefile, sound_esd.h: Initial
	  version

2003-11-14 06:32  csoutheren

	* src/ptlib/unix/Makefile: Removed video input device

2003-11-14 06:30  csoutheren

	* make/ptbuildopts.mak.in: Removed 1394 video stuff Fixed
	  HAS_PLUGINS define

2003-11-14 06:29  csoutheren

	* plugins/: Makefile.in, configure.in: Updated for new plugins
	  thanks to Snark and Damien

2003-11-14 06:28  csoutheren

	* plugins/sound_alsa/: Makefile, sound_alsa.cxx, sound_alsa.h:
	  Updated for new plugin code thanks to Damien and Snark

2003-11-14 04:26  csoutheren

	* configure: Changed default plugin directory thanks to Snark and
	  Damien Sandras

2003-11-13 22:42  csoutheren

	* src/ptlib/common/osutils.cxx: Fixed problem with thread name
	  display under Windows thanks to Ted Szoczei

2003-11-13 22:14  csoutheren

	* src/ptclib/telnet.cxx: Added fix for telnet NOP command thanks to
	  Andrei Koulik

2003-11-12 21:38  csoutheren

	* src/ptclib/vxml.cxx: Fixed problem with incorrect sense of
	  ContentLength header detection thanks to Andreas Sikkema

2003-11-12 11:24  csoutheren

	* include/ptlib/plugin.h, include/ptlib/pluginmgr.h,
	  include/ptlib/sound.h, src/ptlib/common/pluginmgr.cxx: Changes to
	  allow operation of static plugins under Windows

2003-11-12 09:55  csoutheren

	* src/ptlib/common/sound.cxx: Added newline at end of file to
	  remove gcc warning

2003-11-12 07:58  csoutheren

	* src/ptlib/common/pluginmgr.cxx: Added default plugin directory
	  for Windows

2003-11-12 07:58  csoutheren

	* include/ptlib/plugin.h: Changes to help in making static plugins
	  autoregister under Windows

2003-11-12 06:19  csoutheren

	* src/ptlib/msos/Console.dsp: Changed for new plugin code

2003-11-12 06:17  csoutheren

	* src/ptlib/common/sound.cxx, include/ptlib/sound.h: Added more
	  backwards compatibility functions for PSoundChannel

2003-11-12 06:16  csoutheren

	* src/ptlib/common/sockets.cxx: Fixed compiling problem on systems
	  without QoS or IPV6

2003-11-12 05:43  csoutheren

	* src/ptlib/msos/sound.cxx: Renamed to sound_win32.cxx to avoid
	  namespace conflict with common sound.cxx

2003-11-12 05:42  csoutheren

	* src/ptlib/common/sound.cxx: Removed non-specific code when
	  compiling for WIn32

2003-11-12 05:40  csoutheren

	* src/ptlib/msos/winsock.cxx: Fixed linking problem on systems
	  without QoS or IPV6

2003-11-12 05:39  csoutheren

	* src/ptlib/msos/sound_win32.cxx: Changed to work with new plugin
	  system

2003-11-12 05:33  csoutheren

	* include/ptlib/sound.h: Fixed problem with static linking of sound
	  plugins Fixed problem with Windows sound driver

2003-11-12 04:49  csoutheren

	* configure: Updated for plugin configure.in

2003-11-12 04:27  csoutheren

	* src/ptlib/common/pluginmgr.cxx, src/ptlib/common/sound.cxx,
	  include/ptbuildopts.h.in, include/ptlib/sound.h,
	  src/ptlib/unix/Makefile: Initial version of plugin code from
	  Snark of GnomeMeeting with changes	by Craig Southeren of Post
	  Increment

2003-11-12 04:26  csoutheren

	* include/ptlib/: plugin.h, pluginmgr.h: Initial version of plugin
	  code from Snark of GnomeMeeting with changes	  by Craig
	  Southeren os Post Increment

2003-11-12 04:24  csoutheren

	* plugins/: Makefile.in, ReadMe.txt, configure.in,
	  sound_alsa/Makefile, sound_alsa/sound_alsa.cxx,
	  sound_alsa/sound_alsa.h, sound_oss/Makefile,
	  sound_oss/sound_oss.cxx, sound_oss/sound_oss.h: Imported plugin
	  code from crs_pwlib_plugin branch and combined with	new plugin
	  code from Snark of GnomeMeeting

2003-11-12 04:07  csoutheren

	* version.h: Incremented build number after tagging to v1_5_4.

2003-11-10 21:52  dereksmithies

	* src/ptlib/msos/win32.cxx: add fix from Diego Tartara to recognize
	  win XP and 2003 Server. Many thanks.

2003-11-10 01:21  dereksmithies

	* src/ptlib/msos/winsock.cxx: Stop compiler warnings (unused formal
	  parameters) when P_HAS_QOS is on

2003-11-08 02:43  rjongbloed

	* src/ptlib/msos/win32.cxx: Fixed race condition that could start
	  two housekeeping threads, thanks Ted Szoczei

2003-11-08 02:42  rjongbloed

	* src/ptlib/common/osutils.cxx: Added thread names to DevStudio
	  display, thanks Ted Szoczei

2003-11-06 10:13  rjongbloed

	* configure.exe, include/ptbuildopts.h.in, src/ptclib/vsdl.cxx,
	  tools/configure/configure.cpp: Improved the Windows configure
	  system to allow multiple defines based on file existence. Needed
	  for SDL support of two different distros.

2003-11-05 23:51  csoutheren

	* src/ptlib/msos/ethsock.cxx: Added pragma to automatically
	  included required libs

2003-11-05 06:56  csoutheren

	* src/ptlib/msos/: win32.cxx, sound.cxx, vfw.cxx: Added #pragma to
	  include required libs

2003-11-04 04:21  dereksmithies

	* samples/vidtest/: main.cxx, vidtest.dsp: Fix compile on windows
	  OS.

2003-11-02 21:10  shawn

	* samples/stunclient/Makefile: added a simple Makefile for
	  stunclient

2003-11-02 21:04  shawn

	* src/ptlib/unix/maccoreaudio.cxx: more AudioConverterRef type
	  conversion stuff for Panther

2003-11-02 17:00  shawn

	* make/unix.mak: Panther requires -lresolv

2003-11-02 16:57  shawn

	* make/common.mak: remove -static for Mac OS X

2003-11-02 16:55  shawn

	* src/ptlib/unix/maccoreaudio.cxx: use static_cast<>, especially
	  Mac OS X 10.3 (Panther)

2003-11-02 16:52  shawn

	* src/ptclib/pdns.cxx: added arpa/nameser_compat.h for Mac OS X
	  10.3 (Panther)

2003-10-30 12:33  rjongbloed

	* src/ptlib/msos/winsock.cxx: Added automatic inclusion of Winsock2
	  library.

2003-10-30 12:32  rjongbloed

	* src/ptlib/common/sockets.cxx: Added bullet proofing for
	  converting from inaddr

2003-10-30 12:28  rjongbloed

	* src/ptclib/ptts.cxx: Added dircetory name for Speech API under
	  Windows.

2003-10-30 12:27  rjongbloed

	* tools/MergeSym/MergeSym.cxx: Fixed ability to specify partial
	  path for -x parameter.

2003-10-30 12:26  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Added IPv6 and QoS

2003-10-30 12:23  rjongbloed

	* include/ptbuildopts.h.in: Added direcetory name for Speech API
	  under Windows.  Added automatic inclusion of Winsock2 library.

2003-10-30 02:17  dereksmithies

	* tools/configure/configure.cpp: Add fix from Jose Luis Urien. Many
	  thanks.

2003-10-29 00:36  csoutheren

	* src/ptlib/msos/winsock.cxx: Changed to use ws2_32.lib or
	  wsock32.lib depending on use of QoS

2003-10-28 22:34  dereksmithies

	* plugins/sound_alsa/sound_alsa.cxx: Remove use of os_handle
	  variable. Thanks Damien Sandras.

2003-10-28 03:55  dereksmithies

	* plugins/sound_alsa/: Makefile, sound_alsa.cxx, sound_alsa.h:
	  Initial release of alsa code. Thanks to Damien Sandras

2003-10-28 03:45  dereksmithies

	* include/ptlib/devplugin.h: Fix warning about space between slash
	  and newline.

2003-10-27 23:12  dereksmithies

	* samples/ThreadSafe/: main.cxx, main.h: Add more good changes to
	  get Compare method work. Thanks to Gene Small

2003-10-27 10:48  csoutheren

	* src/ptlib/common/sockets.cxx: Changed use of P_HAS_QOS to ensure
	  that setsockopt is still used for diffserv if available. Thanks
	  to Henry Harrison

2003-10-27 09:38  csoutheren

	* src/ptlib/msos/PTLib.dsp: Changed to use ws2_32.lib or
	  wsock32.lib depending on use of QoS

2003-10-27 09:01  csoutheren

	* src/ptlib/msos/winsock.cxx: Removed use of GetAddressByName when
	  using Winsock2

2003-10-27 07:17  csoutheren

	* src/ptlib/msos/Console.dsp: Added qos.cxx

2003-10-27 05:10  csoutheren

	* ReadMe_QOS.txt: Initial version thanks to Henry Harrison of
	  AliceStreet

2003-10-27 05:06  csoutheren

	* configure: Added QoS config

2003-10-27 05:06  csoutheren

	* include/ptlib/udpsock.h, src/ptlib/common/qos.cxx,
	  src/ptlib/unix/Makefile, src/ptlib/unix/socket.cxx: Added code to
	  allow compilation of new QoS code on Unix

2003-10-27 04:51  csoutheren

	* include/ptlib/qos.h: Added ifdef to disable QoS code on systems
	  that do not support it

2003-10-27 04:46  csoutheren

	* src/ptlib/common/sockets.cxx: Added ifdef to disable QoS code on
	  systems that do not support it

2003-10-27 04:42  csoutheren

	* include/ptbuildopts.h.in: Added support for QoS detection

2003-10-27 04:29  csoutheren

	* src/ptlib/msos/: win32.cxx, winsock.cxx: Added support for QoS
	  Thanks to Henry Harrison of AliceStreet

2003-10-27 04:22  csoutheren

	* include/ptlib/udpsock.h, src/ptlib/common/sockets.cxx: Added
	  handling for QoS   Thanks to Henry Harrison of AliceStreet

2003-10-27 04:21  csoutheren

	* include/ptlib/unix/ptlib/contain.h: Added UINT type needed for
	  QoS

2003-10-27 04:20  csoutheren

	* include/ptlib/qos.h, src/ptlib/common/qos.cxx: Initial version of
	  QoS implementation   Thanks to Henry Harrison of AliceStreet

2003-10-23 23:49  dereksmithies

	* tools/configure/configure.cpp: Add very sensible fix to limit
	  extent of search. Thanks Ben Lear.

2003-10-23 22:43  dereksmithies

	* include/ptbuildopts.h.in: Add fix for SDL video on Visual C.
	  Thanks to Walter Whitlock.

2003-10-21 01:13  csoutheren

	* include/ptbuildopts.h.in: Restored after deletion by Damien

2003-10-21 00:15  dsandras

	* include/ptbuildopts.h.in:
	  Added ptbuildopts.h.in.in to fix the generation of ptbuildopts.h
	  so that all variables are correctly substituted.

2003-10-20 05:43  dereksmithies

	* Makefile.in: Remove surplus line.

2003-10-20 05:29  dereksmithies

	* src/ptlib/common/pluginmgr.cxx: Add some seriously defensive
	  programming tests.

2003-10-20 05:25  dereksmithies

	* include/ptlib/: devplugin.h, pluginmgr.h: Fix GetFunction method
	  so it is guaranteed to generate good results.

2003-10-14 03:59  dereksmithies

	* plugins/Makefile.in: Builds libraries that compile and run with
	  either opt/debug versions of pwlib.

2003-10-14 01:38  dereksmithies

	* samples/ThreadSafe/: main.cxx, main.h: Add debugging statements,
	  usage(), Fixed Compare method. Thanks Gene Small.

2003-10-13 22:51  dereksmithies

	* plugins/ReadMe.txt: Add description file. Thanks to Craig
	  Southeren.

2003-10-13 04:50  dereksmithies

	* plugins/sound_oss/sound_oss.h: Formatting.

2003-10-13 04:47  dereksmithies

	* plugins/configure.in: Add additional output line.

2003-10-13 04:44  dereksmithies

	* src/ptclib/pstun.cxx: Fix comparison of signed and unsigned
	  variable warning.

2003-10-13 04:42  dereksmithies

	* include/ptlib/sound.h: Add additional functions, so plugins work
	  better.

2003-10-10 01:51  dereksmithies

	* plugins/sound_oss/Makefile: Put shared lib flag on. Thanks to
	  Craig Southeren.

2003-10-09 03:04  dereksmithies

	* src/ptlib/unix/video4linux.cxx: Format changes. Extra PTRACE
	  statement for SetColourFormatConverter.  Thanks to Craig
	  Southeren.

2003-10-09 00:00  dereksmithies

	* src/ptclib/pstun.cxx: Fix unsigned/signed warning message. Thanks
	  to Craig Southeren.

2003-10-08 23:58  dereksmithies

	* src/ptclib/psoap.cxx: Add client authentication support. many
	  thanks to Ben Lear.

2003-10-08 23:39  dereksmithies

	* include/ptlib/thread.h: Add a #define to cope with backward
	  compatability issues for PThreadIdentifier Thanks to Andrey S
	  Pankov and Craig Southeren for their input.

2003-10-08 06:05  dereksmithies

	* plugins/sound_oss/Makefile: Add additional lines to describe
	  internal variables.

2003-10-07 05:02  csoutheren

	* include/ptlib/sound.h: Initial checkin of pwlib code to do
	  plugins.  Modified from original code and concept provided by
	  Snark of Gnomemeeting

2003-10-07 04:50  csoutheren

	* include/ptbuildopts.h.in: Initial checkin of pwlib code to do
	  plugins.  Modified from original code and concept provided by
	  Snark of Gnomemeeting

2003-10-07 03:36  csoutheren

	* plugins/sound_oss/: Makefile, sound_oss.cxx, sound_oss.h: nitial
	  checkin of pwlib code to do plugins.	Modified from original code
	  and concept provided by Snark of Gnomemeeting

2003-10-07 03:33  csoutheren

	* Makefile.in, include/ptlib/devplugin.h, include/ptlib/dynalink.h,
	  include/ptlib/plugin.h, include/ptlib/pluginmgr.h, make/lib.mak,
	  make/ptbuildopts.mak.in, src/ptlib/common/pluginmgr.cxx,
	  src/ptlib/common/sound.cxx, src/ptlib/unix/Makefile,
	  plugins/configure.in, plugins/Makefile.in: Initial checkin of
	  pwlib code to do plugins.  Modified from original code and
	  concept provided by Snark of Gnomemeeting

2003-10-06 04:30  dereksmithies

	* src/ptlib/unix/Makefile: Remove Stun.cxx as it is not in the
	  repositary.

2003-10-05 03:06  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: [no log message]

2003-10-05 02:56  rjongbloed

	* include/ptclib/pstun.h, src/ptclib/pstun.cxx,
	  src/ptclib/stun.cxx, src/ptclib/stun.h, src/ptlib/msos/Console
	  Components.dsp: Rewrite of STUN to not to use imported code with
	  undesirable license.

2003-10-03 02:36  dereksmithies

	* make/common.mak: Fix generation of dependencies. Thanks to
	  Vyacheslav Frolov

2003-10-03 02:31  dereksmithies

	* src/ptclib/pstun.cxx: Fix previouv fix - so IPV6 address is
	  correctly copied.

2003-10-03 02:30  dereksmithies

	* src/ptclib/stun.h: There are 16 (not 8) bytes in a IPV6 address.

2003-10-03 02:06  dereksmithies

	* src/ptclib/pstun.cxx: Fix typo on IPV6 test. A big thanks to
	  Andrey S Pankov

2003-09-26 15:49  rjongbloed

	* tools/MergeSym/MergeSym.dsp: Fixed build projects for new include
	  file system, must not have include/msos/ptlib in directory search
	  path.

2003-09-26 15:46  rjongbloed

	* src/ptlib/msos/ptlib.cxx: Fixed problem in Win32 NTFS security
	  support, crashes if file has no security at all.

2003-09-26 15:42  rjongbloed

	* samples/ldaptest/: ldaptest.dsp, main.cxx: Added special test to
	  give more indicative error if try to compile without LDAP
	  support.

2003-09-26 15:42  rjongbloed

	* samples/dnstest/main.cxx: Added special test to give more
	  indicative error if try to compile without DNS support.

2003-09-26 15:41  rjongbloed

	* samples/: vxmltest/main.cxx, xmlrpc/main.cxx,
	  xmlrpcsrvr/main.cxx: Added special test to give more indicative
	  error if try to compile without Expat support.

2003-09-26 11:58  rogerhardiman

	* include/ptlib/: file.h, unix/ptlib/file.h: Move #include
	  <sys/stat.h> from the unix file.h to the main file.h FreeBSD's
	  sys/stat.h includes extern "C" for some prototypes and you cannot
	  have an extern "C" in the middle of a C++ class

2003-09-25 00:13  dereksmithies

	* src/ptlib/common/collect.cxx: Add fix for deleting an object,
	  then readding it. Thanks Fabrizio Ammollo

2003-09-24 13:26  dsandras

	* src/ptlib/unix/video4linux.cxx: Initialize frameHeight and
	  frameWidth to the minimum between QCIF and the max reported
	  capabilities to ensure that several sizes are tried. Removed now
	  unneeded HINT for Logitech Quickcam Pro cameras.

2003-09-22 05:25  dereksmithies

	* src/ptlib/unix/video4linux.cxx: Add patch from Chris Rankin for
	  Logitech QuickCam cameras. Thanks!!

2003-09-19 01:52  dereksmithies

	* src/ptlib/unix/tlib.cxx: Fix checks on NULL pointers. Many thanks
	  to Chris Rankin.

2003-09-19 01:02  csoutheren

	* make/unix.mak: Removed definition of PMEMORY_CHECK

2003-09-17 11:04  csoutheren

	* include/ptlib/int64.h: Moved int64 routines to a seperate file

2003-09-17 11:02  csoutheren

	* src/: ptclib/httpsvc.cxx, ptlib/common/contain.cxx,
	  ptlib/common/object.cxx, ptlib/common/osutils.cxx,
	  ptlib/msos/svcproc.cxx, ptlib/unix/svcproc.cxx,
	  ptlib/unix/tlibthrd.cxx: Removed memory leak detection code

2003-09-17 11:00  csoutheren

	* include/: ptbuildopts.h.in, ptlib/object.h, ptlib/timer.h: Moved
	  PSmartPointer and PNotifier into seperate files Added detection
	  for system regex libraries on all platforms

2003-09-17 10:57  csoutheren

	* include/ptlib/notifier.h, include/ptlib/smartptr.h, configure,
	  make/ptbuildopts.mak.in, src/ptlib/unix/Makefile: Moved
	  PSmartPointer and PNotifier into seperate files Added detection
	  for system regex libraries on all platforms

2003-09-17 08:02  csoutheren

	* tools/MergeSym/MergeSym.dsp: Removed recursive includes

2003-09-17 08:02  csoutheren

	* src/ptclib/ptts.cxx: Fixed windows header file problem caused by
	  removing recursive headers

2003-09-17 07:55  csoutheren

	* src/ptlib/common/object.cxx: Removed recursive includes

2003-09-17 07:43  csoutheren

	* include/ptclib/ftp.h, src/ptlib/msos/Console Components.dsp,
	  src/ptlib/msos/Console.dsp, src/ptlib/msos/ethsock.cxx,
	  src/ptlib/msos/ptlib.cxx, src/ptlib/msos/sound.cxx,
	  src/ptlib/msos/svcproc.cxx, src/ptlib/msos/win32.cxx,
	  src/ptlib/msos/winsock.cxx, src/ptlib/msos/PTLib.dsp: Removed
	  recursive includes

2003-09-17 07:40  csoutheren

	* include/: ptlib.h, ptlib/channel.h, ptlib/conchan.h,
	  ptlib/config.h, ptlib/contain.h, ptlib/dynalink.h,
	  ptlib/ethsock.h, ptlib/file.h, ptlib/filepath.h,
	  ptlib/icmpsock.h, ptlib/ipdsock.h, ptlib/ipsock.h,
	  ptlib/ipxsock.h, ptlib/mail.h, ptlib/mutex.h, ptlib/object.h,
	  ptlib/pdirect.h, ptlib/pipechan.h, ptlib/pprocess.h,
	  ptlib/ptime.h, ptlib/remconn.h, ptlib/semaphor.h,
	  ptlib/serchan.h, ptlib/sfile.h, ptlib/socket.h, ptlib/sound.h,
	  ptlib/spxsock.h, ptlib/svcproc.h, ptlib/syncpoint.h,
	  ptlib/tcpsock.h, ptlib/textfile.h, ptlib/thread.h,
	  ptlib/timeint.h, ptlib/timer.h, ptlib/udpsock.h, ptlib/video.h,
	  ptlib/videoio.h, ptlib/msos/ptlib.dtf, ptlib/msos/ptlibd.dtf,
	  ptlib/msos/ptlib/channel.h, ptlib/msos/ptlib/conchan.h,
	  ptlib/msos/ptlib/config.h, ptlib/msos/ptlib/contain.h,
	  ptlib/msos/ptlib/dynalink.h, ptlib/msos/ptlib/ethsock.h,
	  ptlib/msos/ptlib/file.h, ptlib/msos/ptlib/filepath.h,
	  ptlib/msos/ptlib/icmpsock.h, ptlib/msos/ptlib/ipdsock.h,
	  ptlib/msos/ptlib/ipsock.h, ptlib/msos/ptlib/ipxsock.h,
	  ptlib/msos/ptlib/mail.h, ptlib/msos/ptlib/mutex.h,
	  ptlib/msos/ptlib/pdirect.h, ptlib/msos/ptlib/pipechan.h,
	  ptlib/msos/ptlib/pprocess.h, ptlib/msos/ptlib/ptime.h,
	  ptlib/msos/ptlib/ptlib.inl, ptlib/msos/ptlib/remconn.h,
	  ptlib/msos/ptlib/semaphor.h, ptlib/msos/ptlib/serchan.h,
	  ptlib/msos/ptlib/sfile.h, ptlib/msos/ptlib/socket.h,
	  ptlib/msos/ptlib/sound.h, ptlib/msos/ptlib/spxsock.h,
	  ptlib/msos/ptlib/svcproc.h, ptlib/msos/ptlib/syncpoint.h,
	  ptlib/msos/ptlib/tcpsock.h, ptlib/msos/ptlib/textfile.h,
	  ptlib/msos/ptlib/thread.h, ptlib/msos/ptlib/timeint.h,
	  ptlib/msos/ptlib/timer.h, ptlib/msos/ptlib/udpsock.h,
	  ptlib/msos/ptlib/video.h, ptlib/msos/ptlib/videoio.h: Removed
	  recursive includes

2003-09-17 03:18  csoutheren

	* include/ptlib.h, include/ptlib/args.h, include/ptlib/channel.h,
	  include/ptlib/conchan.h, include/ptlib/config.h,
	  include/ptlib/contain.h, include/ptlib/dict.h,
	  include/ptlib/dynalink.h, include/ptlib/ethsock.h,
	  include/ptlib/file.h, include/ptlib/filepath.h,
	  include/ptlib/icmpsock.h, include/ptlib/ipdsock.h,
	  include/ptlib/ipsock.h, include/ptlib/ipxsock.h,
	  include/ptlib/mail.h, include/ptlib/mutex.h,
	  include/ptlib/object.h, include/ptlib/osutil.inl,
	  include/ptlib/pdirect.h, include/ptlib/pipechan.h,
	  include/ptlib/pprocess.h, include/ptlib/ptime.h,
	  include/ptlib/remconn.h, include/ptlib/semaphor.h,
	  include/ptlib/serchan.h, include/ptlib/sfile.h,
	  include/ptlib/socket.h, include/ptlib/sound.h,
	  include/ptlib/spxsock.h, include/ptlib/svcproc.h,
	  include/ptlib/syncpoint.h, include/ptlib/tcpsock.h,
	  include/ptlib/textfile.h, include/ptlib/thread.h,
	  include/ptlib/timeint.h, include/ptlib/timer.h,
	  include/ptlib/udpsock.h, include/ptlib/video.h,
	  include/ptlib/videoio.h, include/ptlib/msos/ptlib/thread.h,
	  include/ptlib/unix/ptlib/channel.h,
	  include/ptlib/unix/ptlib/conchan.h,
	  include/ptlib/unix/ptlib/config.h,
	  include/ptlib/unix/ptlib/contain.h,
	  include/ptlib/unix/ptlib/dynalink.h,
	  include/ptlib/unix/ptlib/ethsock.h,
	  include/ptlib/unix/ptlib/file.h,
	  include/ptlib/unix/ptlib/filepath.h,
	  include/ptlib/unix/ptlib/icmpsock.h,
	  include/ptlib/unix/ptlib/ipdsock.h,
	  include/ptlib/unix/ptlib/ipsock.h,
	  include/ptlib/unix/ptlib/mutex.h,
	  include/ptlib/unix/ptlib/pdirect.h,
	  include/ptlib/unix/ptlib/pipechan.h,
	  include/ptlib/unix/ptlib/pmachdep.h,
	  include/ptlib/unix/ptlib/pprocess.h,
	  include/ptlib/unix/ptlib/ptime.h,
	  include/ptlib/unix/ptlib/ptlib.inl,
	  include/ptlib/unix/ptlib/remconn.h,
	  include/ptlib/unix/ptlib/semaphor.h,
	  include/ptlib/unix/ptlib/serchan.h,
	  include/ptlib/unix/ptlib/sfile.h,
	  include/ptlib/unix/ptlib/socket.h,
	  include/ptlib/unix/ptlib/sound.h,
	  include/ptlib/unix/ptlib/svcproc.h,
	  include/ptlib/unix/ptlib/syncpoint.h,
	  include/ptlib/unix/ptlib/tcpsock.h,
	  include/ptlib/unix/ptlib/textfile.h,
	  include/ptlib/unix/ptlib/thread.h,
	  include/ptlib/unix/ptlib/timeint.h,
	  include/ptlib/unix/ptlib/timer.h,
	  include/ptlib/unix/ptlib/udpsock.h,
	  include/ptlib/unix/ptlib/video.h,
	  include/ptlib/unix/ptlib/videoio.h,
	  include/ptlib/unix/ptlib/videoio1394avc.h, make/unix.mak,
	  src/ptlib/common/osutils.cxx, src/ptlib/unix/osutil.cxx,
	  src/ptlib/unix/tlib.cxx: Removed recursive include file system
	  and removed all references to deprecated coooperative threading
	  support

2003-09-11 02:52  dereksmithies

	* src/ptlib/unix/udll.cxx: Full dependancy check on dynamically
	  loading a library.  Thanks to Snark on #gnomemeeting for pointing
	  this out...

2003-09-10 08:05  rjongbloed

	* src/ptclib/asnper.cxx: Fixed extendable integers PER encoding,
	  thanks Greg Adams

2003-09-09 00:13  dereksmithies

	* make/lib.mak: Fix patch implementation. Thanks to  Zygmuntowicz
	  Michal <m.zygmuntowicz@onet.pl>

2003-09-09 00:07  dereksmithies

	* make/lib.mak: Add patch from Zygmuntowicz Michal
	  <m.zygmuntowicz@onet.pl> for Solaris.  Many thanks!!!

2003-09-08 23:11  dereksmithies

	* make/unix.mak: Remove hardcoded path from make file. Thanks
	  Damien Sandras.

2003-09-08 03:42  dereksmithies

	* src/ptclib/socks.cxx: Add patch from Diego Tartara
	  <dtartara@mens2.hq.novamens.com>. Many Thanks!

2003-09-01 11:37  dsandras

	* Makefile.in: Fixed DESTDIR support thanks to Stefan Brüns
	  <lurchi@kawo1.rwth-aachen.de>.

2003-09-01 00:11  dereksmithies

	* include/ptlib/lists.h, src/ptlib/common/collect.cxx: Fix from
	  Diego Tartara for the SetAt function. Many thanks.

2003-08-28 05:44  dereksmithies

	* version.h: Incremented build number after tagging to v1_5_3.

2003-08-27 11:46  dsandras

	* Makefile.in: Readded DESTDIR support (thanks to Stefan Bruens
	  <lurch@gmx.li>)

2003-08-27 05:37  dereksmithies

	* src/ptclib/http.cxx: Fix initialization of pathStr so it really
	  is empty. BIG thanks to Diego Tartara.

2003-08-19 03:26  dereksmithies

	* version.h: Incremented build number after tagging to v1_5_2.

2003-08-19 01:32  rjongbloed

	* include/ptclib/asner.h: Micro optimisation suggested by Chih-Wei
	  Huang

2003-08-14 04:07  dereksmithies

	* src/ptlib/common/ptime.cxx: Fix bug in AsString handling. Thanks
	  Diego Tartara for pointing it out.

2003-08-13 00:04  dereksmithies

	* src/ptlib/common/vfakeio.cxx: Add fix from Philippe Massicotte to
	  fix segfaults on large images. Thanks!

2003-08-05 02:25  dereksmithies

	* configure.exe: Reinforce the disablement when command line
	  specifies --no-XXX to a feature

2003-08-04 07:13  dereksmithies

	* tools/configure/configure.cpp: Reinforce the disablement if the
	  command lines specifies --no-XXXX to a feature.

2003-08-04 07:07  dereksmithies

	* tools/configure/configure.cpp: Command line option now disables
	  feature when feature found on disk.

2003-08-01 18:00  csoutheren

	* include/ptclib/asner.h: Changed #if to #ifdef to (maybe) avoid
	  compiler problems with gcc 2.95.2

2003-08-01 17:58  csoutheren

	* include/ptclib/asnper.h: Added missing end of line at end of file

2003-08-01 04:11  csoutheren

	* src/ptclib/asnber.cxx, src/ptclib/asner.cxx,
	  src/ptclib/asnper.cxx, src/ptclib/asnxer.cxx,
	  include/ptclib/asnber.h, include/ptclib/asner.h,
	  include/ptclib/asnper.h, include/ptclib/asnxer.h: Changed to
	  allow easy isolation of PER, BER and XER encoding/decoding
	  routines

2003-07-30 06:12  csoutheren

	* src/ptclib/: stun.cxx, stun.h: Fixed compile warning and compile
	  error under GCC

2003-07-30 01:06  csoutheren

	* src/ptclib/stun.h: Win32 does not use <iostream>. Oh well

2003-07-29 14:33  csoutheren

	* make/lib.mak: Changed to ensure dynamic libraries using pwlib
	  always dynamically link pwlib

2003-07-29 13:27  csoutheren

	* src/ptclib/pwavfile.cxx: Changed to use autoconf detected swab
	  function

2003-07-29 13:26  csoutheren

	* src/ptclib/stun.h: Removed compiler warnings under gcc 3.x

2003-07-29 13:25  csoutheren

	* include/ptbuildopts.h.in, make/common.mak: Added support for
	  system swab function

2003-07-29 13:23  csoutheren

	* configure: Added check for swab function

2003-07-29 13:22  csoutheren

	* Makefile.in: Removed trailing slash from vars.

2003-07-28 20:49  anoncvs_net-mud

	* configure: Fix up res_search checker. You really have to include
	  <resolv.h> to get res_search, since its a macro. On i386 its also
	  a weak elf symbol, but that is not true for e.g. amd64 which
	  doesn't have that backwards compatibility requirement. Also
	  correctly detect ppc64 and set P_64BIT.  Thanks to Alexander
	  Larsson <alexl@redhat.com>.

2003-07-28 20:44  dsandras

	* src/ptlib/: common/contain.cxx, unix/Makefile: Make use of the
	  libc regex on Linux.

2003-07-28 20:39  dsandras

	* src/ptclib/pwavfile.cxx: Linux has a swab function. Patch from
	  Alexander Larsson <alexl@redhat.com>.

2003-07-28 20:27  dsandras

	* make/ptlib-config.in: Make PWLIBDIR in ptlib-config be
	  $prefix/share/pwlib. Thanks to Alexander Larsson
	  <alexl@redhat.com>.

2003-07-28 20:13  dsandras

	* Makefile.in, configure: Added patch from Alexander Larsson
	  <alexl@redhat.com> to add --libdir support to configure.

2003-07-28 16:52  dsandras

	* configure:
	  Committing regenerated configure script.

2003-07-28 16:09  dsandras

	* Makefile.in:
	  Make sure permissions are correct on include/ptlib/unix/ptlib.

2003-07-28 11:31  dsandras

	* src/ptlib/unix/video4linux.cxx:
	  Fixed palette problem with recent versions of the bttv driver.

2003-07-28 11:08  dsandras

	* Makefile.in:
	  Fixed same kind of things for "make uninstall".

2003-07-28 11:05  dsandras

	* Makefile.in:
	  Make sure that things are installed in $(DESTDIR)$(PREFIX) and
	  not only $(DESTDIR). Use the style used in all distributions for
	  headers of $(DESTIR)$(PREFIX).

2003-07-25 00:01  dereksmithies

	* Makefile.in, make/common.mak, make/ptbuildopts.mak.in,
	  make/ptlib-config.in, make/unix.mak,
	  src/ptlib/common/osutils.cxx: Add fixes from Peter Nixon  for
	  fixing install problems. Thanks.

2003-07-23 01:52  dereksmithies

	* include/ptclib/pdns.h: Fix from Fabrizio Ammollo to cope with
	  when P_DNS is disabled. Thanks!

2003-07-23 00:55  dereksmithies

	* src/ptclib/vsdl.cxx: Add memory allocation feature.

2003-07-22 05:26  csoutheren

	* src/ptclib/http.cxx: Fixed problem with parsing default H323
	  addresses

2003-07-15 14:12  csoutheren

	* src/ptclib/pldap.cxx: Added support for multiple values in a
	  single attribute string    Thanks to Ravelli Rossano

2003-07-15 13:17  csoutheren

	* include/ptclib/httpsvc.h: Added additional constructor for
	  PServiceHTTPString,	Thanks to Federico Pinna

2003-07-12 02:10  csoutheren

	* src/ptclib/pldap.cxx: Fixed problem where Modify routines were
	  calling Add, thanks to Ravelli Rossano

2003-07-09 13:37  rjongbloed

	* src/ptlib/unix/udll.cxx: Fixed corrct closing of DLL (setting
	  handle to NULL) thanks Fabrizio Ammollo

2003-07-03 06:14  rjongbloed

	* configure: Changed test for SDL library to check for overlay
	  support.

2003-06-29 05:48  ykiryanov

	* include/ptlib/msos/ptlib/ptime.h: Added include
	  <ptlib/wince/time.h>

2003-06-29 03:40  ykiryanov

	* src/ptlib/: wince/ConsoleCE/time.cpp, msos/ptlib.cxx: Added
	  include <ptlib/wince/time.h> as in PPC2003 we have also another
	  time.h now

2003-06-27 12:01  rjongbloed

	* src/ptclib/stun.cxx: Fixed errno problem introduced by WinCE port

2003-06-27 00:49  ykiryanov

	* src/ptlib/wince/ConsoleCE/time.cpp: Minor fix to include time.h
	  from eVC 4.0

2003-06-27 00:47  ykiryanov

	* src/ptlib/wince/ConsoleCE/stdlibx.cpp: Implemented abort and
	  perror for h.263 port

2003-06-27 00:46  ykiryanov

	* src/ptlib/wince/ConsoleCE/mmsystemx.cxx: Minor cast error fixed

2003-06-27 00:42  ykiryanov

	* include/ptlib/wince/time.h: Some changes to adopt fact we have
	  now time.h in eVC 4.0 too.

2003-06-27 00:40  ykiryanov

	* include/ptlib/wince/stdlibx.h: Changed calls to abort() and
	  perror() due to h.263 port

2003-06-27 00:39  ykiryanov

	* include/ptlib/wince/mmsystemx.h: Began eVC 4.0 port for PocketPC
	  2003

2003-06-26 14:44  rjongbloed

	* configure: Made failure to detect pthreads a fatal error.  Fixed
	  -ffunction-sections detcetion so also checks for
	  -Wl,--gc-sections

2003-06-23 23:00  ykiryanov

	* src/ptlib/wince/ConsoleCE/: ceostream.cpp, ostream.cpp: Added
	  clog in addition to cerr and cout to facilitate stun.cxx code

2003-06-23 21:35  ykiryanov

	* pwlibce.vcp: Moved getdate_tab.cpp to wince folder to prevent
	  confusion with Win32 version

2003-06-23 18:32  ykiryanov

	* src/ptlib/wince/ConsoleCE/getdate_tab.cpp: Added this file to
	  WinCE pwlib project only to replace getdate_tab.c in Windows
	  project

2003-06-23 18:31  ykiryanov

	* src/ptlib/msos/ptlib.cxx: Excluded PFile::SetPermissions function
	  from WinCE build

2003-06-23 18:23  ykiryanov

	* src/ptclib/udp.cxx: Modified include list to accomodate WinCE

2003-06-23 17:31  ykiryanov

	* src/ptclib/http.cxx: Slightly changed call to ShellExecuteEx to
	  make compatible with Win32

2003-06-23 17:20  ykiryanov

	* src/ptclib/stun.cxx: Changed order of includes to prevent warning
	  on WinCE

2003-06-23 17:17  ykiryanov

	* include/ptbuildopts.h.in: Modified for WinCE compatibility -
	  Undef'd P_HAS_IPV6 in case of WinCE build

2003-06-23 16:46  ykiryanov

	* src/ptclib/udp.h: Modified for WinCE compatibility

2003-06-23 16:38  ykiryanov

	* src/ptclib/stun.cxx: Modified for WinCE compatibility

2003-06-23 16:31  ykiryanov

	* src/ptclib/http.cxx: Modified for WinCE - used ShellExecuteEx
	  instead of ShellExecute

2003-06-23 08:44  csoutheren

	* make/lib.mak: Added minor revision into the soname for the
	  libraries as requested by Damien Sandras

2003-06-23 06:40  ykiryanov

	* include/ptlib/wince/ostream.h: Added clog to support new code in
	  pwlib

2003-06-23 06:16  ykiryanov

	* pwlibce.vcp: Synchronized with latest code

2003-06-23 05:01  shawn

	* configure: -Wl,--gc-sections is not supported by Darwin's ld

2003-06-21 07:24  rjongbloed

	* version.h: Incremented build number after tagging to v1_5_1.

2003-06-18 15:19  csoutheren

	* make/unix.mak: Default debug builds now shared

2003-06-18 08:01  csoutheren

	* configure: Moved SSL check to after OPenLDAP to fix problems with
	  static links

2003-06-17 14:03  csoutheren

	* configure, make/common.mak, make/ptbuildopts.mak.in,
	  make/unix.mak: Changed compiler flags for optimised build

2003-06-14 05:28  rjongbloed

	* include/ptlib/vfakeio.h, include/ptlib/msos/ptlib.dtf,
	  include/ptlib/msos/ptlibd.dtf, src/ptlib/common/vfakeio.cxx:
	  Further MSVC warning fix up

2003-06-14 05:01  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: REmoved redundent
	  parameter, grey scale does not have rgb increment! Fixed MSVC
	  warning in vfakeio

2003-06-14 04:58  rjongbloed

	* include/ptlib/vfakeio.h, src/ptlib/common/vfakeio.cxx: Fixed MSVC
	  warning.

2003-06-14 04:57  rjongbloed

	* src/ptlib/common/vconvert.cxx: REmoved redundent parameter, grey
	  scale does not have rgb increment!

2003-06-12 00:17  dereksmithies

	* include/ptlib/vfakeio.h, src/ptlib/common/vfakeio.cxx: Add fake
	  video device which display text, on --videoinput 5

2003-06-10 05:45  dereksmithies

	* src/ptlib/common/vfakeio.cxx: Change so box on left moves all the
	  way down left side of image.

2003-06-10 02:36  dereksmithies

	* src/ptlib/common/vfakeio.cxx: Formatting changes. Remove rounding
	  errors.

2003-06-10 00:37  dereksmithies

	* src/ptlib/common/vconvert.cxx: Fix from Clive Nicolson to make
	  b/w colour conversions work (i.e. grey palette).  many thanks!

2003-06-06 20:02  dsandras

	* src/ptclib/stun.h: Reverted previous change as it breaks with
	  g++3.3.

2003-06-06 18:01  dsandras

	* src/ptclib/: stun.h, udp.cxx:
	  Fixed previous commit which broke things for gcc 2.9x

2003-06-06 17:39  dsandras

	* src/ptclib/stun.h:
	  Don't use deprecated headers.

2003-06-06 17:37  dsandras

	* src/ptclib/udp.cxx:
	  Do not use deprecated headers.

2003-06-06 17:04  dsandras

	* include/ptlib/pdirect.h:
	  Fixed compilation warning with gcc 3.3 by removing the PINLINE

2003-06-06 11:14  dsandras

	* src/ptclib/pldap.cxx:
	  Test that a search result has been returned before calling
	  ldapresult2error.

2003-06-06 05:58  rjongbloed

	* version.h: Incremented build number after tagging to v1_5_0.

2003-06-06 01:19  rjongbloed

	* src/ptclib/pils.cxx: Changed LDAP version to be compatible with
	  ILS servers.

2003-06-06 01:17  rjongbloed

	* src/ptclib/pldap.cxx: Changed default operation timeout to 30
	  seconds.

2003-06-06 01:17  rjongbloed

	* include/ptclib/pldap.h: Added functions to get and set LDAP
	  operation timeout.

2003-06-05 07:29  rjongbloed

	* include/ptclib/pldap.h, src/ptclib/pldap.cxx: Fixed LDAP bind
	  authentication methods, thanks Ravelli Rossano

2003-06-05 07:20  rjongbloed

	* src/ptlib/msos/sound.cxx: Fixed WinCE compatibility, thanks Yuri
	  Kiryanov

2003-06-05 02:15  rjongbloed

	* src/ptclib/http.cxx: Fixed callto bug created by previous patch.

2003-06-04 03:42  rjongbloed

	* src/ptclib/http.cxx: Fixed h323 scheme, does not have a
	  "password" field.

2003-06-03 06:21  dereksmithies

	* src/ptlib/common/vfakeio.cxx: Add PTRACE statement, and tidy up
	  format of one if statement.

2003-06-02 04:46  rjongbloed

	* src/ptclib/http.cxx: Fixed issue with callto URL parsing
	  incorrect username field.  Added automatic removal of illegal
	  (though common) "//" in callto URL.

2003-05-29 11:03  rjongbloed

	* make/lib.mak: Changed SONAME so includes minor version number to
	  allow for API changes.

2003-05-29 10:57  rjongbloed

	* src/ptlib/msos/sound.cxx: Futher changes to not alter balance
	  when changing volume setting, also fixed   correct return of
	  volume level if balance not centred, thanks Diego Tártara

2003-05-27 10:53  dsandras

	* src/ptlib/common/sockets.cxx:
	  Added test error case when the host lookup fails for IPv6.

2003-05-27 06:22  dereksmithies

	* src/ptlib/common/pvidchan.cxx: Test grabber size before issuing a
	  grabber resize command.

2003-05-24 12:57  rogerhardiman

	* src/ptlib/unix/oss.cxx: If a sound device cannot be opened in RW
	  mode, try just 'R' or 'W' modes.  Needed for USB web cams with
	  Mics which are read only sound devices when using ALSA. Tested by
	  Damien.

2003-05-22 14:41  dsandras

	* src/ptlib/unix/Makefile:
	  Check if TRY_1394AVC/DC=1 to compile support for it or not.

2003-05-22 14:30  dsandras

	* configure:
	  Committed updated configure script from configure.in.

2003-05-22 14:20  dsandras

	* include/ptbuildopts.h.in:
	  Define or not TRY_1394AVC/TRY_1394DC after execution of the
	  configure script.

2003-05-22 14:17  dsandras

	* make/unix.mak:
	  Removed unneeded code since Firewire support has been moved to
	  configure.

2003-05-22 14:16  dsandras

	* make/ptbuildopts.mak.in:
	  Added support for TRY_1394AVC and TRY_1394DC variables to
	  conditionally compile with Firewire.

2003-05-22 14:13  dsandras

	* Makefile.in:
	  Fixes permissions after "make install".

2003-05-21 11:34  rjongbloed

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx: Name lookup
	  support for IPv6, thanks again Sébastien Josset

2003-05-21 05:59  dereksmithies

	* src/ptclib/vsdl.cxx: Fix close down bug.

2003-05-20 17:22  shawn

	* configure: fixed a variable expansion bug for Darwin port.

2003-05-20 17:11  shawn

	* configure: For Solaris and Darwin, use sed to obtain OSRELEASE
	  instead of subst.  subst can not be evaluated in shell, only in
	  Makefile.

2003-05-17 05:20  rjongbloed

	* include/ptclib/vsdl.h, src/ptclib/vsdl.cxx,
	  include/ptbuildopts.h.in: Removed need to do strange things with
	  main() function.

2003-05-16 21:10  shawn

	* Makefile.in: Replaces "so" with @SHAREDLIBEXT@ so `make install'
	  works on platforms that do not use "so" as shared library
	  filename extension.

2003-05-16 19:49  shawn

	* include/ptlib/unix/ptlib/sound.h,
	  src/ptlib/unix/maccoreaudio.cxx: Audio code for CoreAudio of Mac
	  OS X now uses multiple playback buffers.

2003-05-16 19:40  shawn

	* src/ptlib/unix/tlibthrd.cxx: On Mac OS X, thread with the highest
	  priority should use fixed priority scheduling policy.  This
	  avoids starvation caused by desktop activity.

2003-05-16 04:03  rjongbloed

	* configure.exe, tools/configure/configure.cpp: Fixed being able to
	  manually disable a "feature" when does a full disk search.

2003-05-14 12:50  dereksmithies

	* src/ptlib/unix/udll.cxx: Quick hack to add the function:
	  PDynaLink::GetName().  Fix me.

2003-05-14 09:56  rjongbloed

	* include/ptlib/msos/ptlibd.dtf: Changed SetColourFormatConverter
	  so if converter already in place no	change is made.  Fixed some
	  trace logs.

2003-05-14 09:51  rjongbloed

	* src/ptlib/common/videoio.cxx: Changed SetColourFormatConverter so
	  if converter already in place no   change is made.  Fixed some
	  trace logs.

2003-05-14 04:51  rjongbloed

	* src/ptlib/msos/vfw.cxx: Protected use of user data in video for
	  windows calls.

2003-05-14 04:50  rjongbloed

	* src/ptclib/pxml.cxx: Simplified name space initialisation

2003-05-14 04:34  dereksmithies

	* src/ptclib/vsdl.cxx: Make SDL display work if only one of two
	  display areas in use.

2003-05-14 03:12  rjongbloed

	* src/ptclib/vxml.cxx: Fixed test for SID frames in record silence
	  detection on G.723.1A

2003-05-14 02:49  rjongbloed

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Added constructor to
	  string lists/arrays etc that takes a single PString.	Added
	  missing virtual keyword to PDynaLink functions.

2003-05-14 02:48  rjongbloed

	* src/ptlib/common/contain.cxx: Added constructor to string
	  lists/arrays etc that takes a single PString.  Fixed bug in doing
	  a MakeUnique on a container, it would lose the
	  DisallowDeleteObjects flag.

2003-05-14 02:46  rjongbloed

	* include/ptlib/pstring.h: Added constructor to string lists/arrays
	  etc that takes a single PString.

2003-05-14 02:42  rjongbloed

	* include/ptlib/dynalink.h: Added missing virtual keyword to
	  PDynaLink functions.

2003-05-07 04:40  dereks

	* src/ptclib/vsdl.cxx: Fix to allow it to exit when the ::Terminate
	  method called.

2003-05-06 11:47  robertj

	* make/: lib.mak, unix.mak: Fixed up MacOSX changes so is
	  compatible with previous "API" not requiring	 downstream
	  libraries to change

2003-05-06 09:55  craigs

	* src/ptclib/pxml.cxx: Fixed problem with initialising XML parser
	  for namespaces

2003-05-06 08:59  robertj

	* include/ptlib/unix/ptlib/pmachdep.h, make/lib.mak, make/unix.mak,
	  src/ptlib/unix/udll.cxx: Dynamic library support for MacOSX,
	  thanks Hugo Santos

2003-05-05 15:10  robertj

	* make/unix.mak: Solaris compatibility

2003-05-05 11:17  robertj

	* configure.exe: Added ability to explicitly disable a feature, or
	  tell configure exactly   where features library is so it does not
	  need to search for it.

2003-05-05 10:39  robertj

	* tools/configure/configure.cpp: Added ability to explicitly
	  disable a feature, or tell configure exactly	 where features
	  library is so it does not need to search for it.

2003-05-05 09:30  craigs

	* src/ptclib/http.cxx: Fixed problem with URLs that do not specify
	  schemes

2003-05-05 08:25  robertj

	* ReadMe.txt, include/ptbuildopts.h.in: Corrections to external
	  libraries

2003-05-02 15:50  craigs

	* src/ptclib/http.cxx: Fixed a problem with callto:localhost

2003-05-02 15:20  craigs

	* src/ptclib/http.cxx: Fixed callto problems

2003-05-02 02:58  dereks

	* src/ptlib/unix/tlibthrd.cxx: Add test for linux at the end of
	  PMutex::Signal. Thanks Robert!

2003-05-02 02:39  dereks

	* src/ptlib/unix/tlibthrd.cxx: Changes to make threading work on
	  Redhat 9

2003-05-01 08:08  robertj

	* src/ptlib/unix/osutil.cxx: Fixed concurrency problem with some
	  time functions, thanks chad@broadmind.com

2003-05-01 02:17  robertj

	* src/ptlib/msos/sound.cxx: Fixed setting of stereo volume levels,
	  thanks Diego Tártara

2003-04-30 09:45  robertj

	* version.h: New version for autoconf

2003-04-29 02:57  dereks

	* samples/vidtest/: main.cxx, main.h: Add user interface, option
	  setting for format/input/fake. Works on Linux.

2003-04-29 02:56  dereks

	* samples/vidtest/Makefile: Initial release for video testing.

2003-04-29 01:57  robertj

	* src/ptclib/pdns.cxx: Fixed Solaris compatibility

2003-04-28 16:29  craigs

	* include/ptclib/vsdl.h, src/ptclib/vsdl.cxx,
	  samples/vidtest/main.cxx, samples/vidtest/vidtest.dsp: Started
	  rearranging code

2003-04-28 11:23  robertj

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Added IPv6 test
	  function

2003-04-28 11:14  robertj

	* src/ptlib/common/contain.cxx: Fixed bad sign extension problem in
	  PBYTEArray output

2003-04-28 10:44  craigs

	* include/ptclib/vsdl.h: Fixed problem with include on linux

2003-04-28 10:37  craigs

	* src/ptlib/unix/Makefile: Added SDL

2003-04-28 10:35  craigs

	* make/ptbuildopts.mak.in: Added HAS_SDL

2003-04-28 10:33  craigs

	* src/ptclib/vsdl.cxx: Linux SDL includes are in a SDL directory,
	  but Windows is not

2003-04-28 10:32  craigs

	* configure, include/ptbuildopts.h.in: Added Linux SDL detection

2003-04-28 10:18  craigs

	* samples/vidtest/: main.cxx, main.h, precompile.cxx, precompile.h,
	  version.h, vidtest.dsp, vidtest.dsw: Initial version

2003-04-28 09:27  craigs

	* include/ptbuildopts.h.in: Added SDL libs

2003-04-28 09:27  craigs

	* src/ptclib/vsdl.cxx: Added missed functions

2003-04-28 09:06  craigs

	* src/ptlib/msos/Console Components.dsp: Added vsdl code

2003-04-28 09:04  craigs

	* include/ptbuildopts.h.in: Added SDL detection

2003-04-28 09:03  craigs

	* src/ptclib/vsdl.cxx, include/ptclib/vsdl.h: Initial version from
	  ohphone

2003-04-28 07:01  craigs

	* configure: Improved IPV6 detection on Linux to remove some fals
	  positives

2003-04-28 06:41  robertj

	* src/ptclib/http.cxx: Changed URL parsing so if a default scheme
	  is present then explicit scheme   must be "known" to avoid
	  ambiguity with host:port parsing.

2003-04-28 06:32  robertj

	* .cvsignore, make/.cvsignore: More ignorance

2003-04-28 04:55  robertj

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx: Added
	  function to see at run time if IPv6 available, thanks Sebastien
	  Josset

2003-04-28 04:50  robertj

	* src/ptclib/asner.cxx: Fixed problem with spaces in type name,
	  thanks Federico Pinna

2003-04-28 03:10  craigs

	* configure: Update for latest configure.in

2003-04-28 03:10  craigs

	* make/ptlib-config.in: Added patches from Damien Sandras to allow
	  for install prefix

2003-04-28 03:09  craigs

	* Makefile.in: Initial version

2003-04-28 02:09  craigs

	* src/ptclib/psoap.cxx: Patches from Andreas Sikkema

2003-04-28 01:53  craigs

	* src/ptclib/pxml.cxx, include/ptclib/pxml.h: Removed deprecated
	  options

2003-04-28 01:52  craigs

	* src/ptclib/cypher.cxx: Fixed problem with SHA1 not calling Start

2003-04-24 17:09  rogerh

	* configure: More checks for video capture support on NetBSD

2003-04-24 14:03  rogerh

	* src/ptlib/unix/tlibthrd.cxx: Calling pthread_mutex_unlock() on a
	  mutex which is not locked can be considered an error. NetBSD now
	  enforce this error so we need to quickly try locking the mutex
	  before unlocking it in ~PThread and ~PSemaphore.

2003-04-24 02:37  rogerh

	* configure: Add OSRELEASE to NetBSD. Submitted by Andreas Wrede

2003-04-23 13:54  craigs

	* src/ptclib/vxml.cxx, include/ptclib/vxml.h: Added ability to
	  record audio

2003-04-23 13:44  craigs

	* configure: Updated for new changes to configure.in

2003-04-23 13:43  craigs

	* make/ptlib-config.in: Initial version

2003-04-23 09:00  rogerh

	* src/ptclib/httpclnt.cxx: Fix the encoding checking. the find_ip
	  sample program now works again

2003-04-23 02:37  craigs

	* src/ptlib/: common/pchannel.cxx, unix/channel.cxx: More casts to
	  avoid problems on MacOSX thanks to Shawn Hsiao

2003-04-23 02:35  craigs

	* include/ptlib/unix/ptlib/pmachdep.h: Fixed problem with
	  pmachdep.h and MacOSX thanks to Hugo Santos

2003-04-23 01:43  craigs

	* src/ptlib/unix/pipechan.cxx: MacOSX changes as per Hugo Santos

2003-04-23 01:39  craigs

	* include/ptclib/asner.h: Changed some functions from protected to
	  public for MacOSX. Thanks to Hugo Santos

2003-04-23 01:25  craigs

	* samples/dnstest/main.cxx: Changed help message for SRV records

2003-04-23 01:21  craigs

	* src/ptclib/pdns.cxx: Swapped includes at request of Shawn Hsiao
	  for compatiobility with MacOSX

2003-04-22 18:37  rogerh

	* configure: Add audio libraries for OpenBSD and NetBSD

2003-04-22 18:31  rogerh

	* configure: libdl is not needed on FreeBSD

2003-04-22 16:27  rogerh

	* configure: FreeBSD fixes

2003-04-22 16:18  rogerh

	* configure: Fix typo

2003-04-22 14:12  rogerh

	* configure: Add video capture support detection for the BSD
	  platforms.

2003-04-22 14:04  craigs

	* configure: More changes to normalise var names

2003-04-22 13:40  craigs

	* configure: More fixes for OpenSSL and resolv

2003-04-22 08:39  rogerh

	* configure: Change freebsd to freebsd* to match freebsd5.0

2003-04-17 16:44  craigs

	* include/ptclib/asner.h: Removed MacOS specific defines to make
	  some attributes public Thanks to Hugo Santos and apologies to
	  Roger Hardiman

2003-04-17 15:55  craigs

	* samples/ldaptest/Makefile: Initial version

2003-04-17 14:12  robertj

	* src/ptclib/cypher.cxx: Added windows library inclusion for
	  optional openssl.

2003-04-17 14:12  robertj

	* include/ptlib/msos/ptlib.dtf: Fixed GNU 3.2 cmpatibility

2003-04-17 10:34  robertj

	* src/ptclib/pldap.cxx: Changed LDAP structure output so if field
	  is empty it leaves it out   altogether rather then encoding an
	  empty string, some servers barf.

2003-04-17 09:43  robertj

	* include/ptlib/msos/ptlibd.dtf: Fixed GNU 3.x problem (why no
	  other compiler?)

2003-04-17 09:34  robertj

	* src/ptclib/cypher.cxx: Fixed correct test for P_SSL

2003-04-17 09:29  robertj

	* make/unix.mak: Fixed solaris link problem

2003-04-17 09:24  robertj

	* include/ptlib/array.h: Fixed GNU 3.x problem (why no other
	  compiler?)

2003-04-17 08:26  craigs

	* configure: Yet another pass at OpenSSL detection

2003-04-17 08:14  robertj

	* include/ptbuildopts.h.in: Changed link of openssl to be static.

2003-04-17 08:02  craigs

	* configure: Another go at OpenSSL detection

2003-04-17 07:57  craigs

	* configure: Another stab at OpenSSL detection

2003-04-17 07:54  craigs

	* configure: Improved OpenSSL detection

2003-04-17 07:30  craigs

	* configure: Fixed problem in Saolaris build

2003-04-17 07:11  craigs

	* configure: Added wildcard to Solaris target_os

2003-04-17 06:53  robertj

	* make/.cvsignore: Added ignroe of constructed file

2003-04-17 06:42  robertj

	* tools/MsDevWizard/MsDevWizardAw.cpp: Remvoed environment
	  variables as now uses Psuedo autoconf system.

2003-04-17 06:41  robertj

	* ReadMe.txt: Updated build instructions for new autoconf system.

2003-04-17 06:01  robertj

	* samples/: ldaptest/ldaptest.dsp, stunclient/stunclient.dsp,
	  vxmltest/vxmltest.dsp, xmlrpc/xmlrpc.dsp,
	  xmlrpcsrvr/xmlrpcsrvr.dsp: More removal of env vars using new
	  autoconf technique.

2003-04-17 05:56  robertj

	* configure.exe, src/ptlib/msos/Console.dsp,
	  tools/configure/configure.dsp: Change configure to be statically
	  linked, fixes odd crash problem

2003-04-17 05:39  robertj

	* .cvsignore: Added config stuff to ignore list

2003-04-17 05:36  robertj

	* src/ptlib/msos/Console.dsp: Added no directory search to building
	  config file

2003-04-17 05:34  craigs

	* include/ptclib/cypher.h: Fixed problem with delete'ing a void *

2003-04-17 05:32  robertj

	* configure.exe, tools/configure/configure.cpp: Improved windows
	  configure program to use lines out of configure.in

2003-04-17 03:22  craigs

	* include/ptbuildopts.h.in: Fixed problem with OpenLDAP and
	  OpenSSL-0.9.7

2003-04-17 03:21  craigs

	* src/ptclib/cypher.cxx: Fixed problem with delete'ing a void *

2003-04-17 03:21  craigs

	* src/ptclib/ptts.cxx: Added import of pybuildopts to correctly
	  detect if P_SAPI is set

2003-04-17 03:11  craigs

	* configure: Fixed problem with -ldl

2003-04-17 02:05  craigs

	* configure, make/ptbuildopts.mak.in, make/unix.mak: Added patches
	  from Hugo Santos mainly for Darwin compatibility

2003-04-17 02:03  craigs

	* samples/xmlrpcsrvr/main.cxx: Changed default port from 6666 to
	  8000 to remove conflicts with other programs that use that port
	  by default

2003-04-16 16:23  craigs

	* configure: Removed check for /proc/ipv6 stuff

2003-04-16 16:21  craigs

	* src/ptclib/pdns.cxx: Added set of T_SRV for MacOS

2003-04-16 16:15  craigs

	* configure: Fixed IPV6 problems and Darwin system identification

2003-04-16 10:09  craigs

	* configure: More changes to OpenSSL, OpenLDAP and expat configs

2003-04-16 10:05  craigs

	* src/ptlib/unix/Makefile: CHanged checks of variosu vars to use
	  ifeq

2003-04-16 10:01  craigs

	* configure: Fixed problem with OPenSSL detection

2003-04-16 10:00  craigs

	* make/ptbuildopts.mak.in: Fixed problem with OpenSSL detection

2003-04-16 10:00  robertj

	* configure.exe, pwlib.dsw, include/ptbuildopts.h.in,
	  samples/ThreadSafe/ThreadSafe.dsp, samples/dnstest/dnstest.dsp,
	  samples/find_ip/find_ip.dsp, samples/ldaptest/ldaptest.dsp,
	  samples/stunclient/stunclient.dsp, samples/vxmltest/vxmltest.dsp,
	  samples/xmlrpc/xmlrpc.dsp, samples/xmlrpcsrvr/xmlrpcsrvr.dsp,
	  src/ptclib/cypher.cxx, src/ptclib/pdns.cxx, src/ptclib/pldap.cxx,
	  src/ptclib/pssl.cxx, src/ptclib/ptts.cxx, src/ptclib/pxml.cxx,
	  src/ptlib/msos/Console Components.dsp,
	  src/ptlib/msos/Console.dsp, src/ptlib/msos/PTLib.dsp,
	  tools/MergeSym/MergeSym.dsp, tools/configure/.cvsignore,
	  tools/configure/configure.cpp, tools/configure/configure.dsp:
	  Windoes psuedo autoconf support

2003-04-16 09:54  craigs

	* configure: Added full name of alpha test system

2003-04-16 09:36  robertj

	* samples/dnstest/.cvsignore: Added ignorance

2003-04-16 09:17  craigs

	* src/ptlib/unix/udll.cxx: CHanged to use new #define

2003-04-16 09:16  craigs

	* include/ptlib.h, make/unix.mak: Modified for new autoconf based
	  configuration

2003-04-16 09:15  craigs

	* config.guess, config.sub, configure, install-sh,
	  include/ptbuildopts.h.in, make/ptbuildopts.mak.in: Initial
	  version

2003-04-16 09:02  robertj

	* include/ptclib/pdns.h: Cleaned up source.

2003-04-16 02:44  robertj

	* pwlib.dsw: Added dnstest

2003-04-15 23:10  dereks

	* include/ptlib/video.h, src/ptlib/unix/video4avc1394.cxx: Patches
	  for Firewire video. Thanks Georgi Georgiev.

2003-04-15 10:14  craigs

	* include/ptclib/pdns.h, src/ptclib/pdns.cxx,
	  samples/dnstest/main.cxx: Added single string form of
	  GetSRVRecords

2003-04-15 10:06  craigs

	* samples/dnstest/Makefile: Initial version

2003-04-15 10:05  craigs

	* src/ptlib/unix/Makefile: Added pdns.cxx

2003-04-15 10:05  craigs

	* src/ptclib/pdns.cxx, include/ptclib/pdns.h: Added Unix
	  implementation

2003-04-15 09:40  robertj

	* src/ptlib/common/sockets.cxx: Removed redundent variable.  Fixed
	  IPv6 support for multiple IP address DNS lookups.

2003-04-15 09:08  robertj

	* include/ptclib/pxmlrpc.h, include/ptlib/array.h,
	  include/ptlib/msos/ptlib.dtf, include/ptlib/msos/ptlibd.dtf,
	  src/ptlib/common/contain.cxx: Changed read and write from streams
	  for base array classes so operates in   the same way for both
	  PIntArray and PArray<int> etc

2003-04-15 06:13  craigs

	* src/ptlib/msos/Console Components.dsp: Added PDNS class

2003-04-15 06:12  craigs

	* samples/dnstest/: dnstest.dsp, dnstest.dsw, main.cxx, main.h,
	  precompile.cxx: Initial version

2003-04-15 06:06  craigs

	* src/ptclib/pdns.cxx, include/ptclib/pdns.h: Initial version

2003-04-15 05:00  robertj

	* include/ptclib/pxmlrpc.h, samples/xmlrpc/main.cxx,
	  src/ptclib/pxmlrpc.cxx: Added array support to XML/RPC Fixed
	  XML/RPC parsing when lots of white space in raw XML, caused by
	  big fix to base XML parser not returning internal data elements.

2003-04-14 23:20  dereks

	* src/ptlib/unix/Makefile: Fix problems for Firewire video. Thanks
	  to Snark on #gnomemeeting

2003-04-14 23:18  dereks

	* src/ptlib/common/pvidchan.cxx: Formatting change.

2003-04-11 02:07  robertj

	* include/ptclib/pils.h, src/ptclib/pils.cxx: More for Microsoft IP
	  address specification wierdness (registration side).

2003-04-10 09:14  craigs

	* src/ptclib/cypher.cxx: Fixed link problem in MD5 class

2003-04-10 09:02  craigs

	* include/ptclib/cypher.h: Fixed link problem in MD5 class

2003-04-10 08:16  craigs

	* src/ptclib/cypher.cxx, include/ptclib/cypher.h: Added SHA-1
	  digest

2003-04-10 06:19  robertj

	* src/ptclib/vxml.cxx: Fixed incorrect timing on G.723.1 (framed
	  codec) Fixed not using correct codec file suffix for non
	  PCM/G.723.1 codecs.

2003-04-10 02:13  robertj

	* src/ptclib/http.cxx: Fixed correct decoding of
	  user/password/host/port field, for non h323 schemes.

2003-04-08 14:47  craigs

	* src/ptclib/pxml.cxx: Fixed problem with handling of CDATA

2003-04-08 08:28  craigs

	* src/ptclib/http.cxx: Fixed introduced problem with HTTP server
	  mistaking relative URLs for proxy requests

2003-04-08 07:09  craigs

	* src/ptclib/vxml.cxx, include/ptclib/vxml.h: Added ability to use
	  commands as an audio source

2003-04-08 07:08  craigs

	* src/ptclib/pxml.cxx: Fixed problems with additional spaces being
	  included with metasequences

2003-04-08 05:29  robertj

	* src/ptlib/unix/tlibthrd.cxx: Fixed IsSuspeneded() so returns TRUE
	  if thread not started yet, this makes   it the same as the Win32
	  semantics.

2003-04-08 03:12  robertj

	* src/ptlib/common/sockets.cxx: Latest patch for IPv6 operation,
	  thanks Sebastien Josset

2003-04-08 01:31  robertj

	* src/ptlib/common/sockets.cxx: Fixed incorrect host to network
	  byte order function, should be long!

2003-04-08 01:22  robertj

	* src/ptlib/common/sockets.cxx: Fixed GNU compatibility issue.

2003-04-07 15:05  robertj

	* include/ptclib/pils.h, src/ptclib/pils.cxx: Workaround for
	  Microsoft IP address specification wierdness.

2003-04-07 13:59  robertj

	* src/ptclib/pldap.cxx, include/ptclib/pldap.h: Fixed search
	  function returning an error if can't find anything for filter.

2003-04-07 13:57  robertj

	* src/ptlib/common/sockets.cxx: Allowed for full integer numeric
	  form of IP address read from a stream.

2003-04-04 10:03  robertj

	* src/ptclib/http.cxx: Fixed special case of h323 URL default port
	  changing depending on   if it the host is an endpoint or
	  gatekeeper.

2003-04-04 07:18  robertj

	* include/ptclib/url.h, src/ptclib/http.cxx: Added "callto", "tel"
	  and fixed "h323" URL types.

2003-04-04 01:21  robertj

	* src/ptlib/common/videoio.cxx: Added reversed RGB byte order
	  versions (BGR24), thanks Damien Sandras

2003-04-03 11:32  robertj

	* include/ptlib/msos/: ptlib.dtf, ptlibd.dtf: Added reversed RGB
	  byte order versions (BGR24), thanks Damien Sandras

2003-04-03 11:28  robertj

	* src/ptlib/common/vconvert.cxx: Added reversed RGB byte order
	  versions (BGR24), thanks Damien Sandras

2003-04-03 10:50  robertj

	* src/ptlib/wince/ConsoleCE/stdlibx.cpp: Fixes for WinCE directory
	  access, thanks Joerg Schoemer

2003-04-03 10:43  robertj

	* include/ptlib/ipsock.h, src/ptlib/common/sockets.cxx: Added IPv4
	  mapping into IPv6, thanks Sebastien Josset

2003-04-02 11:53  rogerh

	* make/unix.mak: wrap ldap grep in a wildcard check so silence
	  grep's error messages when there is no ldap.h file.  add checks
	  for ldap.h in /usr/local/include too.  (for the BSD platforms)

2003-04-02 11:13  rogerh

	* src/ptclib/pxml.cxx: Add type casts because the variable 'expat'
	  is now a void *

2003-04-01 09:05  robertj

	* src/ptclib/pldap.cxx, include/ptclib/pldap.h: Added ability to
	  specify host:port in opening an LDAP server

2003-04-01 08:01  robertj

	* src/ptlib/msos/ethsock.cxx: Fixed problem with returning correct
	  route table device name if have   2 NIC's under Windows 2000,
	  thanks faa06@tid.es

2003-04-01 04:09  robertj

	* make/unix.mak: Changed detection of OpenLDAP so more specific to
	  OpenLDAP header file	 and not detect other implementations.

2003-03-31 14:18  robertj

	* src/ptclib/pils.cxx: Fixed pragma implementation

2003-03-31 13:30  rogerh

	* src/ptlib/common/vconvert.cxx: make 'cb' and 'cr' contain the
	  values that their name implies.

2003-03-31 11:03  robertj

	* src/ptlib/unix/Makefile: Added ILS support file.

2003-03-31 11:02  robertj

	* include/ptclib/pldap.h: Added missing return for error number.

2003-03-31 10:38  robertj

	* src/ptlib/msos/ptlib.cxx: Added cygwin compatible usage of NT
	  secureity access control lists in   getting and setting "unix
	  like" file permissions.

2003-03-31 09:41  craigs

	* include/ptclib/pxml.h: Fixed problem with accidental introduced
	  dependency on expat.h

2003-03-31 08:20  craigs

	* src/ptclib/psoap.cxx, src/ptclib/pxml.cxx,
	  include/ptclib/psoap.h, include/ptclib/pxml.h: Split the expat
	  wrapper from the XML file handling to allow reuse of the parser

2003-03-31 05:35  robertj

	* include/ptclib/pils.h, samples/ldaptest/main.cxx,
	  samples/ldaptest/main.h, src/ptclib/pils.cxx,
	  src/ptlib/msos/Console Components.dsp: Major addition of LDAP
	  functionality.  Added ILS specialisation of LDAP.

2003-03-31 05:32  robertj

	* include/ptclib/pldap.h, src/ptclib/pldap.cxx: Major addition of
	  functionality.

2003-03-31 03:23  robertj

	* include/ptlib/array.h, include/ptlib/contain.h,
	  include/ptlib/dict.h, include/ptlib/pstring.h,
	  include/ptlib/msos/ptlib.dtf, include/ptlib/msos/ptlibd.dtf,
	  src/ptlib/common/contain.cxx: Added ReadFrom functions for
	  standard container classes such as   PIntArray and PStringList
	  etc

2003-03-28 11:25  rogerh

	* make/unix.mak: Fix OpenLDAP libraries

2003-03-28 10:09  rogerh

	* ReadMe.txt: Mac OS X updates

2003-03-28 10:07  rogerh

	* ReadMe.txt: Update Mac OS X sction. Make ESD a seperate section.

2003-03-28 06:16  robertj

	* src/ptclib/pldap.cxx: Fixed multiple values per attribute in
	  string disctionary, '\n' seperator

2003-03-28 04:55  robertj

	* ReadMe.txt: Added OpenLDAP compile instructions.

2003-03-28 04:03  craigs

	* src/ptlib/unix/Makefile, make/unix.mak: Added LDAP sources

2003-03-28 02:53  robertj

	* samples/ldaptest/ldaptest.dsp: Fixed link problem for release
	  version

2003-03-28 02:15  robertj

	* pwlib.dsw, include/ptclib/pldap.h, samples/ldaptest/.cvsignore,
	  samples/ldaptest/ldaptest.dsp, samples/ldaptest/main.cxx,
	  samples/ldaptest/main.h, samples/ldaptest/precompile.cxx,
	  samples/ldaptest/precompile.h, samples/ldaptest/version.h,
	  src/ptclib/pldap.cxx, src/ptlib/msos/Console Components.dsp:
	  OpenLDAP support.

2003-03-27 08:27  robertj

	* include/ptlib/args.h, src/ptlib/common/osutils.cxx,
	  include/ptlib/msos/ptlib.dtf, include/ptlib/msos/ptlibd.dtf:
